0.9.6 2009-07-03
-------------------------------------------------------------------------

2009-06-18 09:57  cgilles

	* ChangeLog: prepare 0.9.6-rc

2009-06-18 09:42  cgilles

	* digikam.lsm: update

2009-06-18 09:40  cgilles

	* digikam/metadatahub.cpp, digikam/metadatahub.h: backport commit
	  #982571 from trunk

2009-05-28 14:06  cgilles

	* NEWS, digikam.lsm, digikam/daboutdata.h, release_digikam.rb: bump
	  version to 0.9.6-rc

2009-05-28 13:58  cgilles

	* utilities/imageeditor/editor/editortool.cpp: backport commit
	  #974096 from trunk

2009-05-28 07:49  cgilles

	* digikam/albumfolderview.cpp: backport commit #973904 from trunk
	  CCBUGS: 169213

2009-05-26 17:16  cgilles

	* kioslave/digikamthumbnail.cpp: revert
	  CCBUGS: 193967

2009-05-25 13:37  cgilles

	* utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h:
	  backport commit #972580 from KDE4

2009-05-25 13:13  cgilles

	* utilities/cameragui/cameraui.cpp: fix sort of items, as KDE4.
	  BUG: 191842
	  CCBUGS: 191774

2009-05-25 10:47  cgilles

	* utilities/cameragui/cameraiconitem.cpp,
	  utilities/cameragui/cameraiconitem.h: polish

2009-05-25 09:22  cgilles

	* utilities/cameragui/cameraui.cpp: Selection is used to run
	  download post processing : do not permit to change icon view
	  selection if camera gui is busy

2009-05-25 07:18  cgilles

	* utilities/cameragui/cameraiconitem.cpp,
	  utilities/cameragui/cameraiconitem.h: sync with trunk

2009-05-25 06:59  cgilles

	* kioslave/digikamthumbnail.cpp, kioslave/digikamthumbnail.h: sync
	  with trunk

2009-05-14 12:52  cgilles

	* utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h:
	  backport commit #967936 from trunk

2009-05-14 07:42  cgilles

	* utilities/setup/cameraselection.cpp,
	  utilities/setup/cameraselection.h: backport commit #967846 from
	  trunk

2009-04-21 07:27  cgilles

	* showfoto/pics/menusidepixmap.png,
	  showfoto/pics/menusidepixmap.xcf: update version

2009-04-21 07:27  cgilles

	* data/pics/menusidepixmap.png, data/pics/menusidepixmap.xcf:
	  update version

2009-04-17 06:40  cgilles

	* libs/dimg/loaders/dimgloader.cpp, libs/dimg/loaders/dimgloader.h:
	  digiKam 0.9.6 : backport commit #955139 from trunk

2009-04-16 18:58  cgilles

	* utilities/imageeditor/editor/editortool.cpp: sync with trunk

2009-04-14 17:00  cgilles

	* libs/widgets/common/splashscreen.cpp: use black color for text

2009-04-14 06:18  cgilles

	* AUTHORS, data/pics/digikam-splash.png,
	  data/pics/digikam-splash.xcf, showfoto/pics/showfoto-splash.png,
	  showfoto/pics/showfoto-splash.xcf: If digiKam and Showfoto 0.9.6
	  will be released, at least splashscreens are updated

2009-04-13 21:05  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp: backport commit
	  #953387

2009-04-11 12:59  cgilles

	* NEWS, project/NEWS.0.9.5: 0.9.5 news

2009-04-06 10:08  cgilles

	* NEWS, configure.in.in, digikam.lsm, digikam/daboutdata.h: 0.9.6

2009-04-06 10:06  cgilles

	* utilities/imageeditor/editor/editortool.cpp: backport commit
	  #949942 from KDE4

2009-03-17 09:52  cgilles

	* NEWS: typo

2009-03-16 12:43  cgilles

	* libs/greycstoration/greycstorationiface.cpp: restore 2 Cimg
	  threads

2009-03-13 12:22  cgilles

	* release_digikam.rb: update

2009-03-13 12:21  cgilles

	* digikam/daboutdata.h: update

2009-03-13 11:47  cgilles

	* libs/greycstoration/greycstorationiface.cpp: as recommended by
	  CImg author, use only one separated thread in CImg. Thread
	  management need to be fixed in CImg.
	  CCBUGS: 186642

2009-03-13 11:40  cgilles

	* ChangeLog: update

2009-03-13 10:56  cgilles

	* digikam.lsm: update

2009-03-13 10:56  cgilles

	* NEWS: update

0.9.5 2009-03-15
-------------------------------------------------------------------------

2009-03-09 08:08  cgilles

	* libs/greycstoration/greycstorationiface.cpp: sync with trunk

2009-02-28 20:28  cgilles

	* data/themes/DarkRoom, data/themes/Makefile.am: backport commit
	  #933385

2009-02-28 16:56  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp: backport commit
	  #933318.

2009-02-24 18:50  cgilles

	* NEWS: update

2009-02-22 08:29  cgilles

	* utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h: backport commit
	  #929686 to kde3 branch
	  BUG: 182212

2009-02-19 14:05  cgilles

	* imageplugins/inpainting/imageplugin_inpainting.cpp,
	  imageplugins/inpainting/imageplugin_inpainting.h,
	  imageplugins/inpainting/inpaintingtool.cpp,
	  imageplugins/inpainting/inpaintingtool.h: sync with trunk
	  BUG: 184731

2009-02-19 13:06  cgilles

	* libs/dimg/loaders/pngloader.cpp: sync with trunk

2009-02-18 12:10  cgilles

	* libs/jpegutils/jpegutils.cpp: compile

2009-02-18 11:50  cgilles

	* NEWS: update

2009-02-18 11:45  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: kill current thread
	  with multithreaded Editor Tools when slotAbort() is called
	  CCBUGS: 184731

2009-02-18 11:33  cgilles

	* libs/greycstoration/CImg.h, libs/greycstoration/greycstoration.h:
	  update CImg to 1.3.0

2009-02-16 20:42  cgilles

	* libs/jpegutils/jpegutils.cpp, libs/jpegutils/jpegutils.h: tmp
	  file is jpeg

2009-02-04 11:12  cgilles

	* libs/dimg/loaders/pngloader.cpp, libs/dimg/loaders/pngloader.h:
	  backport commit #921033 from trunk
	  CCBUG: 151552

2009-02-03 14:09  cgilles

	* NEWS: update

2009-02-01 17:53  cgilles

	* digikam/albumwidgetstack.cpp, digikam/albumwidgetstack.h,
	  digikam/digikamview.cpp, digikam/digikamview.h,
	  digikam/imagepreviewview.cpp, digikam/imagepreviewview.h:
	  backport commit #919853 from trunk
	  CCBUG: 182754

2009-02-01 16:00  aclemens

	* digikam/albumfolderview.cpp, digikam/folderview.cpp,
	  digikam/searchfolderview.cpp, digikam/tagfilterview.cpp,
	  digikam/tagfilterview.h, digikam/tagfolderview.cpp,
	  digikam/timelinefolderview.cpp, digikam/timelinefolderview.h,
	  libs/imageproperties/imagedescedittab.cpp,
	  libs/imageproperties/imagedescedittab.h,
	  libs/imageproperties/talbumlistview.cpp,
	  libs/imageproperties/talbumlistview.h: backport commit #919579
	  from KDE4 trunk
	  
	  CCBUG:148166

2009-02-01 14:28  aclemens

	* NEWS: update

2009-01-31 16:02  cgilles

	* utilities/cameragui/cameraiconview.cpp,
	  utilities/cameragui/cameraiconview.h: digiKam from KDE3 branch:
	  CameraGUI : adapt count of selected item to new ordering :
	  - rescent item (on the top of icon view) = upper value.
	  - older item (on the bottom of icon view) = lower value.
	  CCBUG: 182352

2009-01-31 15:18  cgilles

	* digikam/iconitem.cpp: polish

2009-01-31 13:43  cgilles

	* utilities/cameragui/cameracontroller.cpp,
	  utilities/cameragui/cameracontroller.h: backport commit #919064
	  from trunk

2009-01-29 08:54  cgilles

	* NEWS: update

2009-01-28 19:19  cgilles

	* utilities/cameragui/animwidget.cpp,
	  utilities/cameragui/animwidget.h: fix memory leak

2009-01-28 18:23  cgilles

	* NEWS, digikam.lsm, digikam/daboutdata.h: bump version

2009-01-28 18:20  cgilles

	* utilities/cameragui/dkcamera.cpp, utilities/cameragui/dkcamera.h:
	  backport commit #917883 from trunk

2009-01-27 14:45  cgilles

	* README: fix Qt url

2009-01-27 12:13  cgilles

	* release_digikam.rb: update

2009-01-27 12:12  cgilles

	* ChangeLog: beta3

2009-01-27 11:46  cgilles

	* NEWS, digikam.lsm: prepare beta3

2009-01-27 10:56  cgilles

	* digikam/albumiconviewfilter.cpp, digikam/albumlister.cpp,
	  digikam/albumlister.h: digiKam from KDE3 branche : backport
	  commit #917103 from trunk
	  CCBUG: 181705

0.9.5-beta3 2009-01-27
-------------------------------------------------------------------------

2009-01-26 14:56  cgilles

    * utilities/imageeditor/editor/editorstackview.h,
      utilities/imageeditor/editor/editortooliface.cpp,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h: backport commit
      #916945 from trunk

2009-01-26 10:02  cgilles

    * imageplugins/adjustcurves/adjustcurvestool.cpp,
      imageplugins/adjustlevels/adjustlevelstool.cpp,
      imageplugins/antivignetting/antivignettingtool.cpp,
      imageplugins/blurfx/blurfxtool.cpp,
      imageplugins/border/bordertool.cpp,
      imageplugins/channelmixer/channelmixertool.cpp,
      imageplugins/charcoal/charcoaltool.cpp,
      imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/autocorrectiontool.cpp,
      imageplugins/coreplugin/bcgtool.cpp,
      imageplugins/coreplugin/bwsepiatool.cpp,
      imageplugins/coreplugin/hsl/hsltool.cpp,
      imageplugins/coreplugin/iccprooftool.cpp,
      imageplugins/coreplugin/redeyetool.cpp,
      imageplugins/coreplugin/rgbtool.cpp,
      imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp,
      imageplugins/distortionfx/distortionfxtool.cpp,
      imageplugins/emboss/embosstool.cpp,
      imageplugins/filmgrain/filmgraintool.cpp,
      imageplugins/freerotation/freerotationtool.cpp,
      imageplugins/hotpixels/hotpixelstool.cpp,
      imageplugins/infrared/infraredtool.cpp,
      imageplugins/inpainting/inpaintingtool.cpp,
      imageplugins/lensdistortion/lensdistortiontool.cpp,
      imageplugins/noisereduction/noisereductiontool.cpp,
      imageplugins/oilpaint/oilpainttool.cpp,
      imageplugins/raindrop/raindroptool.cpp,
      imageplugins/restoration/restorationtool.cpp,
      imageplugins/sheartool/sheartool.cpp,
      imageplugins/texture/texturetool.cpp,
      imageplugins/whitebalance/whitebalancetool.cpp,
      libs/widgets/imageplugins/imagepanelwidget.h,
      libs/widgets/imageplugins/imagewidget.h,
      project/project.kdevelop: backport commit #916862 from trunk
      CCBUG: 181940

2009-01-26 08:00  cgilles

    * utilities/imageeditor/tools/imageresize.cpp,
      utilities/imageeditor/tools/imageresize.h: polish

2009-01-24 23:14  aclemens

    * utilities/lighttable/lighttablebar.cpp: backport commit #916232
      
      CCBUG:181721

2009-01-24 10:03  mwiesweg

    * utilities/cameragui/cameraiconview.cpp: Backport commit 914144 to
      KDE3
      
      CCBUG: 181347

2009-01-24 08:10  cgilles

    * NEWS: update

2009-01-22 17:26  cgilles

    * utilities/imageeditor/editor/imageiface.cpp: backport commit
      #915276 from trunk

2009-01-22 14:52  cgilles

    * utilities/imageeditor/editor/imageiface.cpp,
      utilities/imageeditor/editor/imageiface.h: backport commit
      #915190 from trunk

2009-01-19 13:58  aclemens

    * digikam/pixmapmanager.cpp, utilities/cameragui/animwidget.cpp,
      utilities/cameragui/cameracontroller.cpp,
      utilities/cameragui/renamecustomizer.cpp,
      utilities/slideshow/slideshow.cpp: fix memory leak

2009-01-18 16:14  mwiesweg

    * digikam/albumfolderview.cpp: Backport commit 912983 to KDE3
      
      CCBUG: 169306

2009-01-17 19:18  aclemens

    * imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/autocorrectiontool.cpp: polish

2009-01-17 19:13  aclemens

    * imageplugins/coreplugin/autocorrectiontool.cpp: backport commit
      #912597 from KDE4 trunk

2009-01-17 19:12  aclemens

    * imageplugins/colorfx/colorfxtool.cpp: polish

2009-01-17 18:39  aclemens

    * imageplugins/colorfx/colorfxtool.cpp: backport commit #912578
      from KDE4 trunk

2009-01-17 17:08  cgilles

    * NEWS: update

2009-01-17 17:06  cgilles

    * imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
      imageplugins/coreplugin/ratiocrop/imageselectionwidget.h,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.h: digiKAm from
      KDE3 branch: added great patch from Simon Margo about to add new
      composition guide in Ratio Crop Tool based on Diagonal Rules.
      CCBUG: 179548
      CCMAIL: simon@margo.student.utwente.nl

2009-01-15 18:01  cgilles

    * digikam/digikamapp.cpp, digikam/digikamapp.h: backport commit
      #910844 from trunk
      CCBUG: 180609

2009-01-15 07:02  cgilles

    * NEWS: update

2009-01-14 15:07  cgilles

    * NEWS: update

2009-01-12 18:19  cgilles

    * libs/widgets/common/splashscreen.cpp: this text color is better
      adapted to splash

2009-01-09 22:40  cgilles

    * digikam/scanlib.cpp, libs/widgets/common/splashscreen.cpp,
      libs/widgets/common/splashscreen.h, project/project.kdevelop: fix
      splashscreen api

2009-01-07 14:02  cgilles

    * utilities/setup/setupicc.cpp, utilities/setup/setupicc.h:
      backport commit #906894 from trunk

2009-01-06 23:15  aclemens

    * digikam/folderview.cpp: backport commit #906855 from KDE4 trunk

2009-01-05 12:13  cgilles

    * digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h:
      missing to remove old lines with previous commit
      CCBUGS: 179653

2009-01-05 08:05  cgilles

    * digikam/albumiconviewfilter.cpp: fix rating filter rules if
      filter is "rating equals zero stars"
      CCBUG: 179653

2009-01-04 09:12  cgilles

    * NEWS: update

2009-01-03 09:19  cgilles

    * NEWS: update

2009-01-02 17:15  cgilles

    * libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagedescedittab.h: sync with trunk

2009-01-02 16:32  cgilles

    * utilities/imageeditor/canvas/dimginterface.cpp,
      utilities/imageeditor/canvas/dimginterface.h: backport commit
      #904603 from trunk

2009-01-01 17:09  mwiesweg

    * utilities/imageeditor/editor/editortoolsettings.cpp,
      utilities/imageeditor/editor/editortoolsettings.h: Backport
      commit 900430 to KDE3:
      
      Reimplement minimumSizeHint of the scroll area.
      The minimumSizeHint of a QScrollView is usually independent of
      the widget
      contained, but here we want to have a certain amount of minimum
      horizontal space.
      Limit minimum size to 40% of desktop width.
      
      CCBUG: 175630

2009-01-01 16:53  cgilles

    * digikam/daboutdata.h: a new year

2009-01-01 12:10  cgilles

    * NEWS: update

2008-12-31 11:20  cgilles

    * NEWS: update

2008-12-22 14:06  cgilles

    * digikam/digikamapp.cpp, digikam/digikamapp.h,
      digikam/digikamappprivate.h, digikam/digikamui.rc,
      imageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
      showfoto/showfotoui.rc,
      utilities/imageeditor/editor/digikamimagewindowui.rc,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/imageeditor/editor/editorwindow.h,
      utilities/imageeditor/editor/editorwindowprivate.h,
      utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h,
      utilities/lighttable/lighttablewindowprivate.h,
      utilities/lighttable/lighttablewindowui.rc: backport commit
      #900178 from trunk
      CCBUG: 147771

2008-12-22 12:44  cgilles

    * showfoto/main.cpp: backport commit #900169 from trunk

2008-12-22 10:27  cgilles

    * libs/widgets/common/dlogoaction.cpp: backport commit #900124 from
      trunk

2008-12-22 09:01  cgilles

    * utilities/cameragui/albumselectdialog.cpp,
      utilities/cameragui/albumselectdialog.h: size more adjusted for
      large icon size from album folder view

2008-12-22 08:06  cgilles

    * utilities/batch/batchthumbsgenerator.cpp,
      utilities/batch/batchthumbsgenerator.h: polish

2008-12-22 08:02  cgilles

    * digikam/main.cpp, showfoto/main.cpp: backport commit #900079 from
      trunk

2008-12-22 05:22  cgilles

    * NEWS: update

2008-12-19 19:05  cgilles

    * utilities/cameragui/cameraiconitem.cpp: backport commit #135845
      from trunk

2008-12-19 18:33  cgilles

    * utilities/cameragui/cameraiconitem.cpp,
      utilities/cameragui/cameraiconitem.h,
      utilities/cameragui/cameraiconview.cpp,
      utilities/cameragui/cameraiconview.h: backport commit #135845
      from trunk

2008-12-19 13:46  cgilles

    * themedesigner/themediconview.cpp: fix memory leak

2008-12-19 06:47  cgilles

    * digikam/imageinfo.cpp, digikam/imageinfo.h: fix wrong place of
      return instance

2008-12-17 18:46  cgilles

    * utilities/cameragui/cameraui.cpp: add Minolta Camera internal
      files to ignore (PTP mode only)

2008-12-17 13:34  cgilles

    * utilities/cameragui/umscamera.cpp: polish

2008-12-17 13:33  cgilles

    * utilities/cameragui/umscamera.cpp: polish

2008-12-17 10:59  cgilles

    * utilities/cameragui/umscamera.cpp,
      utilities/cameragui/umscamera.h: digiKam from KDE3 branch :
      Camera GUI improvements: USB mass Storage camera: items date
      management:
      - Use metadata from THM files if available to get item
      informations.
      - Video files date are extracted from THM if possible. In this
      case video files are sorted by date properlly.
      - If THM files are not available, we trying to extract date from
      orginal file metadata.
      - If metadata are not available, we use file creation time stamp
      instead file Modification time stamp.

2008-12-17 07:48  cgilles

    * utilities/setup/setupplugins.cpp, utilities/setup/setupplugins.h:
      no need to display libkipi version here

2008-12-16 16:18  cgilles

    * utilities/cameragui/cameraui.cpp: backport commit #897687 from
      trunk

2008-12-16 14:43  cgilles

    * utilities/cameragui/cameraui.cpp: digiKam from KDE3 branch :
      backport commit #897651
      BUGS: 146618

2008-12-14 18:36  cgilles

    * NEWS, digikam.lsm, digikam/daboutdata.h, release_digikam.rb:
      beta3

2008-12-14 18:30  mwiesweg

    * libs/dimg/loaders/pngloader.cpp: Backport commit 896911 to KDE3.
      png_set_interlace_handling need to be called before calling
      png_start_read_image() or png_read_update_info()
      
      CCBUG: 149875

2008-12-14 10:08  aclemens

    * digikam/digikamapp.cpp, libs/dialogs/rawcameradlg.cpp,
      utilities/cameragui/cameraui.cpp,
      utilities/imageeditor/editor/editorwindow.cpp,
      utilities/lighttable/lighttablewindow.cpp: adapt to naming scheme
      from digikam trunk

2008-12-13 13:04  cgilles

    * digikam.lsm: update

2008-12-13 13:03  cgilles

    * ChangeLog: preapre digiKam 0.9.5-beta2

0.9.5-beta2 2008-13-12
-------------------------------------------------------------------------

2008-12-13 10:45  aclemens

    * digikam/mimefilter.cpp: backport commit #896326 from trunk

2008-12-13 09:34  cgilles

    * imageplugins/adjustcurves/adjustcurvestool.cpp,
      imageplugins/adjustlevels/adjustlevelstool.cpp,
      imageplugins/antivignetting/antivignettingtool.cpp,
      imageplugins/blurfx/blurfxtool.cpp,
      imageplugins/border/bordertool.cpp,
      imageplugins/channelmixer/channelmixertool.cpp,
      imageplugins/charcoal/charcoaltool.cpp,
      imageplugins/colorfx/colorfxtool.cpp,
      imageplugins/coreplugin/autocorrectiontool.cpp,
      imageplugins/coreplugin/bcgtool.cpp,
      imageplugins/coreplugin/blurtool.cpp,
      imageplugins/coreplugin/bwsepiatool.cpp,
      imageplugins/coreplugin/hsl/hsltool.cpp,
      imageplugins/coreplugin/iccprooftool.cpp,
      imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
      imageplugins/coreplugin/redeyetool.cpp,
      imageplugins/coreplugin/rgbtool.cpp,
      imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp,
      imageplugins/distortionfx/distortionfxtool.cpp,
      imageplugins/emboss/embosstool.cpp,
      imageplugins/filmgrain/filmgraintool.cpp,
      imageplugins/freerotation/freerotationtool.cpp,
      imageplugins/hotpixels/hotpixelstool.cpp,
      imageplugins/infrared/infraredtool.cpp,
      imageplugins/inpainting/inpaintingtool.cpp,
      imageplugins/inserttext/inserttexttool.cpp,
      imageplugins/lensdistortion/lensdistortiontool.cpp,
      imageplugins/noisereduction/noisereductiontool.cpp,
      imageplugins/oilpaint/oilpainttool.cpp,
      imageplugins/perspective/perspectivetool.cpp,
      imageplugins/raindrop/raindroptool.cpp,
      imageplugins/restoration/restorationtool.cpp,
      imageplugins/sheartool/sheartool.cpp,
      imageplugins/superimpose/superimposetool.cpp,
      imageplugins/texture/texturetool.cpp,
      imageplugins/whitebalance/whitebalancetool.cpp,
      project/project.kdevelop,
      utilities/imageeditor/editor/editortool.cpp,
      utilities/imageeditor/editor/editortool.h,
      utilities/imageeditor/rawimport/rawimport.cpp: backport commit
      #896301 from trunk

2008-12-12 22:39  cgilles

    * digikam/cameratype.cpp, digikam/cameratype.h: Very nice : in copy
      constructor, the d private insternal class is never created.
      This can give a beautifull crash (:=)))...

2008-12-12 08:45  aclemens

    * digikam/albumlister.cpp, digikam/mimefilter.cpp,
      digikam/mimefilter.h: add "Image files" mime filter
      
      CCBUG:172911

2008-12-11 06:45  cgilles

    * libs/widgets/common/sidebar.cpp, libs/widgets/common/sidebar.h:
      backport commit #895498 from trunk

2008-12-09 15:25  aclemens

    * digikam/digikamapp.cpp: add Exif orientation actions to
      actionCollection, so they can be changed in the Shortcut Editor

2008-12-09 09:30  cgilles

    * libs/imageproperties/cameraitempropertiestab.cpp: fix camera
      download status displayed on side bar

2008-12-06 07:26  cgilles

    * NEWS: update

2008-12-06 06:48  cgilles

    * NEWS: update

2008-12-05 21:37  cgilles

    * NEWS: update

2008-12-05 21:18  cgilles

    * NEWS: update

2008-12-05 20:40  cgilles

    * NEWS: update

2008-12-05 13:53  aclemens

    * NEWS: update

2008-12-05 13:11  cgilles

    * NEWS: update

2008-12-05 12:24  cgilles

    * NEWS: update

2008-12-05 11:56  cgilles

    * NEWS: update

2008-12-05 11:33  cgilles

    * NEWS: update

2008-12-05 08:03  cgilles

    * NEWS: update

2008-12-04 19:37  cgilles

    * NEWS: update

2008-12-04 17:07  cgilles

    * NEWS: update

2008-12-04 17:03  cgilles

    * NEWS: update

2008-12-04 15:29  cgilles

    * NEWS: update

2008-12-04 15:05  cgilles

    * NEWS: update

2008-12-04 14:36  cgilles

    * NEWS: update

2008-12-03 12:49  aclemens

    * digikam/albumpropsedit.cpp: backport commit #891982 from trunk
      
      CCBUG:137233

2008-11-25 10:00  krienke

    * utilities/scripts/digitaglinktree: Fixed perl access to arrayref
      problems

2008-11-24 13:42  cgilles

    * NEWS: update

2008-11-24 13:41  cgilles

    * utilities/scripts/digitaglinktree: digiKam from KDe3 : patch from
      Peter Muehlenpfordt to fix problem about merging of tags with
      same name in different subfolders. The problem is fixed by
      changing the hash-index from the
      tag-name to the tag-ID.
      BUG: 175970

2008-11-10 17:52  cgilles

    * NEWS: update

2008-11-10 17:39  cgilles

    * libs/imageproperties/cameraitempropertiestab.cpp,
      libs/imageproperties/imagedescedittab.cpp,
      libs/imageproperties/imagepropertiescolorstab.cpp,
      libs/imageproperties/imagepropertiestab.cpp,
      utilities/imageeditor/editor/editortoolsettings.cpp,
      utilities/imageeditor/editor/editortoolsettings.h: digiKam from
      KDE3 : use QScrollView to host sidebar tab content everywhere to
      improve usability with small screen.
      Now digiKam can be used on small computer screen, as with EEEPC
      for ex.
      TODO: KDE4PORT
      BUGS: 164573

2008-11-10 14:57  cgilles

    * project/project.kdevelop: update

2008-11-10 14:56  cgilles

    * libs/imageproperties/imagepropertiescolorstab.cpp: Color image
      properties: use same optimized vertical layout that KDE4 version
      CCBUGS: 164573

2008-11-10 12:09  cgilles

    * imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp: Sharpen
      tool : optimize layout for small screen
      CCBUGS: 164573

2008-11-10 09:13  cgilles

    * digikam.lsm, digikam/daboutdata.h: bump version id

2008-11-10 09:11  cgilles

    * NEWS: polish

2008-11-10 08:46  cgilles

    * digikam/digikamapp.cpp: fix i18n

2008-11-07 07:06  cgilles

    * digikam/albummanager.cpp, digikam/albummanager.h: fix duplicates
      header. use Qt3 qptrlist.h instead qlist.h

2008-11-06 10:24  cgilles

    * digikam/digikamapp.cpp, libs/widgets/common/splashscreen.cpp,
      libs/widgets/common/splashscreen.h, showfoto/showfoto.cpp: sync
      with trunk

2008-11-05 14:36  cgilles

    * NEWS: update

2008-11-05 14:33  cgilles

    * PACKAGING, project/PACKAGING: this file can be exluded from
      tarball

2008-11-05 14:32  cgilles

    * digikam/daboutdata.h: dump version

2008-11-05 14:30  cgilles

    * digikam.lsm: dump version

2008-11-05 14:29  cgilles

    * configure.in.in: dump version

2008-11-05 14:28  cgilles

    * ChangeLog, release_digikam.rb: prepare 0.9.5-beta1

2008-11-05 13:39  cgilles

    * digikam/albumsettings.cpp: set 22 as default tree folder view
      icon size

0.9.5-beta1 2008-11-05
-------------------------------------------------------------------------

2008-11-04 15:46  aclemens

	* digikam/albumfolderview.cpp, digikam/folderview.cpp,
	  digikam/folderview.h, digikam/tagfilterview.cpp,
	  digikam/tagfolderview.cpp,
	  libs/imageproperties/imagedescedittab.cpp: backport commit 880036
	  and 880037 from trunk
	  
	  CCBUG:167873

2008-11-03 10:55  cgilles

	* digikam/albumiconview.cpp: backport commit #878957 from Marcel to
	  preserve icon view item selection when icon size is changed

2008-11-03 09:34  cgilles

	* libs/dimg/loaders/iccjpeg.h: fix warning

2008-10-26 12:23  aclemens

	* imageplugins/blurfx/blurfx.cpp,
	  imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/raindrop/raindrop.cpp,
	  libs/dimg/loaders/tiffloader.cpp,
	  libs/whitebalance/whitebalance.cpp: sync with trunk

2008-10-25 07:31  cgilles

	* libs/sqlite2/sqliteInt.h: sync with trunk

2008-10-24 12:20  cgilles

	* libs/sqlite2/auth.c, libs/sqlite2/btree.c,
	  libs/sqlite2/btree_rb.c, libs/sqlite2/build.c,
	  libs/sqlite2/date.c, libs/sqlite2/encode.c, libs/sqlite2/expr.c,
	  libs/sqlite2/func.c, libs/sqlite2/hash.h, libs/sqlite2/main.c,
	  libs/sqlite2/os.c, libs/sqlite2/pager.c, libs/sqlite2/printf.c,
	  libs/sqlite2/select.c, libs/sqlite2/shell.c,
	  libs/sqlite2/sqlite.h, libs/sqlite2/sqliteInt.h,
	  libs/sqlite2/table.c, libs/sqlite2/tokenize.c,
	  libs/sqlite2/trigger.c, libs/sqlite2/util.c,
	  libs/sqlite2/vacuum.c, libs/sqlite2/vdbe.c,
	  libs/sqlite2/vdbeaux.c, libs/sqlite2/where.c: sync with trunk

2008-10-21 19:24  aclemens

	* NEWS: update

2008-10-15 20:51  aclemens

	* NEWS: update

2008-10-08 07:03  cgilles

	* DBSCHEMA.ODS, NEWS.0.9.0, NEWS.0.9.1, NEWS.0.9.2, NEWS.0.9.3,
	  NEWS.0.9.4, project/DBSCHEMA.ODS, project/NEWS.0.9.0,
	  project/NEWS.0.9.1, project/NEWS.0.9.2, project/NEWS.0.9.3,
	  project/NEWS.0.9.4: archive files

2008-10-01 19:02  cgilles

	* libs/widgets/metadata/makernotewidget.cpp: sync with trunk

2008-10-01 18:41  cgilles

	* libs/widgets/metadata/exifwidget.cpp: backport commit #866706.
	  from trunk

2008-09-29 17:46  aclemens

	* imageplugins/adjustcurves/adjustcurvestool.cpp: call slotEffect()
	  in readSettings() to see the results in the preview widget

2008-09-29 15:16  aclemens

	* imageplugins/adjustcurves/adjustcurvestool.cpp: sync with KDE4
	  from trunk

2008-09-22 15:39  abaecker

	* NEWS, digikam/albummanager.cpp, digikam/albummanager.h: Prevent
	  that changes of the database file trigger a rescan which
	  leads to an invocation of kio_digikamalbums/dates etc (this is a
	  modified backport from the KDE4 version).
	  
	  BUG: 170758

2008-09-22 14:21  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: new method to check
	  current rendering mode

2008-09-22 14:20  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: this version work
	  better with status progress bar cancel button

2008-09-22 13:56  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: revert

2008-09-22 13:29  cgilles

	* utilities/imageeditor/rawimport/rawpreview.cpp: use new method
	  based on LoadingDescription

2008-09-22 13:18  cgilles

	* libs/threadimageio/managedloadsavethread.cpp,
	  libs/threadimageio/managedloadsavethread.h: backport commit
	  #863562 from KDE4

2008-09-22 10:35  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: backport commit
	  #863505 from KDE4

2008-09-16 14:06  aclemens

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: sync with
	  KDE4

2008-09-16 12:03  cgilles

	* libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h:
	  polish

2008-09-16 11:39  cgilles

	* utilities/setup/setupdcraw.cpp: fix layout

2008-09-14 16:15  cgilles

	* kioslave/digikamalbums.cpp: compile with last libkdcraw version

2008-09-14 16:13  cgilles

	* kioslave/digikamthumbnail.cpp: compile with last libkdcraw

2008-09-14 16:12  cgilles

	* showfoto/showfoto.cpp: compile with last libkdcraw

2008-09-14 15:09  cgilles

	* libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h:
	  with last libkdcraw, 16 bits color depth auto-gamma is done by
	  libraw...

2008-09-14 15:08  cgilles

	* digikam/albumsettings.cpp: compile with last libkdcraw

2008-09-14 15:07  cgilles

	* digikam/albumfiletip.cpp: compile with last libkdcraw

2008-09-14 15:06  cgilles

	* digikam/albumiconview.cpp: compile with last libkdcraw

2008-09-14 15:05  cgilles

	* digikam/digikamapp.cpp: compile with last libkdcraw

2008-09-14 15:03  cgilles

	* utilities/lighttable/lighttablewindow.cpp: compile with last
	  libkdcraw

2008-09-14 15:02  cgilles

	* utilities/cameragui/cameraui.cpp: compile with last libkdcraw

2008-09-14 13:58  cgilles

	* libs/dialogs/rawcameradlg.cpp: compile with new libkdcraw

2008-09-14 13:56  cgilles

	* libs/dialogs/imagedialog.cpp: compile with new libkdcraw

2008-09-14 13:49  cgilles

	* libs/imageproperties/imagepropertiestab.cpp: compile with new
	  libkdcraw

2008-09-14 13:49  cgilles

	* libs/thumbbar/thumbbar.cpp: compile with new libkdcraw

2008-09-14 13:47  cgilles

	* libs/dimg/dimg.cpp: compile with new libkdcraw

2008-09-14 13:46  cgilles

	* digikam/daboutdata.h: compile with new libkdcraw

2008-09-10 11:59  aclemens

	* imageplugins/lensdistortion/lensdistortiontool.cpp,
	  imageplugins/lensdistortion/lensdistortiontool.h: backport commit
	  #859450 from KDE4 trunk

2008-09-09 10:18  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp: sync with trunk

2008-09-09 10:15  cgilles

	* utilities/setup/setupdcraw.cpp: remove black and whithe point
	  settings

2008-09-09 10:14  cgilles

	* utilities/setup/setupdcraw.cpp: sync with trunk

2008-09-07 20:12  aclemens

	* NEWS: update

2008-09-06 12:26  cgilles

	* utilities/imageeditor/rawimport/Makefile.am: compile

2008-09-05 13:38  cgilles

	* libs/levels/imagelevels.cpp, libs/levels/imagelevels.h: add
	  reset()

2008-09-05 13:12  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h: separate input and
	  ouput color guide

2008-09-05 13:01  cgilles

	* libs/widgets/common/histogramwidget.cpp: to be able to show color
	  guide in AllColors mode

2008-09-05 12:36  cgilles

	* utilities/imageeditor/rawimport/rawpostprocessing.cpp: add levels
	  adjustements

2008-09-05 12:31  cgilles

	* libs/dimg/loaders/Makefile.am, libs/dimg/loaders/rawloader.cpp,
	  libs/dimg/loaders/rawloader.h: add levels adjusments as raw post
	  processing

2008-09-05 12:28  cgilles

	* libs/dimg/drawdecoding.h: add levels adjustments

2008-09-05 11:19  cgilles

	* libs/levels/imagelevels.cpp, libs/levels/imagelevels.h: polish

2008-09-05 10:55  cgilles

	* libs/levels/imagelevels.cpp: missing header

2008-09-05 10:52  cgilles

	* libs/levels/imagelevels.cpp, libs/levels/imagelevels.h: add dirty
	  flag
	  use const ref

2008-09-05 08:24  cgilles

	* libs/levels/imagelevels.cpp, libs/levels/imagelevels.h: new
	  method to get sixteen bits flag

2008-09-05 06:37  cgilles

	* utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.h: make this
	  code fully re-entrant

2008-09-04 07:39  cgilles

	* NEWS: update

2008-09-03 13:03  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp: redesign Adjust
	  Levels settings layout to be more suitable

2008-09-02 14:43  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: we need to use
	  slotOk and slotCancel from EditorTool class, else Raw Import is
	  broken

2008-09-02 12:36  cgilles

	* utilities/imageeditor/editor/editortool.cpp: polish

2008-09-02 12:09  cgilles

	* utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h: polish

2008-09-02 12:00  cgilles

	* utilities/imageeditor/rawimport/rawpostprocessing.cpp: polish

2008-09-02 11:57  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h: Raw Import : use
	  status progress bar from editor with post processed operations

2008-09-02 11:10  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: new method to
	  customize progress message with multithreaded tools

2008-09-02 11:09  cgilles

	* libs/widgets/common/statusprogressbar.cpp,
	  libs/widgets/common/statusprogressbar.h: polish

2008-09-02 10:59  cgilles

	* libs/widgets/common/statusprogressbar.cpp: to be sure that
	  progress bar message is updated

2008-09-02 08:23  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp: fix i18n

2008-09-01 20:56  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp: polish

2008-09-01 19:44  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp: polish

2008-09-01 18:16  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: use status progress
	  bar during demosaicing

2008-09-01 15:50  aclemens

	* imageplugins/emboss/embosstool.cpp: we don't need a "Try" button
	  here

2008-09-01 15:17  aclemens

	* imageplugins/oilpaint/oilpainttool.cpp: when Try button is used,
	  we should not connect the settings widgets to slotTimer /
	  slotEffect

2008-09-01 15:00  aclemens

	* imageplugins/texture/texturetool.cpp: we don't need a "Try"
	  button here

2008-09-01 12:26  aclemens

	* NEWS: update

2008-09-01 11:43  aclemens

	* imageplugins/whitebalance/whitebalancetool.cpp: Temperature
	  slider range was wrong, so that the preset "Candle" couldn't be
	  selected. New range starts from 1750K now.

2008-09-01 11:39  cgilles

	* imageplugins/texture/texturetool.h: polish

2008-09-01 10:57  aclemens

	* imageplugins/antivignetting/antivignettingtool.cpp,
	  imageplugins/blurfx/blurfxtool.cpp,
	  imageplugins/border/bordertool.cpp,
	  imageplugins/charcoal/charcoaltool.cpp,
	  imageplugins/emboss/embosstool.cpp,
	  imageplugins/filmgrain/filmgraintool.cpp,
	  imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/hotpixels/hotpixelstool.cpp,
	  imageplugins/infrared/infraredtool.cpp,
	  imageplugins/inpainting/inpaintingtool.cpp,
	  imageplugins/inserttext/inserttexttool.cpp,
	  imageplugins/lensdistortion/lensdistortiontool.cpp,
	  imageplugins/noisereduction/noisereductiontool.cpp,
	  imageplugins/oilpaint/oilpainttool.cpp,
	  imageplugins/perspective/perspectivetool.cpp,
	  imageplugins/restoration/restorationtool.cpp,
	  imageplugins/sheartool/sheartool.cpp,
	  imageplugins/superimpose/superimposetool.cpp,
	  imageplugins/texture/texturetool.cpp,
	  imageplugins/whitebalance/whitebalancetool.cpp: remove not needed
	  whatsThis string

2008-09-01 10:07  cgilles

	* imageplugins/noisereduction/noisereductiontool.cpp: polish

2008-09-01 08:19  cgilles

	* imageplugins/coreplugin/blurtool.cpp:

2008-09-01 08:02  aclemens

	* imageplugins/coreplugin/iccprooftool.cpp: Wrong parent widget for
	  ICC profile info dialog

2008-09-01 07:23  aclemens

	* NEWS: typo

2008-09-01 07:22  aclemens

	* NEWS: typo

2008-09-01 07:03  cgilles

	* NEWS: update

2008-08-31 19:11  cgilles

	* imageplugins/sheartool/sheartool.cpp: fix i18n

2008-08-31 11:00  aclemens

	* imageplugins/coreplugin/iccprooftool.cpp: polish

2008-08-31 10:59  aclemens

	* imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/iccprooftool.h: added missing Load and
	  Save As buttons

2008-08-31 09:49  aclemens

	* imageplugins/hotpixels/hotpixel.h: set parentheses to eliminate
	  compiler warnings

2008-08-31 08:49  aclemens

	* imageplugins/colorfx/colorfxtool.cpp: -> remove unneeded delete
	  statements
	  -> code polish

2008-08-31 08:45  aclemens

	* imageplugins/colorfx/colorfxtool.cpp: polish

2008-08-31 08:38  aclemens

	* imageplugins/inserttext/inserttexttool.cpp: polish

2008-08-31 08:38  aclemens

	* imageplugins/colorfx/colorfxtool.cpp: typo

2008-08-30 22:22  cgilles

	* imageplugins/restoration/restorationtool.cpp: polish

2008-08-30 21:54  cgilles

	* imageplugins/hotpixels/hotpixelstool.cpp: add Try button

2008-08-30 15:22  cgilles

	* libs/widgets/imageplugins/imagepanelwidget.cpp,
	  libs/widgets/imageplugins/imagepanelwidget.h: polish

2008-08-30 15:13  cgilles

	* libs/widgets/imageplugins/imagepanelwidget.cpp: bye bye zoom bar

2008-08-30 14:27  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp: disable zooming
	  options when tool is busy

2008-08-30 14:18  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: dispatch busy state to
	  settings widget

2008-08-30 14:04  cgilles

	* utilities/imageeditor/editor/editorstackview.cpp,
	  utilities/imageeditor/editor/editorstackview.h: to be able to use
	  zoom +/- from editor tool bar with all plugins

2008-08-30 13:57  cgilles

	* libs/widgets/imageplugins/imagepanelwidget.cpp,
	  libs/widgets/imageplugins/imagepanelwidget.h: add method to get
	  preview widget

2008-08-30 12:43  cgilles

	* libs/widgets/imageplugins/Makefile.am,
	  libs/widgets/imageplugins/imagepannelwidget.cpp,
	  libs/widgets/imageplugins/imagepannelwidget.h: this widget is now
	  obsolete

2008-08-30 12:41  cgilles

	* libs/dialogs/Makefile.am, libs/dialogs/ctrlpaneldlg.cpp,
	  libs/dialogs/ctrlpaneldlg.h: remove old last dialog for image
	  plugins

2008-08-30 12:40  cgilles

	* imageplugins/EDITORTOOLPORT: bye bye

2008-08-30 12:39  cgilles

	* imageplugins/emboss/Makefile.am,
	  imageplugins/emboss/embosstool.cpp,
	  imageplugins/emboss/embosstool.h,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/emboss/imageeffect_emboss.h,
	  imageplugins/emboss/imageplugin_emboss.cpp: digiKam from KDE3
	  branch : "Et voilà!!!", the last image plugin is ported to Editor
	  Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-30 12:08  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-30 12:08  cgilles

	* imageplugins/charcoal/Makefile.am,
	  imageplugins/charcoal/charcoaltool.cpp,
	  imageplugins/charcoal/charcoaltool.h,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.h,
	  imageplugins/charcoal/imageplugin_charcoal.cpp: digiKam from KDE3
	  branch: Charcoal image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-30 10:34  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-30 10:34  cgilles

	* imageplugins/filmgrain/filmgraintool.cpp: polish

2008-08-30 10:32  cgilles

	* imageplugins/filmgrain/Makefile.am,
	  imageplugins/filmgrain/filmgraintool.cpp,
	  imageplugins/filmgrain/filmgraintool.h,
	  imageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  imageplugins/filmgrain/imageeffect_filmgrain.h,
	  imageplugins/filmgrain/imageplugin_filmgrain.cpp: digiKam from
	  KDE3 branch: Film Grain image plugin is now ported to Editor Tool
	  API
	  CCMAIL: digikam-devel@kde.org

2008-08-30 09:43  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-30 09:39  cgilles

	* imageplugins/oilpaint/Makefile.am,
	  imageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  imageplugins/oilpaint/imageeffect_oilpaint.h,
	  imageplugins/oilpaint/imageplugin_oilpaint.cpp,
	  imageplugins/oilpaint/oilpainttool.cpp,
	  imageplugins/oilpaint/oilpainttool.h: digikam from KDE3 branch :
	  Oil Paint image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-30 09:29  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-30 09:28  cgilles

	* imageplugins/texture/Makefile.am,
	  imageplugins/texture/imageeffect_texture.cpp,
	  imageplugins/texture/imageeffect_texture.h,
	  imageplugins/texture/imageplugin_texture.cpp,
	  imageplugins/texture/texturetool.cpp,
	  imageplugins/texture/texturetool.h: digiKam from KDE3 branch:
	  Texture image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-30 08:58  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-30 08:58  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-30 08:57  cgilles

	* imageplugins/blurfx/blurfxtool.cpp: revert

2008-08-30 08:57  cgilles

	* imageplugins/blurfx/blurfxtool.cpp: --This line, and those
	  below,polish will be ignored--
	  
	  M blurfx/blurfxtool.cpp

2008-08-30 08:55  cgilles

	* imageplugins/blurfx/Makefile.am,
	  imageplugins/blurfx/blurfxtool.cpp,
	  imageplugins/blurfx/blurfxtool.h,
	  imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.h,
	  imageplugins/blurfx/imageplugin_blurfx.cpp: digiKam from KDE3
	  branch: BlurFX image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-30 08:44  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-30 08:42  cgilles

	* imageplugins/EDITORTOOLPORT:

2008-08-30 08:41  cgilles

	* imageplugins/hotpixels/Makefile.am,
	  imageplugins/hotpixels/hotpixelstool.cpp,
	  imageplugins/hotpixels/hotpixelstool.h,
	  imageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  imageplugins/hotpixels/imageeffect_hotpixels.h,
	  imageplugins/hotpixels/imageplugin_hotpixels.cpp: digiKam from
	  KDE3 branch: HotPixels image plugin is now ported to EditorTool
	  API
	  Unai, Can you test and report if all work fine for you ?
	  CCMAIL: ugarro@gmail.com

2008-08-29 22:30  aclemens

	* imageplugins/coreplugin/bwsepiatool.cpp: polish

2008-08-29 21:46  aclemens

	* imageplugins/coreplugin/bcgtool.cpp: polish

2008-08-29 21:02  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/rgbtool.cpp,
	  imageplugins/distortionfx/distortionfxtool.cpp,
	  imageplugins/perspective/perspectivetool.cpp,
	  imageplugins/raindrop/raindroptool.cpp: Editor Tool are nt
	  Dialog. We ned to rename config text file section without
	  "Dialog" annotation
	  CCMAIL: andi.clemens@gmx.net

2008-08-29 20:56  cgilles

	* imageplugins/infrared/infraredtool.cpp: polish

2008-08-29 20:55  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-29 20:54  cgilles

	* imageplugins/infrared/Makefile.am,
	  imageplugins/infrared/imageeffect_infrared.cpp,
	  imageplugins/infrared/imageeffect_infrared.h,
	  imageplugins/infrared/imageplugin_infrared.cpp,
	  imageplugins/infrared/infraredtool.cpp,
	  imageplugins/infrared/infraredtool.h: digiKam from KDE3 branch :
	  Infrared image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-29 20:31  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-29 20:31  cgilles

	* imageplugins/EDITORTOOLPORT: and another one

2008-08-29 20:18  cgilles

	* imageplugins/restoration/Makefile.am,
	  imageplugins/restoration/imageeffect_restoration.cpp,
	  imageplugins/restoration/imageeffect_restoration.h,
	  imageplugins/restoration/imageplugin_restoration.cpp,
	  imageplugins/restoration/restorationtool.cpp,
	  imageplugins/restoration/restorationtool.h: digiKam from KDE3
	  branch : Restoration image plugin is now ported to Editor Tool
	  API
	  CCMAIL: digikam-devel@kde.org

2008-08-29 18:47  cgilles

	* imageplugins/noisereduction/imageplugin_noisereduction.cpp:
	  polish

2008-08-29 18:04  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-29 18:04  cgilles

	* imageplugins/EDITORTOOLPORT: and another one

2008-08-29 18:03  cgilles

	* imageplugins/noisereduction/noisereductiontool.cpp: fix layout

2008-08-29 17:56  cgilles

	* imageplugins/noisereduction/noisereductiontool.h: compile

2008-08-29 17:55  cgilles

	* imageplugins/noisereduction/Makefile.am,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  imageplugins/noisereduction/imageeffect_noisereduction.h,
	  imageplugins/noisereduction/imageplugin_noisereduction.cpp,
	  imageplugins/noisereduction/noisereductiontool.cpp,
	  imageplugins/noisereduction/noisereductiontool.h: digiKam from
	  KDE3 branch : Noise Reduction image plugin is now ported to
	  Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-29 16:44  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-29 15:53  cgilles

	* imageplugins/EDITORTOOLPORT: and another one

2008-08-29 15:50  cgilles

	* imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp: compile

2008-08-29 15:49  cgilles

	* imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp: missing
	  buttons

2008-08-29 15:48  cgilles

	* imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp: fix
	  layout

2008-08-29 15:31  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/sharpnesseditor/Makefile.am,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.h,
	  imageplugins/coreplugin/sharpnesseditor/sharpentool.cpp,
	  imageplugins/coreplugin/sharpnesseditor/sharpentool.h: digiKam
	  from KDE3 branch: Sharpen image plugin is now ported to Editor
	  Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-29 15:01  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-29 12:23  cgilles

	* imageplugins/texture/imageplugin_texture.cpp,
	  imageplugins/texture/imageplugin_texture.h: compile

2008-08-29 12:22  cgilles

	* imageplugins/restoration/imageplugin_restoration.cpp,
	  imageplugins/restoration/imageplugin_restoration.h: compile

2008-08-29 12:21  cgilles

	* imageplugins/raindrop/imageplugin_raindrop.cpp,
	  imageplugins/raindrop/imageplugin_raindrop.h,
	  imageplugins/raindrop/raindroptool.cpp,
	  imageplugins/raindrop/raindroptool.h: compile

2008-08-29 12:19  cgilles

	* imageplugins/oilpaint/imageplugin_oilpaint.cpp,
	  imageplugins/oilpaint/imageplugin_oilpaint.h: compile

2008-08-29 12:18  cgilles

	* imageplugins/noisereduction/imageplugin_noisereduction.cpp,
	  imageplugins/noisereduction/imageplugin_noisereduction.h: compile

2008-08-29 12:16  cgilles

	* imageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  imageplugins/infrared/imageplugin_infrared.cpp,
	  imageplugins/infrared/imageplugin_infrared.h: compile

2008-08-29 12:14  cgilles

	* imageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  imageplugins/hotpixels/imageplugin_hotpixels.h: compile

2008-08-29 12:12  cgilles

	* imageplugins/filmgrain/imageplugin_filmgrain.cpp,
	  imageplugins/filmgrain/imageplugin_filmgrain.h: compile

2008-08-29 12:11  cgilles

	* imageplugins/distortionfx/distortionfxtool.cpp,
	  imageplugins/distortionfx/distortionfxtool.h,
	  imageplugins/distortionfx/imageplugin_distortionfx.cpp,
	  imageplugins/emboss/imageplugin_emboss.cpp,
	  imageplugins/emboss/imageplugin_emboss.h: compile

2008-08-29 12:08  cgilles

	* imageplugins/charcoal/imageplugin_charcoal.cpp,
	  imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/colorfx/colorfxtool.h,
	  imageplugins/colorfx/imageplugin_colorfx.cpp,
	  imageplugins/colorfx/imageplugin_colorfx.h: compile

2008-08-29 12:06  cgilles

	* imageplugins/charcoal/imageplugin_charcoal.cpp,
	  imageplugins/charcoal/imageplugin_charcoal.h: compile

2008-08-29 12:04  cgilles

	* imageplugins/blurfx/imageplugin_blurfx.cpp,
	  imageplugins/blurfx/imageplugin_blurfx.h: compile

2008-08-29 12:02  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bcgtool.h,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.h,
	  imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/iccprooftool.h,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
	  imageplugins/coreplugin/ratiocrop/ratiocroptool.h,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/redeyetool.h,
	  imageplugins/coreplugin/rgbtool.cpp,
	  imageplugins/coreplugin/rgbtool.h,
	  utilities/imageeditor/canvas/imageplugin.cpp,
	  utilities/imageeditor/canvas/imageplugin.h,
	  utilities/imageeditor/editor/editorwindow.cpp: API simplification
	  : in ImagePlugin class, we don't need to store parent widget
	  (editor in fact)
	  Just use kaap->activeWindow() instead is enough.
	  Note: EditorTool need QObject not QWidget in contructor.
	  CCMAIL: andi.clemens@gmx.net

2008-08-29 11:12  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: optimize
	  layout

2008-08-29 10:07  cgilles

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/blurtool.cpp,
	  imageplugins/coreplugin/blurtool.h,
	  imageplugins/coreplugin/imageeffect_blur.cpp,
	  imageplugins/coreplugin/imageeffect_blur.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: digiKam from KDE3
	  branch : Blur image plugin is now ported to Editor Tool API
	  CCMAIL: digik-devel@kde.org

2008-08-29 10:06  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: new method to
	  use pan icon widget into image plugins

2008-08-29 10:05  cgilles

	* libs/widgets/imageplugins/Makefile.am,
	  libs/widgets/imageplugins/imagepanelwidget.cpp,
	  libs/widgets/imageplugins/imagepanelwidget.h: new widget named
	  ImagePanelWidget to replace ImagePannelWidget (look the typo)
	  into CtrlPanelDlg image plugins ported to EditorTool
	  CCMAIL: andi.clemens@gmx.net

2008-08-29 09:02  aclemens

	* imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp: disconnect
	  the standard connection of the "Try" button to slotEffect()

2008-08-29 08:53  aclemens

	* imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp: Use QToolTip
	  for "Max. Aspect" button instead of QWhatsThis. This behavior is
	  much more logical for the average user.

2008-08-29 08:42  aclemens

	* imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp: We don't
	  need to call readSettings() manually anymore since this is
	  handled by the EditorTool class.

2008-08-29 08:36  aclemens

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-29 08:36  aclemens

	* imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
	  imageplugins/coreplugin/ratiocrop/ratiocroptool.h: Added the
	  "Max. Aspect" button again, this requires some tweaking of the
	  "Try" button that will not be used in this tool anyway.

2008-08-29 08:14  cgilles

	* imageplugins/EDITORTOOLPORT: next one

2008-08-29 07:46  cgilles

	* imageplugins/superimpose/superimposetool.cpp: polish

2008-08-28 22:06  cgilles

	* utilities/imageeditor/editor/Makefile.am,
	  utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: prepare Editor
	  Tool API for CtrlPanelDlg port

2008-08-28 21:18  aclemens

	* imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/distortionfx/distortionfxtool.cpp: polish

2008-08-28 21:15  aclemens

	* imageplugins/raindrop/raindroptool.cpp: polish

2008-08-28 21:14  cgilles

	* libs/dialogs/Makefile.am, libs/dialogs/imagedlgbase.cpp,
	  libs/dialogs/imagedlgbase.h, libs/dialogs/imageguidedlg.cpp,
	  libs/dialogs/imageguidedlg.h: remove obsolete dialogs for image
	  plugins

2008-08-28 21:03  cgilles

	* imageplugins/EDITORTOOLPORT: Et Voilà : all ImageDlgBase and
	  ImageGuideDlg image plugins are now ported to Editor Tool API

2008-08-28 21:01  cgilles

	* imageplugins/inserttext/Makefile.am,
	  imageplugins/inserttext/imageeffect_inserttext.cpp,
	  imageplugins/inserttext/imageeffect_inserttext.h,
	  imageplugins/inserttext/imageplugin_inserttext.cpp,
	  imageplugins/inserttext/imageplugin_inserttext.h,
	  imageplugins/inserttext/inserttexttool.cpp,
	  imageplugins/inserttext/inserttexttool.h: digiKam from KDE3
	  branch : Insert Text image plugin is now ported to Editor Tool
	  API
	  CCMAIL: digikam-devel@kde.org

2008-08-28 20:57  aclemens

	* imageplugins/raindrop/raindroptool.cpp: polish

2008-08-28 20:49  aclemens

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 20:46  aclemens

	* imageplugins/raindrop/Makefile.am,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.h,
	  imageplugins/raindrop/imageplugin_raindrop.cpp,
	  imageplugins/raindrop/raindroptool.cpp,
	  imageplugins/raindrop/raindroptool.h: digiKam from KDE3 branch:
	  Raindrops plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-28 20:39  cgilles

	* imageplugins/EDITORTOOLPORT: i wil port this one.
	  Andi, until i prepare the API to port plugins based on
	  CtrlPanelDlg, you can start to backport all others to KDE4...
	  CCMAIL: andi.clemens@gmx.net

2008-08-28 20:21  aclemens

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 20:21  aclemens

	* imageplugins/colorfx/colorfxtool.cpp: polish

2008-08-28 20:20  aclemens

	* imageplugins/distortionfx/Makefile.am,
	  imageplugins/distortionfx/distortionfxtool.cpp,
	  imageplugins/distortionfx/distortionfxtool.h,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.h,
	  imageplugins/distortionfx/imageplugin_distortionfx.cpp: digiKam
	  from KDE3 branch: Distortion Effects plugin is now ported to
	  Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-28 19:37  aclemens

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 18:03  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 18:02  cgilles

	* imageplugins/superimpose/Makefile.am,
	  imageplugins/superimpose/imageeffect_superimpose.cpp,
	  imageplugins/superimpose/imageeffect_superimpose.h,
	  imageplugins/superimpose/imageplugin_superimpose.cpp,
	  imageplugins/superimpose/imageplugin_superimpose.h,
	  imageplugins/superimpose/superimposetool.cpp,
	  imageplugins/superimpose/superimposetool.h: digiKam from KDE3
	  branch: SuperImpose image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-28 17:53  aclemens

	* imageplugins/colorfx/Makefile.am,
	  imageplugins/colorfx/colorfxtool.cpp,
	  imageplugins/colorfx/colorfxtool.h,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.h,
	  imageplugins/colorfx/imageplugin_colorfx.cpp: digiKam from KDE3
	  branch: Color Effects plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-28 17:29  aclemens

	* imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
	  imageplugins/sheartool/sheartool.cpp: polish

2008-08-28 17:25  cgilles

	* imageplugins/EDITORTOOLPORT: next one for me

2008-08-28 16:05  cgilles

	* utilities/imageeditor/editor/editortool.cpp: missing connection

2008-08-28 16:02  cgilles

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 16:01  cgilles

	* imageplugins/inpainting/Makefile.am,
	  imageplugins/inpainting/imageeffect_inpainting.cpp,
	  imageplugins/inpainting/imageeffect_inpainting.h,
	  imageplugins/inpainting/imageplugin_inpainting.cpp,
	  imageplugins/inpainting/imageplugin_inpainting.h,
	  imageplugins/inpainting/inpaintingtool.cpp,
	  imageplugins/inpainting/inpaintingtool.h: digiKam from KDE3 :
	  Inpainting image plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-28 15:55  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: polish

2008-08-28 15:05  cgilles

	* utilities/imageeditor/editor/editortooliface.h: polish

2008-08-28 15:03  cgilles

	* utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h,
	  utilities/imageeditor/editor/editorwindow.cpp: code
	  simplification

2008-08-28 14:03  cgilles

	* imageplugins/EDITORTOOLPORT: Andi, i will do it this one.
	  Note: 1/ for all CtrlPanelDlg plugin, i need to design a new
	  preview widget... All others plugins can be ported as well.
	  2/ In LensDistortion, all settings default values are not
	  implemented i think. Press Default button for ex.
	  CCMAIL: andi.clemens@gmx.net

2008-08-28 14:00  cgilles

	* utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h,
	  utilities/imageeditor/editor/editorwindow.cpp: Fix crash:
	  setProgressbar in editor tool interface with a non null instance

2008-08-28 12:38  aclemens

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 12:37  aclemens

	* imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/ratiocrop/Makefile.am,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h,
	  imageplugins/coreplugin/ratiocrop/ratiocroptool.cpp,
	  imageplugins/coreplugin/ratiocrop/ratiocroptool.h: digiKam from
	  KDE3 branch: Aspect ratio crop plugin is now ported to Editor
	  Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-28 09:50  aclemens

	* imageplugins/EDITORTOOLPORT: polish

2008-08-28 09:47  aclemens

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 09:41  aclemens

	* imageplugins/EDITORTOOLPORT: update

2008-08-28 09:30  cgilles

	* imageplugins/EDITORTOOLPORT: list of EditorTool port (just for
	  remember)
	  CCMAIL: andi.clemens@gmx.net

2008-08-28 09:02  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-28 08:47  cgilles

	* imageplugins/antivignetting/antivignettingtool.cpp,
	  imageplugins/border/bordertool.cpp,
	  imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/lensdistortion/lensdistortiontool.cpp,
	  imageplugins/sheartool/sheartool.cpp: remove abort button

2008-08-28 08:47  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h,
	  utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h,
	  utilities/imageeditor/editor/editorwindow.cpp: We don't need an
	  Abort button in editor tool settings. We can use status progress
	  bar cancel button instead

2008-08-28 07:31  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h: restore event
	  filter (removed by accident)

2008-08-27 20:50  cgilles

	* imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/lensdistortion/lensdistortiontool.cpp,
	  imageplugins/lensdistortion/lensdistortiontool.h,
	  imageplugins/sheartool/sheartool.cpp: polish

2008-08-27 20:48  cgilles

	* imageplugins/freerotation/freerotationtool.cpp: polish

2008-08-27 20:10  cgilles

	* imageplugins/lensdistortion/lensdistortiontool.cpp: we need guide
	  here

2008-08-27 20:06  cgilles

	* imageplugins/lensdistortion/Makefile.am,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  imageplugins/lensdistortion/imageplugin_lensdistortion.cpp,
	  imageplugins/lensdistortion/imageplugin_lensdistortion.h,
	  imageplugins/lensdistortion/lensdistortiontool.cpp,
	  imageplugins/lensdistortion/lensdistortiontool.h: digiKam from
	  KDE3 branch: LensDistortion image plugin is now ported to Editor
	  Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-27 20:05  cgilles

	* imageplugins/antivignetting/antivignettingtool.h: polish

2008-08-27 19:42  cgilles

	* imageplugins/antivignetting/Makefile.am,
	  imageplugins/antivignetting/antivignettingtool.cpp,
	  imageplugins/antivignetting/antivignettingtool.h,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.h,
	  imageplugins/antivignetting/imageplugin_antivignetting.cpp,
	  imageplugins/antivignetting/imageplugin_antivignetting.h: digiKam
	  from KDE3 branch : Antivignetting image plugin is now ported to
	  Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-27 19:40  cgilles

	* imageplugins/sheartool/sheartool.cpp: polish

2008-08-27 19:40  cgilles

	* imageplugins/freerotation/freerotationtool.cpp: polish

2008-08-27 19:40  cgilles

	* imageplugins/border/bordertool.cpp: polish

2008-08-27 19:24  cgilles

	* imageplugins/border/bordertool.h: polish

2008-08-27 17:20  cgilles

	* imageplugins/border/bordertool.cpp: polish

2008-08-27 17:02  cgilles

	* imageplugins/border/Makefile.am,
	  imageplugins/border/bordertool.cpp,
	  imageplugins/border/bordertool.h,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/border/imageeffect_border.h,
	  imageplugins/border/imageplugin_border.cpp,
	  imageplugins/border/imageplugin_border.h: digiKam from KDE3
	  branch: Border image plugin is now ported to Editor Tool API

2008-08-27 16:04  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp: compile

2008-08-27 16:02  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h: make CCM plugin
	  private

2008-08-27 15:43  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/imageplugin_core.h,
	  utilities/imageeditor/canvas/canvas.cpp,
	  utilities/imageeditor/canvas/canvas.h,
	  utilities/imageeditor/canvas/dimginterface.cpp,
	  utilities/imageeditor/canvas/dimginterface.h,
	  utilities/imageeditor/canvas/iccsettingscontainer.h,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/setup/setupicc.cpp, utilities/setup/setupicc.h: digiKAm
	  from KDE3 branch : Color Management : option to handle RAW file
	  with CM image plugin is now obsolote.
	  This option is removed. Use RAW Import tool instead.
	  CCMAIL: digikam-devel@kde.org

2008-08-27 13:21  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-27 13:14  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-27 13:06  cgilles

	* utilities/imageeditor/editor/editortool.cpp: restore status bar
	  when tool is done

2008-08-27 13:05  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp: fix tool progress
	  message

2008-08-27 12:58  cgilles

	* imageplugins/sheartool/sheartool.cpp,
	  imageplugins/sheartool/sheartool.h: use color guide

2008-08-27 12:58  cgilles

	* imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/freerotation/freerotationtool.h: use color guide

2008-08-27 12:58  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: compile

2008-08-27 12:56  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: add color
	  guide

2008-08-26 22:42  cgilles

	* utilities/imageeditor/editor/editortool.cpp: handle buttons with
	  threaded editr tools

2008-08-26 22:18  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow.h: editor tool ifac eis
	  now able to report editor tool progress in statusbar

2008-08-26 21:53  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: polish

2008-08-26 21:37  cgilles

	* imageplugins/sheartool/Makefile.am,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.h,
	  imageplugins/sheartool/imageplugin_sheartool.cpp,
	  imageplugins/sheartool/sheartool.cpp,
	  imageplugins/sheartool/sheartool.h: digiKam from KDE3 branch :
	  Shear Tool image plugin is now ported to Editor Tool API

2008-08-26 21:22  cgilles

	* imageplugins/freerotation/freerotationtool.h: polish

2008-08-26 21:17  cgilles

	* imageplugins/sheartool/Makefile.am,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/sheartool/imageplugin_sheartool.cpp,
	  imageplugins/sheartool/imageplugin_sheartool.h,
	  imageplugins/sheartool/shear.cpp, imageplugins/sheartool/shear.h,
	  imageplugins/sheartool/sheartool.cpp,
	  imageplugins/sheartool/sheartool.h: polish

2008-08-26 21:09  cgilles

	* imageplugins/freerotation/Makefile.am,
	  imageplugins/freerotation/freerotationtool.cpp,
	  imageplugins/freerotation/freerotationtool.h,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.h,
	  imageplugins/freerotation/imageplugin_freerotation.cpp,
	  imageplugins/freerotation/imageplugin_freerotation.h: digiKam
	  from KDE3 branch : Free Rotation is the first multithreaded image
	  plugins ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-26 20:47  cgilles

	* imageplugins/whitebalance/whitebalancetool.cpp: polish

2008-08-26 20:47  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: polish

2008-08-26 20:46  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp: polish

2008-08-26 20:46  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp: polish

2008-08-26 19:44  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: fix layout

2008-08-26 19:18  aclemens

	* NEWS: update

2008-08-26 19:01  cgilles

	* imageplugins/coreplugin/imageplugin_core.h: polish

2008-08-26 19:00  cgilles

	* imageplugins/coreplugin/imageplugin_core.cpp: using core
	  namesapce

2008-08-26 18:57  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: fix i18n

2008-08-26 18:56  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: code
	  simplification

2008-08-26 18:46  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: revert. it's a
	  wrong way

2008-08-26 18:32  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: QWidget =>
	  QScrollView

2008-08-26 17:47  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: digiKam from KDE3
	  branch : first version of EditorToolThreaded class dedicated to
	  be used with multithreaded image plugins. Not yet complete

2008-08-26 15:42  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h:
	  slotOk() needs to be renamed to finalRendering(), layout fixes
	  (but still not good)

2008-08-26 14:53  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp: at
	  least the buttons are visible again, need to do further fixing

2008-08-26 14:36  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp: We
	  need a new layout here, it doesn't work with the new editor tool.
	  Starting to fix layout...

2008-08-26 14:31  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: add Abort
	  button

2008-08-26 14:00  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp:
	  polish

2008-08-26 13:57  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h: polish

2008-08-26 13:48  aclemens

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/rgbtool.cpp,
	  imageplugins/whitebalance/whitebalancetool.cpp: histogram widget
	  needs to be reset on readSettings, otherwise no histogram will be
	  displayed at all

2008-08-26 13:17  cgilles

	* imageplugins/perspective/Makefile.am,
	  imageplugins/perspective/imageeffect_perspective.cpp,
	  imageplugins/perspective/imageeffect_perspective.h,
	  imageplugins/perspective/imageplugin_perspective.cpp,
	  imageplugins/perspective/imageplugin_perspective.h,
	  imageplugins/perspective/perspectivetool.cpp,
	  imageplugins/perspective/perspectivetool.h: digikam from KDE3
	  branch : Perspective image plugin is no ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-26 12:50  cgilles

	* imageplugins/channelmixer/channelmixertool.cpp: --This line, and
	  those below,fix layout will be ignored--
	  
	  M channelmixer/channelmixertool.cpp

2008-08-26 12:49  aclemens

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bcgtool.h,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.h,
	  imageplugins/coreplugin/rgbtool.cpp,
	  imageplugins/coreplugin/rgbtool.h: polish

2008-08-26 12:46  cgilles

	* imageplugins/channelmixer/Makefile.am,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/channelmixer/channelmixer.h,
	  imageplugins/channelmixer/channelmixertool.cpp,
	  imageplugins/channelmixer/channelmixertool.h,
	  imageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  imageplugins/channelmixer/imageplugin_channelmixer.h: digiKam
	  from KDE3 branch: Channel Mixer image plugin is now ported to
	  Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-26 12:44  aclemens

	* imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h:
	  Beginning to convert the Aspect Ratio Crop imageplugin to the new
	  ImageTool component

2008-08-26 11:51  aclemens

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/rgbtool.cpp,
	  imageplugins/whitebalance/whitebalancetool.cpp: Cleanup tool
	  destructors to prevent a crash that sometimes occurred.

2008-08-26 11:15  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: usie slotInit()

2008-08-26 11:03  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: use delayed gui timer
	  to call virtual method slotInit() which readSettings by default.
	  No need to call readSettings() in Editor Tool,
	  this will be done automatically when tool is pluged in editor.

2008-08-26 10:54  aclemens

	* imageplugins/coreplugin/bwsepiatool.cpp: polish

2008-08-26 10:53  aclemens

	* imageplugins/coreplugin/bwsepiatool.cpp: added setToolHelp()
	  method

2008-08-26 10:51  aclemens

	* imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h: added load and saveAs
	  methods again

2008-08-26 10:27  aclemens

	* imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/redeyetool.cpp: polish

2008-08-26 10:20  aclemens

	* imageplugins/whitebalance/whitebalancetool.cpp: polish

2008-08-26 10:17  aclemens

	* imageplugins/coreplugin/hsl/hsltool.cpp: polish

2008-08-26 10:14  aclemens

	* imageplugins/coreplugin/hsl/hsltool.cpp: added setToolHelp()
	  method

2008-08-26 10:12  cgilles

	* imageplugins/whitebalance/Makefile.am,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.h,
	  imageplugins/whitebalance/imageplugin_whitebalance.cpp,
	  imageplugins/whitebalance/imageplugin_whitebalance.h,
	  imageplugins/whitebalance/whitebalancetool.cpp,
	  imageplugins/whitebalance/whitebalancetool.h: digiKam from KDE3
	  branch : White Balance plugin is now ported to Editor Tool API
	  CCMAIL: digikam-devel@kde.org

2008-08-26 10:08  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-26 09:50  aclemens

	* imageplugins/coreplugin/redeyetool.cpp: polish

2008-08-26 09:48  aclemens

	* imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/redeyetool.h: polish

2008-08-26 09:45  aclemens

	* imageplugins/coreplugin/rgbtool.cpp: polish

2008-08-26 09:39  aclemens

	* imageplugins/coreplugin/iccprooftool.cpp: polish

2008-08-26 09:34  aclemens

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/iccprooftool.cpp,
	  imageplugins/coreplugin/iccprooftool.h,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: digiKam from KDE3
	  branch: ICCProof (Color Management) plugin is now ported to
	  Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-26 09:21  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.cpp: set
	  kapp->activeWindow() as parent for all KMessageBox objects to
	  prevent focus stealing

2008-08-26 09:20  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp: use setToolHelp

2008-08-26 09:13  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: use object name as
	  anchor, not tool name
	  add toolHelp()

2008-08-26 08:36  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp: polish

2008-08-26 08:33  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: add setToolHelp() to
	  set help link. Note: this link is set automatically with tool
	  name when setToolName() is used. To use another one, call
	  setToolHelp() later than setToolName()
	  TODO: update editor help menu entry accordingly
	  CCMAIL: andi.clemens@gmx.net

2008-08-26 08:11  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.cpp: polish

2008-08-26 08:03  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.cpp: polish

2008-08-26 07:37  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.cpp: polish

2008-08-25 19:56  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the ICCProof (Color Management) imageplugin to the new
	  ImageTool component

2008-08-25 19:16  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-25 19:12  aclemens

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/imageeffect_redeye.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.h,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/redeyetool.cpp,
	  imageplugins/coreplugin/redeyetool.h: digiKam from KDE3 branch:
	  Red Eye plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-25 19:11  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: fix layout.
	  but now all buttons are on the bottom

2008-08-25 19:09  aclemens

	* imageplugins/coreplugin/imageeffect_redeye.cpp: polish

2008-08-25 19:08  aclemens

	* imageplugins/coreplugin/imageeffect_redeye.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the Red Eye imageplugin to the new ImageTool component

2008-08-25 18:58  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp: polish

2008-08-25 18:54  aclemens

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.cpp: polish

2008-08-25 18:46  aclemens

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/imageeffect_rgb.cpp,
	  imageplugins/coreplugin/imageeffect_rgb.h,
	  imageplugins/coreplugin/imageplugin_core.cpp,
	  imageplugins/coreplugin/rgbtool.cpp,
	  imageplugins/coreplugin/rgbtool.h: digiKam from KDE3 branch:
	  Color Balance plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-25 18:41  aclemens

	* imageplugins/coreplugin/imageeffect_rgb.cpp: polish

2008-08-25 18:40  aclemens

	* imageplugins/coreplugin/imageeffect_rgb.cpp: port++

2008-08-25 18:37  aclemens

	* imageplugins/coreplugin/imageeffect_rgb.cpp,
	  imageplugins/coreplugin/imageeffect_rgb.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the Color Balance imageplugin to the new ImageTool
	  component

2008-08-25 18:32  aclemens

	* imageplugins/coreplugin/bwsepiatool.h: compile

2008-08-25 18:17  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h: polish

2008-08-25 17:37  cgilles

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.cpp: smae here

2008-08-25 17:36  cgilles

	* imageplugins/coreplugin/bwsepiatool.cpp: Remove QWidget delete in
	  destructor. sound like Qt don't like this when EditorTool is
	  created on the stack and deleted by hand in ImagePlugin class
	  CCMAIL: andi.clemens@gmx.net

2008-08-25 15:36  aclemens

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/bwsepiatool.cpp,
	  imageplugins/coreplugin/bwsepiatool.h,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: digiKam from KDE3
	  branch: Black & White plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-25 15:32  aclemens

	* imageplugins/coreplugin/imageeffect_bwsepia.cpp: port++

2008-08-25 15:15  aclemens

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/bcgtool.cpp: Use the actions name for the
	  EditorTool caption instead of the old, longer description found
	  in the image dialogs.

2008-08-25 15:12  aclemens

	* imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the Black & White imageplugin to the new ImageTool
	  component

2008-08-25 14:41  aclemens

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/bcgtool.cpp,
	  imageplugins/coreplugin/bcgtool.h,
	  imageplugins/coreplugin/imageeffect_bcg.cpp,
	  imageplugins/coreplugin/imageeffect_bcg.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: digiKam from KDE3
	  branch: BCG plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-25 14:35  aclemens

	* imageplugins/coreplugin/imageeffect_bcg.cpp,
	  imageplugins/coreplugin/imageeffect_bcg.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the BCG imageplugin to the new ImageTool component

2008-08-25 14:24  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.cpp: fix crash...

2008-08-25 14:12  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp: fix icon name

2008-08-25 14:09  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp: polish

2008-08-25 14:05  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp: polish

2008-08-25 13:55  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h,
	  imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h: use private member
	  to host settings aera

2008-08-25 13:32  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp: fix layout

2008-08-25 13:24  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: typo

2008-08-25 13:23  cgilles

	* utilities/imageeditor/editor/editortoolsettings.h: typo

2008-08-25 13:22  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h,
	  imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h: typo

2008-08-25 13:15  aclemens

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: typo

2008-08-25 13:11  aclemens

	* imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h: wrong reset method

2008-08-25 13:10  cgilles

	* utilities/imageeditor/editor/editortool.cpp: compile

2008-08-25 13:09  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h: polish

2008-08-25 13:08  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h: polish

2008-08-25 13:08  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortoolsettings.h,
	  utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: polish API

2008-08-25 13:00  aclemens

	* imageplugins/coreplugin/Makefile.am,
	  imageplugins/coreplugin/autocorrectiontool.cpp,
	  imageplugins/coreplugin/autocorrectiontool.h,
	  imageplugins/coreplugin/imageeffect_autocorrection.cpp,
	  imageplugins/coreplugin/imageeffect_autocorrection.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: digiKam from KDE3
	  branch: Autocorrection plugin is now ported to Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-25 12:54  aclemens

	* imageplugins/coreplugin/imageeffect_autocorrection.cpp,
	  imageplugins/coreplugin/imageeffect_autocorrection.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the autocorrection imageplugin to the new ImageTool
	  component

2008-08-25 12:36  cgilles

	* utilities/imageeditor/editor/editortool.cpp: polish

2008-08-25 12:32  cgilles

	* imageplugins/adjustlevels/adjustlevelstool.cpp: fix layout

2008-08-25 12:26  cgilles

	* imageplugins/adjustlevels/Makefile.am,
	  imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/adjustlevels/adjustlevels.h,
	  imageplugins/adjustlevels/adjustlevelstool.cpp,
	  imageplugins/adjustlevels/adjustlevelstool.h,
	  imageplugins/adjustlevels/imageplugin_adjustlevels.cpp: digiKam
	  from KDE3 branch: Adjust Levels image plugin is now ported to
	  Editor Tool API.
	  CCMAIL: digikam-devel@kde.org

2008-08-25 12:19  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.h: polish

2008-08-25 12:08  aclemens

	* imageplugins/coreplugin/hsl/Makefile.am,
	  imageplugins/coreplugin/hsl/hsltool.cpp,
	  imageplugins/coreplugin/hsl/hsltool.h,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: rename files to
	  match new class name

2008-08-25 12:06  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h: adpat to new api

2008-08-25 12:06  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp: adapt to new api

2008-08-25 12:05  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: editor tool
	  api improved again about load and saveas settings

2008-08-25 11:41  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.h: port++

2008-08-25 11:36  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h: polish

2008-08-25 11:33  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.h: polish

2008-08-25 11:29  cgilles

	* imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h,
	  imageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  imageplugins/adjustcurves/imageplugin_adjustcurves.h: wrong class
	  name

2008-08-25 11:18  cgilles

	* imageplugins/adjustcurves/Makefile.am,
	  imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h,
	  imageplugins/adjustcurves/adjustcurvestool.cpp,
	  imageplugins/adjustcurves/adjustcurvestool.h,
	  imageplugins/adjustcurves/imageplugin_adjustcurves.cpp: rename
	  accordingly with class name

2008-08-25 10:19  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: add
	  enableButton()

2008-08-25 10:06  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h: sync with new api

2008-08-25 10:06  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: sync with new
	  api

2008-08-25 10:05  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: Editor Tool:
	  changed API about to reset settings action.

2008-08-25 08:48  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: port++

2008-08-25 08:26  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp: polish

2008-08-25 08:16  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp: port++

2008-08-25 07:55  cgilles

	* libs/widgets/common/sidebar.cpp, libs/widgets/common/sidebar.h:
	  set internal splitter instance.
	  add access method to splitter.

2008-08-25 07:40  cgilles

	* utilities/imageeditor/editor/editortool.h: private slots =>
	  protected

2008-08-25 07:36  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp: port++

2008-08-24 19:40  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp: port++

2008-08-24 18:56  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.h,
	  imageplugins/coreplugin/imageplugin_core.cpp: Beginning to
	  convert the HSL imageplugin to the new ImageTool component

2008-08-24 18:55  aclemens

	* imageplugins/adjustcurves/adjustcurves.cpp: fixed a typo

2008-08-24 16:09  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp: polish

2008-08-24 16:02  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp:
	  polish

2008-08-24 12:06  cgilles

	* utilities/imageeditor/editor/imageiface.cpp,
	  utilities/imageeditor/editor/imageiface.h: use const pointer

2008-08-24 12:04  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h: digiKam from KDE3
	  branch : AdjustCurves tool : memory consume optimization.
	  No need to duplicates original image data here: we can use the
	  instance from editor instead.
	  
	  Andi, this way can be applied in others image plugins if
	  necessary. i'm sure that we will find old code to polish by thi
	  way.
	  
	  CCBUGS: 163164

2008-08-24 11:53  cgilles

	* utilities/imageeditor/editor/imageiface.cpp,
	  utilities/imageeditor/editor/imageiface.h: using const pointer is
	  better

2008-08-24 10:21  cgilles

	* libs/widgets/common/sidebar.cpp: bagfix : when a tab is removed,
	  update internal tabs number and ajust minimum width of stack

2008-08-24 08:52  cgilles

	* libs/widgets/common/sidebar.cpp, libs/widgets/common/sidebar.h:
	  bugfix : missing to remove the widget from the stack when a
	  sidebar tab is removed

2008-08-24 08:13  cgilles

	* libs/curves/imagecurves.cpp: backport commit #851624 from KDE4

2008-08-23 22:55  aclemens

	* digikam/digikamfirstrun.cpp, digikam/dio.cpp,
	  digikam/scanlib.cpp: polish

2008-08-23 22:55  aclemens

	* libs/dimg/dcolorcomposer.cpp,
	  libs/dimg/filters/dimggaussianblur.cpp,
	  libs/dimg/filters/dimgsharpen.cpp,
	  libs/dimg/loaders/pngloader.cpp,
	  libs/histogram/imagehistogram.cpp,
	  libs/imageproperties/imagepropertiescolorstab.cpp,
	  libs/jpegutils/jpegutils.cpp, libs/levels/imagelevels.cpp,
	  libs/threadimageio/previewtask.cpp,
	  libs/whitebalance/whitebalance.cpp,
	  libs/widgets/common/paniconwidget.cpp,
	  libs/widgets/imageplugins/imagepaniconwidget.cpp,
	  libs/widgets/imageplugins/imageregionwidget.cpp: polish

2008-08-23 22:54  aclemens

	* utilities/imageeditor/editor/imagewindow.cpp,
	  utilities/imageeditor/tools/imageresize.cpp: polish

2008-08-23 22:54  aclemens

	* imageplugins/antivignetting/antivignetting.cpp,
	  imageplugins/blurfx/blurfx.cpp, imageplugins/border/border.cpp,
	  imageplugins/charcoal/charcoal.cpp,
	  imageplugins/coreplugin/sharpnesseditor/unsharp.cpp,
	  imageplugins/distortionfx/distortionfx.cpp,
	  imageplugins/emboss/emboss.cpp,
	  imageplugins/filmgrain/filmgrain.cpp,
	  imageplugins/freerotation/freerotation.cpp,
	  imageplugins/hotpixels/hotpixelfixer.cpp,
	  imageplugins/infrared/infrared.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/lensdistortion/lensdistortion.cpp,
	  imageplugins/lensdistortion/pixelaccess.cpp,
	  imageplugins/noisereduction/noisereduction.h,
	  imageplugins/oilpaint/oilpaint.cpp,
	  imageplugins/perspective/matrix.cpp,
	  imageplugins/perspective/perspectivewidget.cpp,
	  imageplugins/perspective/triangle.cpp,
	  imageplugins/raindrop/raindrop.cpp,
	  imageplugins/sheartool/sheartool.cpp: polish

2008-08-23 22:25  aclemens

	* imageplugins/inpainting/imageeffect_inpainting.cpp,
	  libs/greycstoration/greycstorationwidget.cpp: polish

2008-08-23 18:35  hasso

	* utilities/cameragui/gpcamera.cpp: Reorder includes to fix build
	  at least in NetBSD and DragonFly (probably
	  other BSDs as well).

2008-08-23 11:11  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish
	  buttons

2008-08-23 09:21  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp: adjust to new API

2008-08-23 09:19  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: polish api =>
	  user1/2/3 buttons => Load/SaveAs

2008-08-22 19:24  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp: fix signal/slot

2008-08-22 19:15  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h,
	  imageplugins/adjustcurves/imageplugin_adjustcurves.cpp: add
	  support of Load /Save As

2008-08-22 18:16  cgilles

	* utilities/imageeditor/editor/editortoolsettings.h: this methods
	  can be only public for the moment

2008-08-22 18:14  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: add support of
	  USER1/2/3 buttons

2008-08-22 14:46  cgilles

	* showfoto/showfoto.h,
	  utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editorwindow.h,
	  utilities/imageeditor/editor/imagewindow.h: EditorToolIface is nw
	  a friend class for EditorWindow.
	  toggle on/off menu actions when an EditorTool is pluged/unpluged

2008-08-22 14:28  aclemens

	* imageplugins/whitebalance/imageeffect_whitebalance.cpp: when
	  clicking "Default" button, also reset the temperature slider
	  after the temperature preset combobox was reset, so that its
	  reset button gets disabled, too.

2008-08-22 13:38  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.h: polish

2008-08-22 13:15  aclemens

	* imageplugins/coreplugin/imageeffect_rgb.cpp: polish

2008-08-22 11:37  aclemens

	* imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.h: polish

2008-08-22 11:09  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp: polish

2008-08-22 10:57  cgilles

	* utilities/imageeditor/editor/editorstackview.cpp: polish

2008-08-22 10:38  cgilles

	* utilities/imageeditor/canvas/imageplugin.cpp,
	  utilities/imageeditor/canvas/imageplugin.h: missing to commit new
	  image plugin api

2008-08-22 10:29  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h,
	  imageplugins/adjustcurves/imageplugin_adjustcurves.cpp: digiKam
	  from KDE3 : Adjust Curves usuability improvements : port first
	  image plugin to new Editor Tool API. The tool is now embedded in
	  editor window.
	  There is no external dialog to show for this tool. Tool settings
	  is placed on editor right sidebar and tool preview in editor
	  canvas stack.
	  
	  The look of editor sound like more professional application (as
	  Aperture, LightZone, or LightRoom). Look the screenshot:
	  
	  http://farm4.static.flickr.com/3199/2785923199_a87e6b017d_o.png
	  
	  CCMAIL: digikam-devel@kde.org

2008-08-22 10:15  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h: use new api. code
	  factoring

2008-08-22 10:14  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: prepare code to be
	  used with image plugins

2008-08-22 10:14  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: prepare code
	  to be used with Adjust Curves plugin. factoring to max

2008-08-22 09:39  aclemens

	* imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.cpp: polish

2008-08-22 09:00  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: port raw import
	  to editor tool settings api. code simplification

2008-08-22 09:00  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortooliface.cpp: port code to
	  editor tool settings component api

2008-08-22 08:59  cgilles

	* utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: improvements
	  of editor tool settings component. fully implemented.

2008-08-22 08:50  aclemens

	* imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/adjustlevels/adjustlevels.h: polish

2008-08-21 21:24  aclemens

	* digikam/albumiconviewfilter.h,
	  libs/threadimageio/loadsavetask.cpp: polish

2008-08-21 21:22  aclemens

	* digikam/searchfolderview.cpp, digikam/syncjob.h,
	  digikam/timelinefolderview.cpp, libs/dialogs/rawcameradlg.cpp,
	  libs/dialogs/rawcameradlg.h: polish

2008-08-21 21:19  aclemens

	* digikam/dio.cpp, digikam/dio_p.h, libs/dialogs/deletedialog.h,
	  libs/dimg/dcolor.h, libs/dimg/dimg.h, libs/dimg/dimgprivate.h,
	  libs/dimg/filters/icctransform.cpp,
	  libs/dimg/loaders/jp2kloader.cpp,
	  libs/dimg/loaders/jpegloader.cpp,
	  libs/dimg/loaders/pngloader.cpp, libs/dimg/loaders/ppmloader.cpp,
	  libs/dimg/loaders/rawloader.cpp, libs/dmetadata/dmetadata.h,
	  libs/dmetadata/photoinfocontainer.h,
	  libs/thumbbar/thumbnailjob.cpp, libs/widgets/common/sidebar.cpp:
	  polish

2008-08-21 21:15  aclemens

	* digikam/albumfiletip.cpp, digikam/albumiconitem.cpp,
	  digikam/albummanager.cpp, digikam/albumsettings.h,
	  digikam/albumthumbnailloader.cpp, digikam/albumthumbnailloader.h,
	  digikam/albumwidgetstack.h, digikam/digikamview.cpp,
	  digikam/firstrun.cpp, digikam/folderitem.h, digikam/folderview.h,
	  digikam/icongroupitem.h, digikam/iconitem.h, digikam/iconview.h,
	  digikam/imageattributeswatch.cpp, digikam/imageattributeswatch.h,
	  digikam/imagepreviewview.h, digikam/kipiinterface.cpp,
	  digikam/kipiinterface.h, digikam/main.cpp,
	  digikam/mediaplayerview.h, digikam/metadatahub.cpp,
	  digikam/metadatahub.h, digikam/scanlib.cpp,
	  digikam/tagfolderview.cpp, digikam/timelineview.cpp,
	  digikam/timelinewidget.cpp, digikam/welcomepageview.h,
	  libs/dialogs/ctrlpaneldlg.h, libs/dialogs/deletedialog.h,
	  libs/dialogs/dprogressdlg.cpp, libs/dialogs/imagedlgbase.h,
	  libs/dialogs/imageguidedlg.h, libs/dialogs/rawcameradlg.cpp,
	  libs/dialogs/rawcameradlg.h, libs/dimg/dcolorcomposer.cpp,
	  libs/dimg/dcolorcomposer.h, libs/dimg/exposurecontainer.h,
	  libs/dimg/filters/dimggaussianblur.h,
	  libs/dimg/filters/dimgimagefilters.cpp,
	  libs/dimg/filters/dimgimagefilters.h,
	  libs/dimg/filters/dimgsharpen.h,
	  libs/dimg/filters/dimgthreadedfilter.h,
	  libs/dimg/filters/icctransform.cpp,
	  libs/dimg/loaders/jp2ksettings.h,
	  libs/dimg/loaders/jpegsettings.h,
	  libs/dimg/loaders/pngsettings.h,
	  libs/dimg/loaders/tiffsettings.h, libs/dmetadata/dmetadata.h,
	  libs/greycstoration/greycstorationwidget.h,
	  libs/imageproperties/imagepropertiescolorstab.cpp,
	  libs/imageproperties/imagepropertiesmetadatatab.cpp,
	  libs/imageproperties/imagepropertiessidebar.cpp,
	  libs/imageproperties/imagepropertiessidebarcamgui.cpp,
	  libs/imageproperties/imagepropertiessidebardb.cpp,
	  libs/imageproperties/navigatebarwidget.cpp,
	  libs/imageproperties/talbumlistview.cpp,
	  libs/levels/imagelevels.cpp, libs/threadimageio/previewtask.cpp,
	  libs/threadimageio/previewtask.h, libs/thumbbar/thumbbar.cpp,
	  libs/whitebalance/whitebalance.cpp,
	  libs/widgets/common/colorgradientwidget.cpp,
	  libs/widgets/common/colorgradientwidget.h,
	  libs/widgets/common/curveswidget.h,
	  libs/widgets/common/filesaveoptionsbox.h,
	  libs/widgets/common/histogramwidget.h,
	  libs/widgets/common/paniconwidget.cpp,
	  libs/widgets/common/paniconwidget.h,
	  libs/widgets/common/previewwidget.cpp,
	  libs/widgets/common/previewwidget.h,
	  libs/widgets/common/searchtextbar.cpp,
	  libs/widgets/common/splashscreen.h,
	  libs/widgets/common/squeezedcombobox.h,
	  libs/widgets/common/statusled.cpp,
	  libs/widgets/common/statusnavigatebar.cpp,
	  libs/widgets/common/statusprogressbar.h,
	  libs/widgets/common/statuszoombar.h,
	  libs/widgets/iccprofiles/cietonguewidget.h,
	  libs/widgets/iccprofiles/iccpreviewwidget.cpp,
	  libs/widgets/iccprofiles/iccprofilewidget.cpp,
	  libs/widgets/iccprofiles/iccprofilewidget.h,
	  libs/widgets/imageplugins/imageguidewidget.cpp,
	  libs/widgets/imageplugins/imageguidewidget.h,
	  libs/widgets/imageplugins/imagepannelwidget.h,
	  libs/widgets/imageplugins/imageregionwidget.cpp,
	  libs/widgets/imageplugins/imageregionwidget.h,
	  libs/widgets/imageplugins/imagewidget.cpp,
	  libs/widgets/imageplugins/imagewidget.h,
	  libs/widgets/imageplugins/listboxpreviewitem.h,
	  libs/widgets/metadata/exifwidget.h,
	  libs/widgets/metadata/gpswidget.h,
	  libs/widgets/metadata/iptcwidget.h,
	  libs/widgets/metadata/makernotewidget.h,
	  libs/widgets/metadata/mdkeylistviewitem.cpp,
	  libs/widgets/metadata/metadatalistviewitem.cpp,
	  libs/widgets/metadata/metadatawidget.h,
	  libs/widgets/metadata/worldmapwidget.h: polish

2008-08-21 20:05  cgilles

	* utilities/imageeditor/editor/Makefile.am,
	  utilities/imageeditor/editor/editortoolsettings.cpp,
	  utilities/imageeditor/editor/editortoolsettings.h: first
	  implementation of Editor Tool Settings widget used to host tool
	  settings pannel. Not yet complete

2008-08-21 18:52  aclemens

	* imageplugins/inserttext/inserttextwidget.cpp: accidently commited
	  testing code... reverting it now

2008-08-21 17:01  aclemens

	* showfoto/setup/setuptooltip.cpp,
	  utilities/imageeditor/canvas/dimginterface.h,
	  utilities/imageeditor/editor/editortooliface.h,
	  utilities/setup/setupcollections.cpp,
	  utilities/setup/setupgeneral.cpp,
	  utilities/setup/setupmetadata.cpp,
	  utilities/setup/setuptooltip.cpp: polish

2008-08-21 16:54  aclemens

	* utilities/imageeditor/tools/imageprint.cpp,
	  utilities/imageeditor/tools/imageprint.h: polish

2008-08-21 16:51  aclemens

	* showfoto/setup/setupeditor.cpp, showfoto/setup/setuptooltip.cpp,
	  utilities/batch/batchalbumssyncmetadata.cpp,
	  utilities/batch/batchsyncmetadata.cpp,
	  utilities/batch/batchthumbsgenerator.cpp,
	  utilities/cameragui/gpcamera.cpp,
	  utilities/cameragui/umscamera.cpp,
	  utilities/imageeditor/canvas/undocache.cpp,
	  utilities/imageeditor/canvas/undocache.h,
	  utilities/imageeditor/canvas/undomanager.h,
	  utilities/imageeditor/editor/savingcontextcontainer.h,
	  utilities/imageeditor/tools/imageprint.cpp,
	  utilities/imageeditor/tools/imageprint.h,
	  utilities/setup/setupcamera.h,
	  utilities/setup/setupcollections.cpp,
	  utilities/setup/setupdcraw.cpp, utilities/setup/setupeditor.cpp,
	  utilities/setup/setupgeneral.cpp, utilities/setup/setupicc.cpp,
	  utilities/setup/setupidentity.cpp,
	  utilities/setup/setupiofiles.cpp,
	  utilities/setup/setuplighttable.cpp,
	  utilities/setup/setupmetadata.cpp, utilities/setup/setupmime.cpp,
	  utilities/setup/setupplugins.cpp,
	  utilities/setup/setupslideshow.cpp,
	  utilities/setup/setuptooltip.cpp: polish

2008-08-21 16:45  aclemens

	* utilities/imageeditor/canvas/canvas.h,
	  utilities/imageeditor/canvas/colorcorrectiondlg.h,
	  utilities/imageeditor/canvas/iccsettingscontainer.h,
	  utilities/imageeditor/canvas/imageplugin.cpp,
	  utilities/imageeditor/editor/editorstackview.h,
	  utilities/imageeditor/editor/savingcontextcontainer.h,
	  utilities/imageeditor/rawimport/rawimport.h,
	  utilities/imageeditor/rawimport/rawpostprocessing.h,
	  utilities/imageeditor/rawimport/rawpreview.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.h,
	  utilities/imageeditor/tools/imageprint.cpp,
	  utilities/imageeditor/tools/imageresize.h,
	  utilities/lighttable/lighttablepreview.h,
	  utilities/lighttable/lighttableview.cpp,
	  utilities/setup/setup.cpp, utilities/setup/setupcollections.cpp,
	  utilities/setup/setupdcraw.h, utilities/setup/setupicc.h,
	  utilities/setup/setupiofiles.h, utilities/setup/setupslideshow.h:
	  polish

2008-08-21 16:16  aclemens

	* kioslave/digikamthumbnail.cpp: polish

2008-08-21 15:57  aclemens

	* showfoto/main.cpp: polish

2008-08-21 15:44  aclemens

	* imageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  imageplugins/adjustlevels/imageplugin_adjustlevels.cpp,
	  imageplugins/blurfx/imageplugin_blurfx.cpp,
	  imageplugins/border/imageplugin_border.cpp,
	  imageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  imageplugins/charcoal/imageplugin_charcoal.cpp,
	  imageplugins/colorfx/imageplugin_colorfx.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.h,
	  imageplugins/coreplugin/imageeffect_autocorrection.cpp,
	  imageplugins/coreplugin/imageeffect_autocorrection.h,
	  imageplugins/coreplugin/imageeffect_bcg.h,
	  imageplugins/coreplugin/imageeffect_blur.h,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/imageeffect_iccproof.h,
	  imageplugins/coreplugin/imageeffect_redeye.h,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.h,
	  imageplugins/coreplugin/sharpnesseditor/matrix.cpp,
	  imageplugins/distortionfx/imageplugin_distortionfx.cpp,
	  imageplugins/emboss/imageplugin_emboss.cpp,
	  imageplugins/filmgrain/imageplugin_filmgrain.cpp,
	  imageplugins/freerotation/imageplugin_freerotation.cpp,
	  imageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  imageplugins/infrared/imageplugin_infrared.cpp,
	  imageplugins/inpainting/imageplugin_inpainting.cpp,
	  imageplugins/inserttext/imageplugin_inserttext.cpp,
	  imageplugins/lensdistortion/imageplugin_lensdistortion.cpp,
	  imageplugins/lensdistortion/pixelaccess.cpp,
	  imageplugins/noisereduction/imageplugin_noisereduction.cpp,
	  imageplugins/oilpaint/imageplugin_oilpaint.cpp,
	  imageplugins/perspective/imageplugin_perspective.cpp,
	  imageplugins/raindrop/imageplugin_raindrop.cpp,
	  imageplugins/restoration/imageplugin_restoration.cpp,
	  imageplugins/sheartool/imageplugin_sheartool.cpp,
	  imageplugins/superimpose/imageplugin_superimpose.cpp,
	  imageplugins/texture/imageplugin_texture.cpp,
	  imageplugins/whitebalance/imageplugin_whitebalance.cpp:

2008-08-21 13:57  cgilles

	* imageplugins/adjustcurves/Makefile.am: ploish

2008-08-21 13:34  cgilles

	* utilities/imageeditor/editor/editorstackview.cpp: polish

2008-08-21 13:31  cgilles

	* utilities/imageeditor/editor/editorstackview.cpp,
	  utilities/imageeditor/editor/editorstackview.h,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow.h: add zoom function
	  wrapper into editor stack view. you can use zoom+ and zoom- from
	  editor tool bar with Raw Import tool

2008-08-21 13:15  aclemens

	* imageplugins/coreplugin/imageeffect_autocorrection.cpp,
	  imageplugins/coreplugin/imageeffect_autocorrection.h,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
	  imageplugins/coreplugin/sharpnesseditor/matrix.cpp,
	  imageplugins/hotpixels/blackframeparser.cpp,
	  imageplugins/inpainting/imageeffect_inpainting.h,
	  imageplugins/inserttext/imageeffect_inserttext.cpp,
	  imageplugins/inserttext/inserttextwidget.cpp,
	  imageplugins/perspective/perspectivewidget.cpp,
	  imageplugins/perspective/perspectivewidget.h,
	  imageplugins/restoration/imageeffect_restoration.h,
	  imageplugins/superimpose/dirselectwidget.cpp,
	  imageplugins/superimpose/imageeffect_superimpose.h,
	  imageplugins/superimpose/superimpose.cpp,
	  imageplugins/superimpose/superimpose.h,
	  imageplugins/superimpose/superimposewidget.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.h: polish

2008-08-21 11:47  cgilles

	* showfoto/setup/setupeditor.cpp: polish

2008-08-21 11:34  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/setup/setupeditor.cpp: polish

2008-08-21 11:15  cgilles

	* digikam/digikamapp.cpp: polish

2008-08-21 10:37  cgilles

	* utilities/imageeditor/canvas/canvas.h,
	  utilities/imageeditor/canvas/dimginterface.cpp,
	  utilities/imageeditor/editor/editorwindow.h: polish

2008-08-21 10:07  cgilles

	* showfoto/showfoto.cpp: factorize

2008-08-21 09:30  cgilles

	* utilities/imageeditor/editor/editorwindowprivate.h: polish

2008-08-21 09:16  cgilles

	* showfoto/showfoto.cpp: missing to set canvas stack to showfoto

2008-08-20 19:07  cgilles

	* utilities/imageeditor/canvas/dimginterface.cpp: adapt to new
	  interface rules

2008-08-20 19:06  cgilles

	* utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h: code
	  simplification: manage Editor Tool instance directly with
	  interface

2008-08-20 17:09  cgilles

	* utilities/imageeditor/rawimport/rawimport.cpp: polish

2008-08-20 17:02  cgilles

	* utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h: cleanup api

2008-08-20 16:40  cgilles

	* utilities/imageeditor/canvas/dimginterface.cpp: fix memory leak

2008-08-20 16:32  cgilles

	* utilities/imageeditor/canvas/dimginterface.cpp: using qt_cast is
	  better

2008-08-20 15:57  aclemens

	* imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.h,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.h,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.cpp: -> default values
	  have been set
	  -> resetValues() calls slotReset() methods
	  -> readUserSettings() should get default values from the
	  corresponding widget itself, if possible

2008-08-20 15:33  aclemens

	* imageplugins/border/imageeffect_border.cpp,
	  imageplugins/border/imageeffect_border.h,
	  imageplugins/inserttext/fontchooserwidget.cpp,
	  imageplugins/inserttext/fontchooserwidget.h,
	  imageplugins/inserttext/imageeffect_inserttext.cpp,
	  imageplugins/texture/imageeffect_texture.cpp,
	  imageplugins/texture/imageeffect_texture.h: -> default values
	  have been set
	  -> resetValues() calls slotReset() methods
	  -> readUserSettings() should get default values from the
	  corresponding widget itself, if possible

2008-08-20 14:56  cgilles

	* utilities/imageeditor/canvas/dimginterface.cpp: prevent crash
	  from Andi

2008-08-20 14:04  cgilles

	* utilities/imageeditor/tools/Makefile.am: compile

2008-08-20 14:04  cgilles

	* utilities/imageeditor/canvas/Makefile.am,
	  utilities/imageeditor/canvas/canvas.cpp,
	  utilities/imageeditor/canvas/canvas.h,
	  utilities/imageeditor/canvas/dimginterface.cpp,
	  utilities/imageeditor/canvas/dimginterface.h: port editor core
	  implementation to editor tool interface

2008-08-20 14:03  cgilles

	* showfoto/showfoto.cpp, showfoto/showfoto.h: port showfoto to
	  editor tool interface

2008-08-20 14:03  cgilles

	* utilities/imageeditor/rawimport/Makefile.am,
	  utilities/imageeditor/rawimport/rawimport.cpp,
	  utilities/imageeditor/rawimport/rawimport.h,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: port RAW Import
	  tool as new EditorTool component

2008-08-20 14:02  cgilles

	* utilities/imageeditor/editor/Makefile.am,
	  utilities/imageeditor/editor/editorstackview.cpp,
	  utilities/imageeditor/editor/editorstackview.h,
	  utilities/imageeditor/editor/editortool.cpp,
	  utilities/imageeditor/editor/editortool.h,
	  utilities/imageeditor/editor/editortooliface.cpp,
	  utilities/imageeditor/editor/editortooliface.h,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow.h,
	  utilities/imageeditor/editor/editorwindowprivate.h,
	  utilities/imageeditor/editor/imagewindow.cpp,
	  utilities/imageeditor/editor/imagewindow.h: digiKam from KDE3
	  branch : Important changes here :
	  
	  Image Editor usability improvements: embedding editor tools in
	  main window instead to use separate dialog.
	  
	  - Add new EditorViewStack which create a stack of widget to
	  display over editor canvas (typically the full image canvas or
	  the editor tool preview)
	  - Add new EditorTool QObject component. We will use this one for
	  each tools.
	  - Add new EditorToolIface which interface an EditorTool to editor
	  gui (EditorViewStack + right SideBar).
	  This interface plugin or unplugin a tool to editor. When a tool
	  is pluged in editor,
	  a new tab is created on Right Sidebar to display tool settings.
	  The tool preview is displayed instead editor canvas.
	  Some editor action still avaialble when a tool is pluged as zoom
	  in or zoom out for ex.
	  
	  There is a screenshot of new RawImport tool in action which is
	  the first one to be ported to EditorTool:
	  
	  http://digikam3rdparty.free.fr/Screenshots/temp/rawimport/rawimport5-EmbeddedInEditor.png
	  
	  The plan is to port all others tool used in editor, especially
	  all image plugins.
	  
	  TODO: finalize EditorToolInterafce to be able to use editor menu
	  actions.

2008-08-20 13:48  aclemens

	* imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.h,
	  imageplugins/perspective/imageeffect_perspective.cpp,
	  imageplugins/perspective/imageeffect_perspective.h,
	  imageplugins/sheartool/imageeffect_sheartool.cpp: -> default
	  values have been set
	  -> resetValues() calls slotReset() methods
	  -> readUserSettings() should get default values from the
	  corresponding widget itself, if possible

2008-08-20 13:47  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: update

2008-08-20 13:29  aclemens

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h: ->
	  removed duplicate code from readSettings() method
	  -> default values have been set
	  -> resetValues() calls slotReset() methods
	  -> readUserSettings() should get default values from the
	  corresponding widget itself, if possible

2008-08-20 11:49  aclemens

	* imageplugins/antivignetting/imageplugin_antivignetting.cpp:
	  Action for "Anti-Vignetting" has been renamed from "Vignetting"
	  to "Vignetting Correction...", the old title was somehow
	  confusing.

2008-08-20 11:39  aclemens

	* utilities/imageeditor/tools/imageresize.cpp: -> default values
	  have been set
	  -> resetValues() calls slotReset() methods
	  -> readUserSettings() should get default values from the
	  corresponding widget itself, if possible

2008-08-20 11:30  aclemens

	* imageplugins/antivignetting/imageeffect_antivignetting.cpp: -
	  default values have been set
	  - resetValues() calls slotReset() methods
	  - readUserSettings should get default values from the
	  corresponding widget itself, if possible

2008-08-20 10:30  aclemens

	* imageplugins/lensdistortion/imageeffect_lensdistortion.cpp: -
	  default values have been set
	  - resetValues() calls slotReset() methods
	  - readUserSettings should get default values from the
	  corresponding widget itself, if possible

2008-08-20 10:30  aclemens

	* imageplugins/inpainting/imageeffect_inpainting.cpp,
	  imageplugins/restoration/imageeffect_restoration.cpp,
	  utilities/imageeditor/tools/imageresize.cpp: - set default values
	  for GreyCStorationWidget in the constructor of the appropriate
	  filter
	  - get default values from GreycstorationSettings class to reduce
	  duplicate code in readUserSettings()

2008-08-20 09:34  aclemens

	* libs/dialogs/imageguidedlg.cpp: added RIntNumInput widgets

2008-08-20 09:05  aclemens

	* imageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  imageplugins/hotpixels/imageeffect_hotpixels.h,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp: -
	  default values have been set
	  - resetValues() calls slotReset() methods
	  - readUserSettings should get default values from the
	  corresponding widget itself, if possible

2008-08-20 08:36  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h: prepare code to
	  use new EditorTool object!

2008-08-20 08:35  aclemens

	* imageplugins/noisereduction/imageeffect_noisereduction.cpp: All
	  settings widgets were disabled when dialog is freshly started. To
	  change any setting, the "Try" button had to be hit first. The
	  readUserSettings() method was messed up, this commit fixes the
	  issue.

2008-08-20 08:23  aclemens

	* imageplugins/coreplugin/imageeffect_blur.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.cpp: - default values
	  have been set
	  - resetValues() calls slotReset() methods
	  - readUserSettings should get default values from the
	  corresponding widget itself, if possible

2008-08-20 08:23  aclemens

	* imageplugins/inpainting/imageeffect_inpainting.cpp,
	  libs/greycstoration/greycstorationwidget.cpp,
	  libs/greycstoration/greycstorationwidget.h: default values have
	  been set
	  
	  GreyCStorationWidget:
	  added method setDefaultSettings to initialize all R*NumInput /
	  RComboBox widgets

2008-08-19 17:10  aclemens

	* imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.h: -
	  defaults are set
	  - resetValues() calls slotReset() methods
	  - eadUserSettings should get default values from the
	  corresponding widget itself, if possible

2008-08-19 16:38  aclemens

	* imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/imageeffect_bcg.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_rgb.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  readUserSettings should get default values from the corresponding
	  widget itself, if possible

2008-08-19 14:36  cgilles

	* libs/widgets/common/curveswidget.cpp: polish

2008-08-19 14:30  cgilles

	* libs/widgets/common/curveswidget.cpp: polish

2008-08-19 14:08  cgilles

	* libs/widgets/common/curveswidget.cpp: polish

2008-08-19 14:05  cgilles

	* libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h: polish

2008-08-19 13:07  aclemens

	* imageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.h: default
	  values were set / corrected

2008-08-19 12:49  aclemens

	* imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.h: default values were
	  set / corrected

2008-08-19 12:38  aclemens

	* imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/adjustlevels/adjustlevels.h,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.h: default values
	  were set / corrected

2008-08-19 11:54  aclemens

	* imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/imageeffect_bcg.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_rgb.cpp: - default values are
	  set / corrected
	  - the slot for resetting all widgets in a filter dialog uses
	  slotReset() method from R*NumInput objects now

2008-08-19 10:26  aclemens

	* imageplugins/coreplugin/imageeffect_rgb.cpp,
	  imageplugins/coreplugin/imageeffect_rgb.h: QSpinBox objects have
	  been replaced by RIntNumInput

2008-08-19 09:47  aclemens

	* imageplugins/coreplugin/imageeffect_iccproof.h: polish

2008-08-19 09:02  aclemens

	* imageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.h: Beginning
	  to replace Q/K*ComboBox objects by R*ComboBox objects from
	  libkdcraw...

2008-08-19 08:30  aclemens

	* NEWS: polish

2008-08-19 08:04  aclemens

	* utilities/imageeditor/tools/imageresize.cpp: Continue to replace
	  K*NumInput objects by R*NumInput objects...

2008-08-19 07:29  aclemens

	* libs/greycstoration/greycstorationwidget.cpp: Continue to replace
	  K*NumInput objects by R*NumInput objects...

2008-08-19 06:48  cgilles

	* NEWS: update

2008-08-19 06:47  aclemens

	* imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/imageeffect_bcg.cpp,
	  imageplugins/coreplugin/imageeffect_blur.cpp,
	  imageplugins/coreplugin/imageeffect_blur.h,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.h,
	  imageplugins/coreplugin/imageeffect_redeye.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.h,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.h,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/inserttext/fontchooserwidget.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  imageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/texture/imageeffect_texture.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp: polish

2008-08-19 06:46  cgilles

	* NEWS: update

2008-08-18 23:30  aclemens

	* imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/coreplugin/imageeffect_blur.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.cpp,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/texture/imageeffect_texture.cpp: replaced all
	  setValue() methods with setDefaultValue()

2008-08-18 23:12  aclemens

	* imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/coreplugin/imageeffect_blur.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/inserttext/fontchooserwidget.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp: removed
	  <knuminput.h> includes because they are not needed anymore.

2008-08-18 22:58  aclemens

	* imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/adjustlevels/adjustlevels.h,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.h,
	  imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.h,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/border/imageeffect_border.h,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/channelmixer/channelmixer.h,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.h,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.h,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
	  imageplugins/coreplugin/hsl/imageeffect_hsl.h,
	  imageplugins/coreplugin/imageeffect_blur.cpp,
	  imageplugins/coreplugin/imageeffect_blur.h,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.h,
	  imageplugins/coreplugin/imageeffect_redeye.cpp,
	  imageplugins/coreplugin/imageeffect_redeye.h,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
	  imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.h,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.h,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/emboss/imageeffect_emboss.h,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.h,
	  imageplugins/inserttext/fontchooserwidget.cpp,
	  imageplugins/inserttext/fontchooserwidget.h,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  imageplugins/noisereduction/imageeffect_noisereduction.h,
	  imageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  imageplugins/oilpaint/imageeffect_oilpaint.h,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.h,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.h,
	  imageplugins/texture/imageeffect_texture.cpp,
	  imageplugins/texture/imageeffect_texture.h,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.h: Continue to
	  replace K*NumInput objects by R*NumInput objects from libkdcraw
	  to unify the look of all imageplugins and the raw importer.

2008-08-18 20:52  aclemens

	* imageplugins/coreplugin/imageeffect_bcg.cpp,
	  imageplugins/coreplugin/imageeffect_bcg.h: Beginning to replace
	  K*NumInput objects by R*NumInput objects from libkdcraw to unify
	  the look of all imageplugins and the raw importer.

2008-08-18 14:09  cgilles

	* utilities/imageeditor/rawimport/Makefile.am,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp: digiKam form
	  KDE3 branch: RAW Import tool:
	  Set icc profile preview widget to KURLRequester dialog
	  Fix i18n

2008-08-18 13:38  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: polish

2008-08-18 11:11  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: support all
	  color management options from libkdcraw

2008-08-18 10:36  cgilles

	* NEWS: update

2008-08-18 07:46  aclemens

	* NEWS: update

2008-08-17 14:02  cgilles

	* README, configure.in.in: set libkdcraw depency to 0.1.5

2008-08-17 13:59  cgilles

	* utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp: digiKAm from
	  KDE3 branch : Adapt RAW Import with last changes from libkdcraw
	  (reset buttons to default values
	  for all settings).
	  Note: digiKam require libkdcraw 0.1.5 (current svn) to compile
	  fine now. With Angelo, we have planed to release
	  libkdcraw 0.1.5 around begining of september.
	  CCMAIL: digikam-devel@kde.org
	  

2008-08-16 18:55  aclemens

	* NEWS: update

2008-08-16 16:13  aclemens

	* NEWS: corrected some typos

2008-08-16 16:12  aclemens

	* NEWS: update

2008-08-16 14:51  aclemens

	* NEWS: The added bugreport has been solved a month ago, but I
	  forgot to put it into the NEWS file. So it will be added now for
	  the sake of completeness.

2008-08-16 09:54  aclemens

	* NEWS: update

2008-08-16 05:59  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: digiKam
	  fromKDE3 branch : re-design again RAW Import settings layout: Now
	  it's more clear to have
	  all RAW decoding settings and all Post processing settings
	  separated by a tab widget. All Raw decoding require
	  to demosaic image to take effect. Post processing settings take
	  effect imediatly (demosaised image is cached in memory)
	  Add Brightness adjustement in post processing group.
	  CCMAIL: digikam-devel@kde.org

2008-08-16 05:54  cgilles

	* libs/dimg/drawdecoding.h, libs/dimg/loaders/rawloader.cpp: add
	  brightness as RAW post processing adjustement

2008-08-15 07:41  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: Raw Import: use
	  new signal from libkdcraw to set on/off Preview button to update
	  image preview when Raw decoding settings is changed

2008-08-14 13:26  aclemens

	* NEWS: update
	  
	  BUG:162845

2008-08-14 12:21  aclemens

	* digikam/digikamapp.cpp,
	  utilities/lighttable/lighttablewindow.cpp: New keyboard shortcut
	  for "Place Onto Light Table": CTRL+L
	  This seems to be more common than using SHIFT+L as an action
	  shortcut.
	  
	  CCBUGS:162845

2008-08-14 11:06  aclemens

	* digikam/digikamapp.cpp,
	  utilities/lighttable/lighttablewindow.cpp: New keyboard shortcuts
	  for accessing and controlling the light table to prevent
	  conflicts with KDE's global shortcuts:
	  
	  - 'L': open Light Table
	  - 'SHIFT+L': Place on Light Table
	  - 'SHIFT+CTRL+L': Add to Light Table
	  
	  CCBUGS:162845

2008-08-14 09:18  aclemens

	* NEWS: update

2008-08-14 09:18  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h,
	  imageplugins/coreplugin/imageeffect_bwsepia.cpp,
	  imageplugins/coreplugin/imageeffect_bwsepia.h,
	  imageplugins/coreplugin/imageeffect_iccproof.cpp,
	  imageplugins/coreplugin/imageeffect_iccproof.h,
	  libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp: Curves Widget
	  : code simplification : this tool host now image curves instance
	  as well. fix all code depending accordingly

2008-08-14 08:09  cgilles

	* libs/widgets/common/curveswidget.cpp: missing to reset curves at
	  this place

2008-08-13 21:08  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: check curves
	  sixteenbits is better

2008-08-13 21:05  cgilles

	* libs/curves/imagecurves.cpp, libs/curves/imagecurves.h: new
	  method to get sixteenbits prop

2008-08-13 20:57  cgilles

	* libs/widgets/common/curveswidget.cpp: reset curves when color
	  depth is changed

2008-08-13 20:22  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: manage
	  read/write curve using 16 bits depth

2008-08-13 17:09  aclemens

	* NEWS: added a newline at the end of the file to stop SVN from
	  crying all the time :-)

2008-08-13 17:03  aclemens

	* NEWS: update

2008-08-13 17:00  aclemens

	* kioslave/digikamalbums.cpp, kioslave/digikamtags.cpp: We need to
	  initialize the albumsMap and tagsMap with all available
	  information first before counting, so that empty albums and tags
	  are updated correctly.
	  
	  
	  CCBUGS:160564
	  TODO:KDE4PORT

2008-08-13 13:30  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: Raw Import :
	  fix timer to handle preview with post processing settings. Now
	  all work fine !

2008-08-13 11:01  cgilles

	* project/project.kdevelop,
	  utilities/imageeditor/rawimport/Makefile.am,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpostprocessing.cpp,
	  utilities/imageeditor/rawimport/rawpostprocessing.h,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: RAWImport
	  improvements: Separate demosaicing and post-processing
	  adjusments. demosaicing require to render raw image using
	  libkdcraw, against
	  post-processing only use a cached image to render.
	  This is want mean than all post-processing settings will a render
	  an in live preview. These settings are saturation, exposure,
	  gamma, contrast, and curve

2008-08-13 10:55  cgilles

	* libs/dimg/drawdecoding.h: const return

2008-08-13 06:26  cgilles

	* utilities/imageeditor/rawimport/rawsettingsbox.cpp: set exposure
	  in E.V unit

2008-08-12 20:53  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: code
	  simplification about url of image.

2008-08-12 20:22  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: Raw import :
	  speed up improvements : use demosaicing image to render histogram
	  from curves widget.
	  no need to start 2 threads to load separate images (1 for
	  histogram, 1 for curve)

2008-08-11 18:58  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: do not disable
	  histogram during image decoding

2008-08-11 17:28  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: revert. no need

2008-08-11 16:57  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: polish

2008-08-11 16:40  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: polish

2008-08-11 15:40  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.h: link

2008-08-11 15:31  cgilles

	* utilities/imageeditor/rawimport/Makefile.am,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h,
	  utilities/imageeditor/rawimport/rawsettingsbox.cpp,
	  utilities/imageeditor/rawimport/rawsettingsbox.h: Raw Import tool
	  :
	  - Separate preview and settings implementation from dialog. In
	  fact the dialog will deseapear and editor will support
	  a widget stack mechanism to display canvas view or tool preview.
	  This will include all image plugins (but it's not yet done.)!
	  Note than the settings will be hosted by a new right sidebar tab
	  which will be visible only when the tool running.
	  This moc-up is similar than Risto paper. I'm sure than Mik will
	  be very impatient to test it (:=)))
	  
	  -Add Lineary adjustmant using curve widget (as UFRAW).
	  
	  Still Color management improvements to do to complete RAW Import
	  tool. Please, let's me more free time...
	  
	  CCMAIL: digikam-devel@kde.org

2008-08-11 15:24  cgilles

	* libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h: CurvesWidget : improvements
	  of API : add setDataLoading, setLoadingFailed, and other rules
	  like HistogramWidget.
	  This new code is used in Raw Import tool. This code need to be
	  ported to KDE4

2008-08-09 13:01  cgilles

	* libs/curves/imagecurves.cpp, libs/curves/imagecurves.h: add dirty
	  flag

2008-08-09 12:27  cgilles

	* libs/dimg/drawdecoding.h, libs/dimg/loaders/Makefile.am,
	  libs/dimg/loaders/rawloader.cpp: add curves adjust support with
	  RAW loader as post processing

2008-08-09 12:19  cgilles

	* libs/curves/imagecurves.cpp: polish

2008-08-09 12:06  cgilles

	* libs/curves/imagecurves.cpp, libs/curves/imagecurves.h: polish

2008-08-09 12:05  cgilles

	* NEWS: update

2008-08-08 21:04  aclemens

	* NEWS: update

2008-08-08 20:39  aclemens

	* digikam/daboutdata.h, digikam/main.cpp, showfoto/main.cpp:
	  refactorize aboutData: library information has been moved to
	  daboutdata.h

2008-08-08 14:52  aclemens

	* PACKAGING: polish

2008-08-08 14:49  aclemens

	* PACKAGING, digikam/daboutdata.h, digikam/digikamfirstrun.cpp,
	  digikam/main.cpp, digikam/version.h, digikam/welcomepageview.cpp,
	  imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  imageplugins/infrared/imageeffect_infrared.cpp,
	  imageplugins/inpainting/imageeffect_inpainting.cpp,
	  imageplugins/inserttext/imageeffect_inserttext.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  imageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  imageplugins/perspective/imageeffect_perspective.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/restoration/imageeffect_restoration.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/superimpose/imageeffect_superimpose.cpp,
	  imageplugins/texture/imageeffect_texture.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  libs/dimg/loaders/pngloader.cpp,
	  libs/dimg/loaders/tiffloader.cpp, libs/dmetadata/dmetadata.cpp,
	  showfoto/main.cpp, themedesigner/main.cpp: "version.h" has been
	  removed, constants defining the digikam and showfoto application
	  version have been moved to "daboutdata.h".

2008-08-08 14:07  aclemens

	* digikam/daboutdata.h, digikam/main.cpp,
	  digikam/welcomepageview.cpp, showfoto/main.cpp,
	  themedesigner/main.cpp: refactorize aboutData

2008-08-08 13:25  cgilles

	* libs/curves/imagecurves.cpp: wrong logic

2008-08-08 12:54  aclemens

	* digikam/daboutdata.h: removed unneeded KURL include

2008-08-08 12:08  aclemens

	* digikam/welcomepageview.cpp,
	  imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  imageplugins/infrared/imageeffect_infrared.cpp,
	  imageplugins/inpainting/imageeffect_inpainting.cpp,
	  imageplugins/inserttext/imageeffect_inserttext.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  imageplugins/perspective/imageeffect_perspective.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/restoration/imageeffect_restoration.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/superimpose/imageeffect_superimpose.cpp,
	  imageplugins/texture/imageeffect_texture.cpp,
	  libs/widgets/common/dlogoaction.cpp,
	  utilities/cameragui/cameraui.cpp: refactorize aboutData

2008-08-08 11:39  aclemens

	* digikam/daboutdata.h, digikam/main.cpp, showfoto/main.cpp,
	  themedesigner/main.cpp: refactorize aboutData

2008-08-08 11:34  aclemens

	* digikam/daboutdata.h: begin to refactorize aboutData in KDE3
	  branch as well

2008-08-08 11:21  cgilles

	* libs/curves/imagecurves.cpp, libs/curves/imagecurves.h: new
	  method to set/get list of curve points

2008-08-08 08:26  aclemens

	* digikam/main.cpp, themedesigner/main.cpp: polish

2008-08-08 04:28  cgilles

	* utilities/setup/setupdcraw.cpp: set icons

2008-08-08 04:23  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: set icons

2008-08-07 18:36  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: set button
	  icons

2008-08-07 17:50  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: add constrast
	  setting

2008-08-07 17:49  cgilles

	* libs/dimg/drawdecoding.h, libs/dimg/loaders/Makefile.am,
	  libs/dimg/loaders/rawloader.cpp: added constrast settings as post
	  raw decoding

2008-08-07 15:55  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: remember
	  settings tab

2008-08-07 14:08  cgilles

	* project/project.kdevelop,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/setup/setupdcraw.cpp: add support of median filter
	  passes settings

2008-08-07 12:21  cgilles

	* libs/dimg/loaders/rawloader.cpp: polish

2008-08-07 11:20  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: added Exposure
	  compensation as raw decoding post processing

2008-08-07 11:05  cgilles

	* libs/dimg/drawdecoding.h, libs/dimg/loaders/rawloader.cpp,
	  libs/dimg/loaders/rawloader.h, project/project.kdevelop,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp: added
	  Saturation settings has Raw decoding post processing

2008-08-07 10:12  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: polish

2008-08-07 09:43  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: compile with
	  older libkdcraw

2008-08-07 09:19  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: compile with
	  last libkdcraw changes

2008-08-07 07:33  cgilles

	* libs/widgets/common/curveswidget.cpp: batter color scheme support

2008-08-07 06:57  cgilles

	* libs/widgets/common/histogramwidget.cpp: better support of color
	  theme

2008-08-07 06:37  cgilles

	* libs/widgets/common/curveswidget.cpp: always rawing frame around
	  histogram

2008-08-07 06:20  cgilles

	* libs/widgets/common/histogramwidget.cpp: polish

2008-08-07 06:13  cgilles

	* libs/widgets/common/histogramwidget.cpp: always drawing frame
	  around histogram

2008-08-07 04:36  cgilles

	* libs/widgets/common/histogramwidget.cpp: better support of color
	  theme

2008-08-06 20:34  cgilles

	* imageplugins/hotpixels/blackframeparser.cpp, libs/dimg/dimg.cpp,
	  libs/dimg/dimg.h, libs/dimg/loaders/Makefile.am,
	  libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h,
	  libs/imageproperties/imagepropertiescolorstab.cpp,
	  libs/threadimageio/loadingdescription.cpp,
	  libs/threadimageio/loadingdescription.h,
	  project/project.kdevelop,
	  utilities/imageeditor/canvas/iofilesettingscontainer.h,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/setup/setupdcraw.cpp: use DRawDecoding class
	  everywhere.
	  use whithe balance algorithm as post raw decoding processing to
	  adjust gamma

2008-08-06 20:33  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h: add Exposure
	  settings panel

2008-08-06 19:02  cgilles

	* libs/dimg/drawdecoding.h: new class to host customized settings
	  to decode RAW images

2008-08-06 16:34  cgilles

	* libs/dimg/loaders/rawloader.cpp: this is where is cached the
	  gamma value

2008-08-06 13:06  cgilles

	* utilities/imageeditor/rawimport/Makefile.am,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp: add RAW info
	  page with main photo informations + thumbnail

2008-08-06 12:56  cgilles

	* libs/dialogs/imagedialog.h: make it public

2008-08-06 12:56  cgilles

	* libs/dialogs/imagedialog.cpp: wrong logic

2008-08-06 11:43  cgilles

	* libs/dimg/loaders/rawloader.cpp, libs/dimg/loaders/rawloader.h:
	  RAW decoding improvement: we are now able to use brightness
	  settings in 16 bits color depth.

2008-08-06 11:27  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h: always enable
	  brightness setting

2008-08-06 11:27  cgilles

	* utilities/setup/setupdcraw.cpp, utilities/setup/setupdcraw.h:
	  always enable brigthness settings

2008-08-06 09:46  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: polish

2008-08-06 09:43  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: fix margin

2008-08-06 09:32  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp: polish

2008-08-06 09:27  cgilles

	* utilities/setup/setupdcraw.cpp: support white and black point
	  settings

2008-08-06 09:26  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp: support whithe
	  and black point settingsd

2008-08-06 07:18  cgilles

	* utilities/imageeditor/rawimport/rawpreview.cpp: poliosh

2008-08-06 07:16  cgilles

	* utilities/imageeditor/rawimport/rawpreview.cpp: polish

2008-08-06 06:12  cgilles

	* digikam/welcomepageview.cpp, digikam/welcomepageview.h: add Raw
	  import tool in the new features list

2008-08-06 06:09  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: remember
	  histogram settings

2008-08-06 04:35  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: fix layout

2008-08-06 04:23  cgilles

	* libs/imageproperties/imagepropertiescolorstab.cpp,
	  libs/imageproperties/imagepropertiescolorstab.h: polish

2008-08-05 20:22  aclemens

	* utilities/lighttable/lighttablewindow.cpp: backport commit
	  #842714 from KDE4
	  
	  CCBUGS:167571

2008-08-05 19:24  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp: polish

2008-08-05 19:21  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h: provide Al Colors
	  histogram visualization

2008-08-05 16:50  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h: polish

2008-08-05 16:45  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h: polish api

2008-08-05 16:34  cgilles

	* utilities/imageeditor/Makefile.am: rawimport in first

2008-08-05 16:31  cgilles

	* utilities/imageeditor/canvas/dimginterface.cpp: only manage RAW
	  files with Raw Import tool

2008-08-05 15:08  cgilles

	* showfoto/setup/setupeditor.cpp, showfoto/setup/setupeditor.h: to
	  be able to use RAW Import tool from Showfoto

2008-08-05 15:08  cgilles

	* utilities/setup/setupeditor.cpp: polish

2008-08-05 15:00  cgilles

	* digikam/digikamapp.cpp: disable RAW converter Single kipi-plugin.
	  This tool become obsolete since we include RAW Import tool for
	  image editor

2008-08-05 14:36  cgilles

	* digikam/digikamapp.cpp: polish

2008-08-05 14:29  cgilles

	* libs/widgets/common/histogramwidget.cpp: polish

2008-08-05 14:19  cgilles

	* libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/histogramwidget.cpp,
	  libs/widgets/iccprofiles/cietonguewidget.cpp: better color theme
	  support

2008-08-05 12:55  cgilles

	* NEWS: And 4 anothers bugs closed. rock !

2008-08-05 12:50  cgilles

	* utilities/imageeditor/canvas/Makefile.am,
	  utilities/imageeditor/canvas/dimginterface.cpp,
	  utilities/imageeditor/canvas/iofilesettingscontainer.h,
	  utilities/imageeditor/editor/Makefile.am,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/setup/setupeditor.cpp, utilities/setup/setupeditor.h:
	  digiKam from KDE3 branch : new tool to import RAW file in editor
	  There are 2 way to handle RAW file in editor :
	  
	  1/ using auto-gamma. User let's digiKam import RAW image using
	  default RAW decoding setting from config panel. An Autogamma is
	  applied to image.
	  This option is used by default when you open image in editor. Toi
	  change it, go to Image editor config panel and set on "Use Raw
	  Import tool" option.
	  2/ using Raw Import tool. In this way a dialog with all RAW
	  decoding settings and a preview of decoded image is displayed.
	  Histogram is available, and panning/zomming over the preview is
	  possible.
	  
	  Note: this Raw import tool is also available with Showfoto of
	  course...
	  
	  A preview of tool in action can be see on digiKam-labs flickr
	  photo pool:
	  
	  http://farm4.static.flickr.com/3097/2735517982_598f1e30c3_o.png
	  
	  TODO : * included all Color management settings relevant of RAW
	  decoding. display this settings if digiKam Color Management is
	  on.
	  * added a gamma adjustement with RAW decoding.
	  * removed Tools/RAW Converter (single) option provided by RAW
	  converter kipi-plugin which become obsolete here
	  (Batch RAW converter will still available). Remplace this option
	  by a link to Raw Import tool directly.
	  
	  BUG: 142975
	  BUG: 150457
	  BUG: 155074
	  BUG: 155076

2008-08-05 12:21  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp: polish

2008-08-05 11:22  cgilles

	* utilities/imageeditor/canvas/iofilesettingscontainer.h: polish

2008-08-05 11:20  cgilles

	* utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/imageeditor/rawimport/rawimportdlg.h,
	  utilities/imageeditor/rawimport/rawpreview.cpp,
	  utilities/imageeditor/rawimport/rawpreview.h: implementation
	  undependant of digiKam DB (can be used into Showfoto)

2008-08-05 11:09  cgilles

	* digikam/Makefile.am: compile

2008-08-05 11:08  cgilles

	* utilities/Makefile.am, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/rawimport,
	  utilities/imageeditor/rawimport/rawimportdlg.cpp,
	  utilities/rawimport: move rawimport to editor

2008-08-05 10:09  cgilles

	* libs/widgets/common/histogramwidget.cpp: polish

2008-08-05 10:01  cgilles

	* libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/histogramwidget.cpp,
	  libs/widgets/iccprofiles/cietonguewidget.cpp: missing to close
	  painter

2008-08-05 09:31  cgilles

	* libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h: digiKam from KDE3: do not
	  flash histogram curve operation progress. use a turning wheel as
	  Flash video player.
	  CCBUGS: 127242

2008-08-05 09:18  cgilles

	* libs/widgets/common/curveswidget.cpp,
	  libs/widgets/common/curveswidget.h: polish

2008-08-05 09:11  cgilles

	* libs/widgets/iccprofiles/cietonguewidget.cpp: digiKam from KDE3:
	  do not flash ICC widget operation progress. use a turning wheel
	  as Flash video player.
	  CCBUGS: 127242

2008-08-05 08:46  cgilles

	* utilities/rawimport/rawimportdlg.cpp: fix i18n

2008-08-05 08:46  cgilles

	* utilities/rawimport/rawimportdlg.cpp: fix i18n

2008-08-05 08:43  cgilles

	* libs/widgets/common/histogramwidget.cpp,
	  libs/widgets/common/histogramwidget.h: fix api +polish

2008-08-05 08:36  cgilles

	* NEWS: update

2008-08-05 08:35  cgilles

	* utilities/rawimport/rawimportdlg.cpp: polish

2008-08-05 08:34  cgilles

	* libs/widgets/common/histogramwidget.cpp: digiKam from KDE3: do
	  not flash histogram operation progress. use a turning wheel as
	  Flash video player.
	  BUG: 127242

2008-08-05 06:26  cgilles

	* libs/widgets/common/histogramwidget.cpp,
	  libs/widgets/common/histogramwidget.h: polish api, cleanup
	  orphelin space

2008-08-04 20:07  cgilles

	* utilities/rawimport/rawimportdlg.cpp,
	  utilities/rawimport/rawimportdlg.h,
	  utilities/rawimport/rawpreview.cpp: polish

2008-08-04 20:01  cgilles

	* utilities/rawimport/rawpreview.cpp,
	  utilities/rawimport/rawpreview.h: prepare to add progress info
	  during loading

2008-08-04 19:54  cgilles

	* utilities/rawimport/rawpreview.cpp: fix image loading

2008-08-04 19:49  cgilles

	* utilities/rawimport/rawimportdlg.cpp,
	  utilities/rawimport/rawpreview.cpp,
	  utilities/rawimport/rawpreview.h: manage Abort button.
	  fix slot

2008-08-04 18:49  cgilles

	* utilities/rawimport/rawimportdlg.cpp: set file name in dialog
	  title

2008-08-04 18:42  cgilles

	* utilities/rawimport/rawimportdlg.cpp,
	  utilities/rawimport/rawimportdlg.h,
	  utilities/rawimport/rawpreview.cpp,
	  utilities/rawimport/rawpreview.h: digiKam from KDE3 branch: RAW
	  Import tool : more progress here. All RAW decoding settings are
	  fine now. still todo, a interface to pass RAW decoding settings
	  to image editor as well. add all color management settings to RAW
	  decoding settings

2008-08-04 17:22  cgilles

	* utilities/rawimport/rawimportdlg.cpp: fix button

2008-08-04 14:04  cgilles

	* utilities/rawimport/rawimportdlg.cpp,
	  utilities/rawimport/rawpreview.cpp: do not reset zoom settings if
	  RAW decoding settings is changed

2008-08-04 13:47  cgilles

	* utilities/rawimport/Makefile.am,
	  utilities/rawimport/rawimportdlg.cpp,
	  utilities/rawimport/rawimportdlg.h,
	  utilities/rawimport/rawpreview.cpp,
	  utilities/rawimport/rawpreview.h: continue to implement RawImport
	  tool : add histogram, set preview settings. Preview work. TOOD :
	  start editor with these settings

2008-08-04 12:57  cgilles

	* digikam/Makefile.am: compile with RawImport

2008-08-04 12:57  cgilles

	* utilities/Makefile.am: compile

2008-08-04 12:56  cgilles

	* utilities/rawimport, utilities/rawimport/Makefile.am,
	  utilities/rawimport/rawimportdlg.cpp,
	  utilities/rawimport/rawimportdlg.h,
	  utilities/rawimport/rawpreview.cpp,
	  utilities/rawimport/rawpreview.h: new RAW import dialog to set
	  RAW decoding settings before to load RAW image in editor. Not yet
	  complete.

2008-08-01 20:16  aclemens

	* utilities/imageeditor/editor/imagewindow.cpp,
	  utilities/imageeditor/editor/imagewindow.h: backport commit
	  #840766 from KDE4
	  
	  CCBUGS:167778

2008-07-31 19:28  cgilles

	* NEWS: update

2008-07-31 14:11  cgilles

	* digikam/datefolderview.cpp: backport commit #840152 from KDE4

2008-07-31 13:17  cgilles

	* digikam/tagfilterview.cpp,
	  libs/imageproperties/talbumlistview.cpp: backport commit #840138
	  from KDE4

2008-07-30 13:48  cgilles

	* data/pics/digikam-splash.png, data/pics/digikam-splash.xcf,
	  showfoto/pics/showfoto-splash.png,
	  showfoto/pics/showfoto-splash.xcf: update

2008-07-30 13:48  cgilles

	* AUTHORS: update

2008-07-30 13:40  cgilles

	* data/pics/menusidepixmap.png, data/pics/menusidepixmap.xcf,
	  showfoto/pics/menusidepixmap.png,
	  showfoto/pics/menusidepixmap.xcf: fix release number for menu
	  side pixmap

2008-07-30 07:17  cgilles

	* libs/thumbbar/thumbbar.cpp: do not refresh all thumbbar items if
	  exif rotation flags is not changed.
	  CCBUGS: 167529

2008-07-29 15:30  aclemens

	* showfoto/showfoto.cpp: backport commit #839225 from KDE4 branch
	  
	  CCBUGS:166472

2008-07-28 13:29  aclemens

	* utilities/lighttable/lighttablewindow.cpp: backport commit
	  #838675 from KDE4 branch
	  
	  CCBUGS:167571

2008-07-28 12:46  aclemens

	* utilities/lighttable/lighttablewindow.cpp: backport commit
	  #838662 from KDE4 branch

2008-07-28 11:35  cgilles

	* imageplugins/inserttext/imageplugin_inserttext.cpp,
	  imageplugins/inserttext/imageplugin_inserttext.h: backport commit
	  #838640 from KDE4

2008-07-28 09:33  cgilles

	* NEWS: update

2008-07-27 12:55  cgilles

	* NEWS: update

2008-07-27 12:53  cgilles

	* tips: remove this obsolete link
	  BUGS: 167528

2008-07-23 17:02  aclemens

	* NEWS: update

2008-07-20 12:11  aclemens

	* NEWS: update

2008-07-18 12:36  aclemens

	* NEWS: update

2008-07-18 07:41  abaecker

	* libs/greycstoration/greycstorationiface.cpp: Disable the use of
	  X11 for greycstoration; with last CImg.h 1.2.9, the switch
	  "cimg_display_type" has been renamed to "cimg_display".

2008-07-17 17:49  aclemens

	* NEWS: update

2008-07-17 12:41  aclemens

	* digikam/main.cpp, showfoto/main.cpp: added developer "Andi
	  Clemens" to digiKam and showFoto

2008-07-17 12:30  aclemens

	* NEWS, NEWS.0.9.4, digikam.lsm, digikam/version.h,
	  release_digikam.rb, release_digikam_docs.rb, showfoto/main.cpp:
	  initializing 0.9.5 release in KDE3 branch

2008-07-16 18:57  aclemens

	* ChangeLog: preparing 0.9.4 final release

2008-07-16 18:40  aclemens

	* NEWS: update

2008-07-16 18:30  aclemens

	* NEWS, digikam.lsm: preparing the 0.9.4 final release

0.9.4 2008-07-13
-------------------------------------------------------------------------
2008-07-16 14:03  aclemens

    * showfoto/showfoto.cpp: When leaving fullscreen mode, the thumbbar
      was gone. This happenend because the state of the thumbbar was
      always toggled.
      
      CCBUGS:166472

2008-07-13 14:38  gkulzer

    * imageplugins/colorfx/imageeffect_colorfx.cpp: reduce default from
      10 to 5, 10 is always a bit too much, whereas 5 is mostly right
      from my experience.

2008-07-13 13:22  aclemens

    * ChangeLog, NEWS: preparing 0.9.4 release

2008-07-13 12:57  aclemens

    * digikam.lsm, digikam/version.h, release_digikam.rb: preparing
      0.9.4 release
      
2008-07-11 14:19  cgilles

    * NEWS: update

2008-07-10 14:31  cgilles

    * NEWS: update

2008-07-10 14:27  cgilles

    * libs/greycstoration/CImg.h, libs/greycstoration/greycstoration.h,
      libs/greycstoration/greycstorationiface.cpp,
      libs/greycstoration/greycstorationiface.h: digiKam from KDE3
      branch: update internal CImg library to 1.2.9

2008-07-09 20:52  aclemens

    * imageplugins/noisereduction/imageeffect_noisereduction.cpp: added
      "Try" button to this filter dialog to avoid filter rendering on
      every settings change or zoom action.

2008-07-09 19:29  aclemens

    * imageplugins/coreplugin/imageeffect_blur.cpp: added "Try" button
      to this filter dialog to avoid filter rendering on every settings
      change or zoom action.

2008-07-09 18:22  aclemens

    * NEWS: update

2008-07-09 18:04  aclemens

    * imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp:
      added "Try" button to this filter dialog to avoid filter
      rendering on every settings change or zoom action.

2008-07-09 17:18  aclemens

    * libs/dialogs/ctrlpaneldlg.cpp: abort button should be disabled by
      default

2008-07-09 15:47  aclemens

    * digikam/albumlister.cpp: When using a quick filter on an album in
      recursive view mode, the indicator lamp sometimes shows a wrong
      status. Filtering is now done after the whole recursive album
      view is generated, so that the lamp can set its state correctly.
      
      CCBUGS:161369

2008-07-09 10:25  aclemens

    * showfoto/showfoto.cpp: cache files were not removed when closing
      showFoto because the closeEvent from ImageEditorWindow was not
      processed at all. This was fixed by putting all essential content
      of closeEvent() into the queryClose() method of showFoto.

2008-07-08 13:41  aclemens

    * NEWS, digikam/folderview.cpp, digikam/folderview.h: Single click
      action on the folder icon or name will expand / collapse the
      underlying tree.
      
      BUGS:126871

2008-07-08 13:13  cgilles

    * libs/dimg/loaders/pngloader.cpp: fix broken compilation with gcc
      4.3.1

2008-07-08 10:43  cgilles

    * NEWS: update

2008-07-08 10:37  cgilles

    * digikam/folderview.cpp: digiKam from KDE3 branch : toggle on/of
      tag check box item using middle mouse button.
      BUGS: 130906

2008-07-08 10:21  cgilles

    * digikam/folderview.h: set this method as public

2008-07-08 10:20  cgilles

    * libs/imageproperties/talbumlistview.cpp,
      libs/imageproperties/talbumlistview.h: Do not re-implement this
      method here. It already exist in parent class

2008-07-08 08:59  cgilles

    * project/project.kdevelop: update

2008-07-07 12:57  cgilles

    * NEWS: update

2008-07-07 06:58  cgilles

    * TODO: update

2008-07-06 17:05  aclemens

    * NEWS: fixed some typos

2008-07-06 09:20  aclemens

    * NEWS: update

2008-07-03 20:37  cgilles

    * configure.in.bot: more debug message

2008-07-03 20:25  cgilles

    * README, configure.in.bot, configure.in.in, digikam/Makefile.am,
      kioslave/Makefile.am, libs/Makefile.am: digiKam from KDE3 branch
    : add rule to compile and link with an external libsqlite3 shared
      lib instead embeded version include in digiKam
      Note : embeded version is always compiled by default if nothing
      is set with .configure script. Packagers, please take a care.
      BUGS: 160966

2008-07-03 17:09  aclemens

    * NEWS: update

2008-07-03 17:06  aclemens

    * digikam/albumiconview.cpp,
      utilities/lighttable/lighttablewindow.cpp,
      utilities/lighttable/lighttablewindow.h: fixed drag & drop
      behavior of lighttable.
      
      1. drop image(s) in left pane:
      the image will be displayed in the left pane
      
      2. drop image(s) in right pane:
      the image will be displayed in the right pane
      
      3. fill light table (F6):
      the first image of the added images will be displayed in the
      left, the
      second in the right pane. All the others are added to the
      thumbbar.
      
      4. append images to light table (CTRL+F6):
      Images are only appended to thumbbar, not displayed
      automatically.
      
      5. drop images in thumbbar:
      Images are only appended to thumbbar, not displayed
      automatically.
      
      CCBUGS:160617

2008-07-03 16:24  cgilles

    * NEWS: update

2008-07-03 10:36  aclemens

    * ChangeLog: update

2008-07-03 10:35  aclemens

    * ChangeLog: update

2008-07-03 10:13  aclemens

    * NEWS, digikam.lsm, digikam/version.h, release_digikam.rb,
      release_digikam_docs.rb: preparing 0.9.4-rc2 release

2008-07-03 09:09  cgilles

    * NEWS: update

2008-07-03 09:08  cgilles

    * NEWS, configure.in.in, libs/greycstoration/Makefile.am: digiKam
      from KDE3 branch : use KDE_CHECK_COMPILER_FLAG to test if gcc
      -fno-tree-pre is available instead an harcoded option passed in
      makefile.
      BUGS: 164432

2008-07-02 22:46  aclemens

    * NEWS: polish

2008-07-02 22:45  aclemens

    * NEWS: update

2008-07-02 22:36  aclemens

    * utilities/lighttable/lighttablewindow.cpp: If only one image is
      left in thumbbar and it is removed from the list, lighttable
      crashes. Again this is the same nullpointer issue as mentioned in
      this bugreport and has been fixed now.
      
      CCBUGS:162814

2008-07-02 11:55  aclemens

    * NEWS: this bug (#162688) is not a digiKam related problem

2008-07-02 11:45  aclemens

    * NEWS, digikam/digikamapp.cpp, digikam/digikamappprivate.h: fixed
      image resize issue when switching to fullscreen mode
      
      BUG:149654

2008-07-02 09:21  cgilles

    * libs/dimg/loaders/tiffloader.cpp: polish

2008-06-30 04:28  cgilles

    * digikam/digikam.desktop, showfoto/showfoto.desktop: patch from
      Carsten Lohrke to fix .desktop file to foolow last change from
      FreeDesktop spec.
      http://www.freedesktop.org/wiki/Specifications/desktop-entry-spec

2008-06-21 20:11  cgilles

    * NEWS: update

2008-06-20 19:31  cgilles

    * NEWS: update

2008-06-20 04:17  cgilles

    * NEWS: update

2008-06-19 12:53  aclemens

    * digikam/albumlister.cpp: fixed searching for folder names
      
      CCBUGS:164301

2008-06-17 14:41  cgilles

    * NEWS: update

2008-06-17 14:09  aclemens

    * NEWS, digikam/albumlister.cpp: Album names are searched as well
      now when using the quickfilter.
      
      BUG:164301

2008-06-17 09:14  cgilles

    * NEWS: update

2008-06-17 07:14  cgilles

    * AUTHORS: update

2008-06-17 06:31  cgilles

    * digikam.lsm: update

2008-06-17 06:30  cgilles

    * release_digikam.rb: update

2008-06-17 06:30  cgilles

    * digikam/version.h: preapring 0.9.4-rc1 release

2008-06-16 10:23  cgilles

    * NEWS: updtae
      BUG: 163118

2008-06-15 17:31  cgilles

    * libs/greycstoration/Makefile.am: try to fix broken compilation
      with GCC 4.3.x
      CCBUGS: 163118

2008-06-13 17:26  cgilles

    * NEWS: update

2008-06-13 09:40  cgilles

    * kioslave/Makefile.am: compile

2008-06-12 07:26  cgilles

    * digikam/timelineview.cpp: backport commit #819798 from KDE4

2008-06-09 18:35  cgilles

    * NEWS: update

2008-06-07 10:43  aclemens

    * NEWS, digikam/searchwidgets.cpp, kioslave/digikamsearch.cpp:
      fixes the following issues:
      
      * simple and advanced search doesn't work for "tag names"
      * new operators for "album" search added (LIKE, NLIKE) to be
      consistant with "tag" search
      * lineedit widget in advanced search needs to expand, it was too
      short if window is resized
      * some items in the operator combobox were not readable, because
      the box was resized on key change. Now the box is prepopulated
      with all operators first and its size is restored on every key
      change.
      
      BUG: 163227

2008-06-04 10:27  aclemens

    * digikam/searchwidgets.cpp: digiKam from KDE3 branch: The album
      combobox is also sorted now and the leading slash from the sorted
      tag list has been removed to match the appearance of the album
      list

2008-06-04 08:09  cgilles

    * libs/greycstoration/Makefile.am: disable final options to compile
      CImg.h version 1.2.8.
      This is a temporally solution util a fix is apply to CImg
      CCBUGS: 163118

2008-06-03 16:18  cgilles

    * NEWS: update

2008-06-03 10:00  cgilles

    * utilities/lighttable/lighttablewindow.cpp: polish

2008-06-03 07:51  cgilles

    * utilities/cameragui/cameracontroller.cpp: compile

2008-06-03 07:44  cgilles

    * libs/widgets/metadata/exifwidget.cpp,
      libs/widgets/metadata/gpswidget.cpp,
      libs/widgets/metadata/iptcwidget.cpp,
      libs/widgets/metadata/makernotewidget.cpp: compile

2008-06-02 19:52  aclemens

    * NEWS, utilities/lighttable/lighttablewindow.cpp: digiKam from
      KDE3 branch: fixed null-pointer issue when removing the last item
      in lighttable thumbbar
      
      CCBUGS: 162814
      TODO: KDE4PORT

2008-06-02 19:47  aclemens

    * digikam/searchwidgets.cpp: digiKam from KDE3 branch: code cleanup
      
      BUG: 158866

2008-06-02 19:43  aclemens

    * NEWS, digikam/searchwidgets.cpp: digiKam from KDE3 branch: tags
      have to be sorted before inserting them into the advanced search
      widget

2008-06-02 19:33  cgilles

    * NEWS: digiKam from KDE3 branch: update NEWS file

2008-06-02 06:32  cgilles

    * NEWS: update

2008-06-02 06:31  cgilles

    * libs/imageproperties/imagedescedittab.cpp: digiKam from KDE3
      branch : update tag view afetr to have apply changes from
      Captions & Tags sidebar tab
      BUGS: 162245

2008-06-01 12:43  cgilles

    * NEWS, README, configure.in.bot, configure.in.in,
      digikam/Makefile.am, digikam/albumdb.cpp, kioslave/Makefile.am,
      kioslave/sqlitedb.cpp, libs/Makefile.am, libs/sqlite3,
      libs/sqlite3/Makefile.am, libs/sqlite3/sqlite3.c,
      libs/sqlite3/sqlite3.h: digiKAm from KDE3 branch : sqlite 3.5.9
      code source inclusion to digiKam core.
      duing a wrong package config provided in sqlite3 package, it's
      impossible to find the right version installed on computer.
      Including sqlite3 directly on digiKam will solve this problem,
      prevents all future bug reports, and reduce depencies.
      CCBUGS: 160966

2008-06-01 10:31  cgilles

    * NEWS: update

2008-06-01 10:30  cgilles

    * README, configure.in.bot, configure.in.in: digiKam from KDE3
      branch : fix libsqlite depency >= 3.5.9 release
      BUGS: 160966

2008-05-31 13:13  cgilles

    * NEWS: update

2008-05-30 08:15  cgilles

    * utilities/setup/setupslideshow.cpp: fix i18n

2008-05-29 04:26  cgilles

    * NEWS: update

2008-05-28 16:27  cgilles

    * NEWS: update

2008-05-28 16:26  cgilles

    * libs/dimg/loaders/tiffloader.cpp, libs/dimg/loaders/tiffloader.h:
      digikam from KDE3 branch : patch from Maximilian Schultz to
      support Grayscale tiff image
      BUGS: 148400

2008-05-28 11:11  cgilles

    * libs/imageproperties/imagepropertiesmetadatatab.cpp: polish

2008-05-27 20:27  cgilles

    * imageplugins/coreplugin/imageeffect_redeye.cpp,
      imageplugins/coreplugin/imageeffect_redeye.h: digiKam from KDE3
      branch : Red Eyes tool : fix precision problem from
      QColor::hsh(). Use KColor instead.

2008-05-27 13:04  cgilles

    * NEWS: update

2008-05-26 14:16  cgilles

    * digikam/version.h: update

2008-05-26 14:15  cgilles

    * digikam.lsm: update

2008-05-26 14:15  cgilles

    * NEWS: update

2008-05-26 14:13  cgilles

    * utilities/imageeditor/editor/editorwindow.cpp: digiKam from KDE3
      branch: set properlly the file mime type in save as dialog from
      editor.
      BUGS: 162496

2008-05-25 16:31  cgilles

    * digikam/albumiconview.cpp, digikam/tagfilterview.cpp,
      digikam/tagfolderview.cpp,
      libs/imageproperties/talbumlistview.cpp,
      project/project.kdevelop: Same problem here with tags assignement
      and tags filter about AlbumLister handling
      CCBUGS: 161369

2008-05-25 16:19  cgilles

    * libs/imageproperties/imagedescedittab.cpp: same problem here. we
      need to block AlbumLister when Rating is assigned
      CCBUGS: 161369

2008-05-25 16:01  cgilles

    * digikam/albumiconview.cpp: second try to fix Rating assign from
      keybord shortcuts
      CCBUGS: 161369

2008-05-25 13:48  cgilles

    * digikam/albumiconview.cpp: try to fix crash with rating keyboard
      shortcuts.
      CCBUGS: 161369

2008-05-25 09:52  cgilles

    * libs/dialogs/imagedialog.cpp: fix i18n

2008-05-24 06:58  cgilles

    * ChangeLog: update

2008-05-24 06:50  cgilles

    * release_digikam.rb: update

2008-05-24 06:43  cgilles

        * digikam.lsm: update

2008-05-24 06:40  cgilles

        * digikam.lsm: update

2008-05-24 06:35  cgilles

        * NEWS: preparing 0.9.4-beta5

2008-05-24 05:23  doerr

        * showfoto/setup/setup.cpp: CCBUGS: fixed for KDE3 implementation

2008-05-24 04:51  doerr

        * utilities/cameragui/cameracontroller.cpp,
          utilities/cameragui/cameraiconview.cpp,
          utilities/cameragui/cameraui.cpp,
          utilities/cameragui/gpcamera.cpp,
          utilities/cameragui/renamecustomizer.cpp,
          utilities/cameragui/umscamera.cpp,
          utilities/lighttable/lighttablewindow.cpp,
          utilities/setup/setupmetadata.cpp: CCBUGS: 147597 Fixed 131-145,
          thats the original bug report from Clytie, will have to check the
          rest

2008-05-22 18:32  doerr

        * utilities/imageeditor/canvas/colorcorrectiondlg.cpp,
          utilities/imageeditor/tools/imageresize.cpp,
          utilities/setup/cameraselection.cpp,
          utilities/setup/setupgeneral.cpp: CCBUGS: 147597 Fixed 121-130
          and remark from Andi Clemens

2008-05-22 10:13  doerr

        * utilities/setup/setupgeneral.cpp, utilities/setup/setupicc.cpp:
          CCBUGS: 147597 Fixed 110-120

2008-05-22 08:35  cgilles

        * NEWS: update

2008-05-22 06:16  doerr

        * utilities/setup/setupmime.cpp: CCBUGS: 147597 Fixed 103-109,
          could not find 104

2008-05-22 06:06  doerr

        * utilities/setup/setup.cpp, utilities/setup/setupgeneral.cpp,
          utilities/setup/setupmetadata.cpp, utilities/setup/setupmime.cpp,
          utilities/setup/setupslideshow.cpp: CCBUGS: 147597 Fixed 103-109,
          could not find 104

2008-05-19 18:07  cgilles

        * NEWS: update

2008-05-19 17:09  cgilles

        * NEWS: update

2008-05-19 11:10  cgilles

        * digikam/timelineview.cpp, digikam/timelineview.h: polish

2008-05-19 07:36  cgilles

        * libs/dimg/dimgscale.cpp: backport commit #809386 from KDE4

2008-05-18 19:32  doerr

        * imageplugins/coreplugin/imageeffect_redeye.cpp,
          utilities/batch/batchalbumssyncmetadata.cpp,
          utilities/batch/batchsyncmetadata.cpp,
          utilities/batch/batchthumbsgenerator.cpp,
          utilities/cameragui/cameraui.cpp,
          utilities/setup/setuplighttable.cpp: CCBUGS: 147597 Fixed 91-102

2008-05-18 15:21  doerr

        * imageplugins/coreplugin/imageeffect_bwsepia.cpp: CCBUGS: 147597
          Fixed 83-90

2008-05-17 13:36  doerr

        * imageplugins/coreplugin/imageeffect_bwsepia.cpp,
          imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp:
          CCBUGS: 147597 Fixed 80-82

2008-05-17 12:07  cgilles

        * utilities/imageeditor/canvas/canvas.cpp: polish

2008-05-16 19:27  abaecker

        * NEWS, utilities/imageeditor/canvas/canvas.cpp,
          utilities/imageeditor/canvas/canvas.h: When changing the zoom in
          the image editor, snap to 50%, 100% and fit-to-window.

          CCBUGS: 161085
          TODO:KDE4PORT

2008-05-16 14:13  cgilles

        * utilities/lighttable/lighttableview.cpp,
          utilities/lighttable/lighttableview.h: polish

2008-05-16 13:48  cgilles

        * NEWS: update

2008-05-16 13:46  cgilles

        * digikam/albumwidgetstack.cpp, digikam/albumwidgetstack.h,
          digikam/digikamview.cpp, libs/widgets/common/previewwidget.cpp,
          libs/widgets/common/previewwidget.h,
          utilities/imageeditor/canvas/canvas.cpp,
          utilities/imageeditor/canvas/canvas.h,
          utilities/imageeditor/editor/editorwindow.cpp,
          utilities/lighttable/lighttableview.cpp,
          utilities/lighttable/lighttableview.h,
          utilities/lighttable/lighttablewindow.cpp: digiKam from KDE3
          branch : patch from Arnd to fix points 1/ and 2/ from B.K.O
          #155046
          CCBUGS: 155046

2008-05-16 08:47  cgilles

        * libs/widgets/common/dpopupmenu.cpp,
          libs/widgets/common/dpopupmenu.h: polish

2008-05-15 19:35  cgilles

        * NEWS: update

2008-05-15 19:31  cgilles

        * libs/dimg/loaders/tiffloader.cpp, libs/dimg/loaders/tiffloader.h:
          fix crash with libtiff when we set alpha channel to new tiff file
          BUGS: 162132

2008-05-15 13:56  cgilles

        * libs/jpegutils/jpegutils.cpp, project/project.kdevelop,
          utilities/imageeditor/canvas/dimginterface.cpp: set IPTC preview
          to 1280x1024 instead 800x600

2008-05-12 19:46  doerr

        * imageplugins/coreplugin/imageeffect_iccproof.cpp: CCBUGS: 147597
          Fixed 74-79

2008-05-12 19:23  doerr

        * imageplugins/coreplugin/imageeffect_iccproof.cpp: CCBUGS: 147597
          Fixed 72-73

2008-05-12 18:44  doerr

        * imageplugins/coreplugin/hsl/imageeffect_hsl.cpp,
          imageplugins/coreplugin/imageeffect_iccproof.cpp,
          imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
          imageplugins/infrared/imageeffect_infrared.cpp: CCBUGS: 147597
          Fixed 66-71

2008-05-11 07:26  cgilles

        * utilities/imageeditor/editor/imageiface.cpp,
          utilities/imageeditor/editor/imageiface.h: use const ref

2008-05-07 11:58  cgilles

        * libs/jpegutils/transupp.cpp: polish

2008-05-07 11:53  cgilles

        * libs/jpegutils/transupp.cpp: polish

2008-05-06 12:53  cgilles

        * data/themes/Dessert: polish

2008-05-05 12:54  cgilles

        * utilities/lighttable/lighttablewindow.cpp: disable slideshow if
          no item is selected

2008-05-05 12:46  cgilles

        * utilities/lighttable/lighttablewindow.cpp: fix crash if slideshow
          is started with an empty list of items

2008-05-05 12:40  cgilles

        * utilities/imageeditor/editor/editorwindow.cpp: disable slideshow
          action

2008-05-05 12:30  cgilles

        * showfoto/showfoto.cpp: backport commit #804240 from KDE4

2008-05-05 06:18  cgilles

        * libs/dialogs/rawcameradlg.cpp: fix layout

2008-05-04 20:07  cgilles

        * libs/dialogs/rawcameradlg.cpp: backport commit #804008 from KDE4

2008-05-02 07:31  cgilles

        * NEWS: update

2008-05-02 07:29  cgilles

        * digikam/version.h: update

2008-05-02 07:29  cgilles

        * digikam.lsm: update

2008-05-02 06:55  cgilles

        * README: update

2008-05-01 12:27  cgilles

        * digikam/albummanager.cpp, digikam/albummanager.h: use C++ header
          instead C ANsi

2008-04-29 11:52  cgilles

        * libs/widgets/iccprofiles/cietonguewidget.cpp,
          libs/widgets/iccprofiles/cietonguewidget.h: polish

2008-04-29 11:48  cgilles

        * libs/widgets/imageplugins/imageguidewidget.cpp,
          libs/widgets/imageplugins/imageguidewidget.h: use const ref

2008-04-28 14:03  cgilles

        * libs/widgets/metadata/metadatalistview.cpp,
          libs/widgets/metadata/metadatalistview.h: use const ref.

2008-04-26 08:13  cgilles

        * ChangeLog: preparing 0.9.4-beta4

2008-04-26 08:01  cgilles

        * release_digikam.rb: update

2008-04-26 07:59  cgilles

        * NEWS: preparing 0.9.4-beta4

2008-04-26 07:57  cgilles

        * digikam.lsm: update


0.9.4-beta4 2008-04-27
-------------------------------------------------------------------------

2008-04-26 07:44  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-25 11:03  abaecker

        * /branches/extragear/kde3/graphics/digikam/NEWS,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/statuszoombar.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/statuszoombar.h:
          Enforce consistent behaviour when using the mouse wheel over the
          zoom slider.

          CCBUGS: 161087
          TODO:KDE4PORT

2008-04-25 10:18  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/iconview.cpp:
          patch from Marcel to force updating of status bar with selection
          CCBUGS: 161084

2008-04-24 11:24  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-24 08:42  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/previewwidget.cpp:
          polish

2008-04-24 07:45  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/previewwidget.cpp:
          use const iterator

2008-04-24 07:35  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/previewwidget.cpp:
          polish

2008-04-24 07:27  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/previewwidget.cpp:
          always use ++it or --it with Qt iterator, not it++ and it--.
          see http://doc.trolltech.com/3.3/qt-template-lib.html into
          Iterator section.
          CCMAIL: arnd.baecker@web.de

2008-04-24 06:09  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/tiffloader.cpp:
          Enable by default TIFF metadata support with DIMG loader.
          Exiv2 tiff writting mode is experimental in a dedicated branches
          of svn.
          If you use another Exiv2 version, nothing happens.

2008-04-23 18:21  abaecker

        * /branches/extragear/kde3/graphics/digikam/NEWS,
          /branches/extragear/kde3/graphics/digikam/digikam/albumwidgetstack.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/albumwidgetstack.h,
          /branches/extragear/kde3/graphics/digikam/digikam/digikamview.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/previewwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/previewwidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttableview.cpp:
          Make the zoom values of the slider snap to specific values
          (fit-to-window, 50% view, and 100% view).
          
          CCBUGS: 157314
          TODO:KDE4PORT

2008-04-23 13:58  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-23 13:57  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/greycstoration/CImg.h,
          /branches/extragear/kde3/graphics/digikam/libs/greycstoration/greycstoration.h:
          digiKam from KDE3 branch : updated internal CImg library to 1.2.8

2008-04-21 08:47  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/dlogoaction.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/dlogoaction.h:
          logo -> banner

2008-04-21 08:46  cgilles

        * /branches/extragear/kde3/graphics/digikam/data/pics/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/data/pics/banner-digikam.png,
          /branches/extragear/kde3/graphics/digikam/data/pics/logo-digikam.png:
          logo => banner

2008-04-20 13:26  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/timelinewidget.cpp:
          fix color from theme

2008-04-20 08:17  cgilles

        * /branches/extragear/kde3/graphics/digikam/data/themes/Gray,
          /branches/extragear/kde3/graphics/digikam/data/themes/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/data/themes/NeutralGray:
          Neutral gray => gray

2008-04-20 07:32  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/mdkeylistviewitem.cpp:
          improve colors contrast with theme

2008-04-18 19:39  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/inserttext/imageeffect_inserttext.cpp:
          CCBUGS: 147597 Fixed 60-part2

2008-04-18 19:36  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/border/imageeffect_border.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/distortionfx/imageeffect_distortionfx.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/freerotation/imageeffect_freerotation.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/inserttext/fontchooserwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/inserttext/imageeffect_inserttext.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/sheartool/imageeffect_sheartool.cpp:
          CCBUGS: 147597 Fixed 60-66

2008-04-18 18:03  cgilles

        * /branches/extragear/kde3/graphics/digikam/data/themes/Gray,
          /branches/extragear/kde3/graphics/digikam/data/themes/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/data/themes/NeutralGray:
          Gray => Neutral Gray

2008-04-18 18:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/data/themes/Gray:
          update gray color theme from Risto Saukonpaa

2008-04-17 19:39  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/blurfx/imageeffect_blurfx.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/colorfx/imageeffect_colorfx.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/distortionfx/imageeffect_distortionfx.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/noisereduction/imageeffect_noisereduction.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/texture/imageeffect_texture.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/deletedialogbase.ui:
          CCBUGS: 147597 Fixed 55-59

2008-04-17 19:13  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/deletedialogbase.ui,
          /branches/extragear/kde3/graphics/digikam/showfoto/setup/setuptooltip.cpp,
          /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/imagewindow.cpp:
          CCBUGS: 147597 Fixed 51-54

2008-04-16 21:45  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-16 20:07  doerr

        * /branches/extragear/kde3/graphics/digikam/showfoto/setup/setuptooltip.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setuptooltip.cpp:
          CCBUGS: 147597 Fixed 47-50

2008-04-16 19:37  doerr

        * /branches/extragear/kde3/graphics/digikam/showfoto/setup/setupeditor.cpp,
          /branches/extragear/kde3/graphics/digikam/showfoto/setup/setuptooltip.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setup.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setupeditor.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setupslideshow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setuptooltip.cpp:
          CCBUGS: 147597 Fixed 43-46

2008-04-15 10:04  abaecker

        * /branches/extragear/kde3/graphics/digikam/NEWS,
          /branches/extragear/kde3/graphics/digikam/kioslave/digikamalbums.cpp:
          Only show folders below a given folder in recursive view mode.
          For this the whole path of a folder has to be matched from the
          beginning.
          
          CCBUGS: 160840
          TODO:KDE4PORT

2008-04-14 20:02  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp:
          CCBUGS: 147597 Fixed 37-part2

2008-04-14 20:00  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/searchquickdialog.cpp,
          /branches/extragear/kde3/graphics/digikam/showfoto/setup/setupeditor.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/imagewindow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablewindow.cpp:
          CCBUGS: 147597 Fixed 37-42

2008-04-14 19:46  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_iccproof.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/canvas/dimginterface.cpp:
          CCBUGS: 147597 Fixed 35+36

2008-04-14 19:35  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/albummanager.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/scanlib.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/searchadvanceddialog.cpp:
          CCBUGS: 147597 Fixed 31, 33,34, 30+32 not found

2008-04-14 05:37  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-13 17:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-13 06:22  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/firstrun.cpp:
          CCBUGS: 147597 Fixed 28

2008-04-13 06:17  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/scanlib.cpp:
          CCBUGS: 147597 Fixed 27-29

2008-04-13 06:09  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagewidget.cpp:
          CCBUGS: 147597 Fixed 26

2008-04-12 19:59  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-12 19:54  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatawidget.cpp:
          fix layout

2008-04-12 18:25  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/iccprofiles/iccprofilewidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/iccprofiles/iccprofilewidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/exifwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/exifwidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/gpswidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/gpswidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/iptcwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/iptcwidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/makernotewidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/makernotewidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatalistview.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatalistview.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatawidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatawidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/worldmapwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/worldmapwidget.h:
          backport commits #795989 and #795898 from trunk

2008-04-12 13:31  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablepreview.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablepreview.h:
          use const ref

2008-04-12 13:27  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/canvas/canvas.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/canvas/canvas.h:
          use const ref

2008-04-12 13:23  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/imagepreviewview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/imagepreviewview.h:
          use const ref

2008-04-12 12:22  abaecker

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp:
          Use SHIFT+Space to go to the previous image in the icon view.

          CCBUGS: 145083
          TODO:KDE4PORT

2008-04-12 08:14  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagewidget.cpp:
          CCBUGS: 147597 Fixed 25

2008-04-12 07:17  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/iccprofiles/iccprofilewidget.cpp:
          CCBUGS: 147597 Fixed 21+22

2008-04-12 06:08  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatawidget.cpp:
          CCBUGS: 147597 Fixed 20

2008-04-12 06:01  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/greycstoration/greycstorationwidget.cpp:
          CCBUGS: 147597 Fixed 19

2008-04-12 05:54  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/greycstoration/greycstorationwidget.cpp:
          CCBUGS: 147597 Fixed 16 and 17

2008-04-12 05:48  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/greycstoration/greycstorationwidget.cpp:
          CCBUGS: 147597 Fixed 15 and 18, could not find 16+17

2008-04-12 05:38  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/imageguidedlg.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.cpp:
          CCBUGS: 147597 Fixed 14

2008-04-11 12:17  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/cameragui/albumselectdialog.cpp:
          backport commit #795761 from trunk

2008-04-11 12:04  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/cameragui/albumselectdialog.h:
          polish

2008-04-11 12:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/cameragui/albumselectdialog.h:
          polish

2008-04-11 09:37  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/imagepreviewview.cpp:
          fix broken signal

2008-04-11 09:33  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/canvas/canvas.cpp:
          fix broken signal

2008-04-11 09:30  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablepreview.cpp:
          fix broken signal

2008-04-11 07:32  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-11 07:31  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 11:24  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 11:22  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 11:21  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 11:20  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 11:18  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 11:10  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-10 08:57  abaecker

        * /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablewindow.cpp:
          Use SHIFT+Space to go to the previous image in the light-table.
          
          CCBUGS: 145083
          TODO:KDE4PORT

2008-04-10 08:07  abaecker

        * /branches/extragear/kde3/graphics/digikam/NEWS,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp:
          Use SHIFT+Space to go to the previous image in the image editor.
          
          CCBUGS: 145083
          TODO:KDE4PORT

2008-04-09 19:00  cgilles

        * /branches/extragear/kde3/graphics/digikam/data/pics/menusidepixmap.png:
          fix

2008-04-09 10:52  abaecker

        * /branches/extragear/kde3/graphics/digikam/NEWS,
          /branches/extragear/kde3/graphics/digikam/digikam/albummanager.cpp:
          By using KURL::fromPathOrURL instead of just KURL to construct
          the path when moving a directory proper escaping of # is ensured.
          
          CCBUGS: 160323
          TODO:KDE4PORT

2008-04-08 22:35  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.cpp:
          polish

2008-04-08 22:03  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/albumiconviewfilter.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/digikamview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/searchquickdialog.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/searchquickdialog.h,
          /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/timelineview.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.h,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/cameraselection.cpp:
          digiKam from KDE3 branch : Save and Restore auto-completion
          settings with all Search text widget between program sessions.

2008-04-08 15:18  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/version.h:
          update

2008-04-08 15:18  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam.lsm: update

2008-04-08 11:34  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-08 10:47  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/setup/cameraselection.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/cameraselection.h:
          polish

2008-04-08 10:39  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-08 10:37  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/setup/cameraselection.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/cameraselection.h:
          digiKam from KDE3 branch : added search text bar to easy find a
          camera make/model from the huge list provided by libgphoto2.
          There is no way with libgphoto2 to separate camera make/model.
          These infomations are merged to a common string and it's
          impossible
          to short camera list by brand.
          
          BUG: 137836
          BUG: 121309

2008-04-08 07:07  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.cpp:
          better color contrast

2008-04-08 06:21  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.cpp:
          fix layout

2008-04-07 21:17  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.cpp:
          polish

2008-04-07 21:13  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.cpp:
          revert

2008-04-07 21:08  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablewindow.cpp:
          polish

2008-04-07 16:26  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-07 16:14  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/rawcameradlg.h,
          /branches/extragear/kde3/graphics/digikam/project/project.kdevelop,
          /branches/extragear/kde3/graphics/digikam/showfoto/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablewindow.cpp:
          digiKam from KDE3 branch : new RAW camera list dialog with search
          camera model tool.

2008-04-07 07:19  cgilles

        * /branches/extragear/kde3/graphics/digikam/ChangeLog: update

2008-04-07 06:40  cgilles

        * /branches/extragear/kde3/graphics/digikam/release_digikam.rb:
          update

2008-04-07 06:37  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam.lsm: update

0.9.4-beta3 2008-04-07
-------------------------------------------------------------------------
2008-04-03 13:40  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-04-01 19:33  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/deletedialog.cpp:
          CCBUGS: 147597

2008-04-01 19:28  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/deletedialog.cpp:
          CCBUGS: 147597

2008-04-01 19:24  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/ratingfilter.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/blurfx/imageeffect_blurfx.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/border/imageeffect_border.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/sharpnesseditor/imageeffect_sharpen.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/distortionfx/imageeffect_distortionfx.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/cameraselection.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setupgeneral.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/setup/setupicc.cpp:
          CCBUGS: 147597

2008-04-01 19:19  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/adjustlevels/adjustlevels.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/freerotation/imageeffect_freerotation.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/inpainting/imageeffect_inpainting.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/inserttext/imageeffect_inserttext.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/restoration/imageeffect_restoration.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/cameragui/cameraui.cpp:
          CCBUGS: 147597

2008-04-01 18:47  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagepropertiescolorstab.cpp:
          CCBUGS: 147597

2008-04-01 18:45  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/adjustcurves/adjustcurves.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/channelmixer/channelmixer.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/colorfx/imageeffect_colorfx.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/whitebalance/imageeffect_whitebalance.cpp:
          CCBUGS: 147597

2008-04-01 18:39  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_autocorrection.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_bcg.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_bwsepia.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_iccproof.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_redeye.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_rgb.cpp:
          CCBUGS: 147597

2008-04-01 18:34  doerr

        * /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/hsl/imageeffect_hsl.cpp:
          CCBUGS: 147597

2008-04-01 18:30  doerr

        * /branches/extragear/kde3/graphics/digikam/digikam/timelineview.cpp:
          CCBUGS: 147597

2008-03-31 21:07  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          Fixed bug 147597

2008-03-31 20:53  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/jp2ksettings.cpp:
          Fix for bug 147597

2008-03-31 20:46  doerr

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.cpp:
          fixed typo unaviable -> unavailable

2008-03-31 15:59  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-31 12:02  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp:
          polish

2008-03-31 11:41  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-31 11:29  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          polish

2008-03-31 11:25  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          polish

2008-03-31 11:23  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          polish

2008-03-31 10:47  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.h,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfilterview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfolderview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagspopupmenu.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          digiKam from KDE3 branch : Tag Edit Dialog is now the common
          implementation for simpler and fast Tags hierarchies entry.
          - Dialog is now redesigned. There is new text to guide user for
          fast tagging creation.
          - In this dialog, the rules are the same than Caption & Tags
          create new tags field.
          - Dialog includes several static methods to create TAlbums and
          show errors if creation fail.
          - Tags Folder View, Tags Filter View and Tags pop-up menu use
          these new static methods.
          CCBUGS: 114465

2008-03-31 06:04  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp:
          polish

2008-03-31 06:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.h:
          polish

2008-03-30 19:33  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp:
          digiKam from KDE3 branch : start to rewritting Tag edit dialog to
          support simpler entry of tag. Not yet complete

2008-03-30 17:05  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-30 15:05  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/digikam/tagcreatedlg.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagcreatedlg.h,
          /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tageditdlg.h,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfilterview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfolderview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagspopupmenu.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/talbumlistview.cpp:
          tagcreatedlg => tageditdlg

2008-03-30 15:00  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tagcreatedlg.cpp:
          polish

2008-03-30 14:37  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tagcreatedlg.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagcreatedlg.h,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfilterview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfolderview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagspopupmenu.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          digiKam from KDE3 branch : Tag Edit dialog : code factoring : no
          need 2 dialog to edit or create tag.

2008-03-30 13:51  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          compile

2008-03-30 13:50  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          polish

2008-03-30 10:02  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          handle properlly root tag path to create child tags from a
          hierarchy

2008-03-29 21:39  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          remove Tag Create button.

2008-03-29 21:04  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          digiKam from KDE3 branch : Caption & Tags: Create New Tags text
          field :
          - support tags path as with autocompletion (not only tags name)
          - new rule in tag hiearchy parser to do not show an error message
          if tag already exist.
          CCBUGS: 114465

2008-03-29 20:20  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          digiKam from KDE3 branch : Captions & Tags: Create New Tags line
          edit now support auto-completion.
          CCBUGS: 114465

2008-03-29 14:11  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          polish

2008-03-29 11:34  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          do not give focus to new tag just created

2008-03-29 09:50  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          strip white-space at bigen/end of tag
          CCBUGS:114465

2008-03-28 22:25  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          polish

2008-03-28 22:20  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          polish

2008-03-28 22:04  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          digiKam from KDE3 branch : Caption & Tags sidebar tab : add new
          text edit field to create new tags in database
          CCBUGS: 114465
          TODO: KDE4PORT

2008-03-28 21:52  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/paniconwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/paniconwidget.h:
          fix broken signals/slots

2008-03-28 21:44  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.cpp:
          fix broken signal/slot connection

2008-03-28 20:12  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-28 19:38  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-28 12:17  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/albumiconviewfilter.cpp:
          digiKam from KDE3 branch : Search Text from Status Bar : add
          auto-completion if search text query over icon view is true

2008-03-28 12:09  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.h:
          digiKAm from KDE3 branch : add auto-completion if search text
          query is true

2008-03-28 11:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/digikamview.h:
          digiKam from KDE3 branch : Support auto-completion with Search
          text bars from all folder views.

2008-03-28 10:56  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/timelineview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/timelineview.h:
          digiKam from KDE3 branch : new method to access on search text
          bar

2008-03-28 10:51  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-28 09:59  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          polish

2008-03-28 09:48  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          polish

2008-03-28 09:40  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          digiKam from KDE3 branch : add completion support with Search
          Tags name

2008-03-28 09:36  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.cpp:
          digiKam from KDE3 branch: Added autocompletion support with
          Search Text Bar.

2008-03-28 07:03  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/searchtextbar.h:
          internal line edit widget is a Dline Edit not a KlineEdit

2008-03-27 17:19  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-27 16:44  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-27 11:45  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-27 11:44  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/tagfilterview.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/tagfolderview.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.h:
          digiKam from KDE3 branch : Tag folder views : Delete Tag : check
          if tag is already assigned to items and report to user before to
          delete it really.
          BUG: 158776
          TODO: KDE4PORT

2008-03-27 10:58  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/imagedescedittab.cpp:
          digiKam from KDE3 branch : missing to check if tag to remove has
          childs.

2008-03-27 07:59  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/dpopupmenu.cpp:
          polish

2008-03-27 07:49  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/common/dpopupmenu.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/common/dpopupmenu.h:
          digiKam from KDE3 branch: DPopupMenu follow color theme scheme.
          Fix few pixmap glitch on left frame

2008-03-26 19:25  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/albumwidgetstack.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/albumwidgetstack.h:
          backport commit #790476 from KDE4

2008-03-26 09:36  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imageguidewidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imageguidewidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepaniconwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepaniconwidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imageregionwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imageregionwidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagewidget.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/imagewidget.h,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/imageplugins/listboxpreviewitem.h:
          use const references

2008-03-26 08:03  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/weights.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/weights.h:
          polish

2008-03-26 07:49  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/hotpixel.h:
          polish

2008-03-26 07:16  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframeparser.cpp:
          polish

2008-03-25 22:42  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/imageeffect_hotpixels.cpp:
          polish

2008-03-25 22:22  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-25 22:21  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframelistview.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframelistview.h,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframeparser.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframeparser.h,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/imageeffect_hotpixels.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/imageeffect_hotpixels.h:
          digiKam from KDE3 branch : HotPixels Tool : support of RAW
          pictures as reference black frames.
          BUG: 148935
          TODO: KDE4PORT

2008-03-25 11:48  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.cpp:
          polish

2008-03-25 11:42  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.cpp:
          polish

2008-03-25 11:41  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframelistview.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframelistview.h,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframeparser.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframeparser.h,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/imageeffect_hotpixels.cpp:
          HotPixel tool now use ImageDialog

2008-03-25 11:40  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.h:
          new method to handle only one url

2008-03-25 10:41  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-25 10:38  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp:
          backport commit #789799 from KDE4

2008-03-25 10:33  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/imagedialog.h,
          /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.cpp,
          /branches/extragear/kde3/graphics/digikam/project/project.kdevelop,
          /branches/extragear/kde3/graphics/digikam/showfoto/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp:
          backport ImageDialog from KDE4. Used into Showfoto to open image
          files

2008-03-25 04:34  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-24 09:41  cgilles

        * /branches/extragear/kde3/graphics/digikam/PACKAGING: update

2008-03-24 09:40  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-24 09:38  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/version.h:
          update

2008-03-24 09:38  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam.lsm: update

2008-03-23 21:27  cgilles

        * /branches/extragear/kde3/graphics/digikam/ChangeLog: update

2008-03-23 20:23  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-23 20:18  cgilles

        * /branches/extragear/kde3/graphics/digikam/release_digikam.rb,
          /branches/extragear/kde3/graphics/digikam/release_digikam_docs.rb:
          prepare 0.9.4-beta2

2008-03-23 20:13  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam.lsm: update

0.9.4-beta2 2008-03-23
-------------------------------------------------------------------------
2008-03-22 15:46  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-22 15:45  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-21 20:47  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-21 05:12  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-21 05:11  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/metadatawidget.cpp:
          patch from Mik to add QToolTips over metadata widget buttons
          BUG: 141755

2008-03-20 21:23  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/albummanager.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/albummanager.h,
          /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/scanlib.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/scanlib.h:
          digiKam from KDE3 branch :
          - if Splashscreen is enable at startup, do not show Scan dialog
          and post progress to Splash
          - If Splashscreen is disable, use Scan dialog.
          CCBUGS: 142469

2008-03-20 20:51  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-20 18:44  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-20 18:42  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/setup/setupgeneral.cpp:
          fix typo

2008-03-20 17:39  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-20 13:49  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_iccproof.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/imageeffect_iccproof.h:
          typo

2008-03-20 12:37  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.cpp:
          backport commit #788013

2008-03-20 08:57  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp:
          Bug fix : really toogle thumbbar with full screen mode
          accordingly with settings

2008-03-20 07:02  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 22:03  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 21:59  mwiesweg

        * /branches/extragear/kde3/graphics/digikam/digikam/imagepreviewview.cpp:
          Load high quality version also when preloading the preview.
          Seems to fix the bug.
          
          CCBUG: 132047

2008-03-19 20:04  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 19:27  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 18:31  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 15:33  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 15:32  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/main.cpp:
          polish

2008-03-19 15:26  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/digikamapp.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/main.cpp:
          digiKAm from KDE3 branch : show splashcreen just before to scan
          whole albums to imediatly give to users program activity.
          BUG: 142469

2008-03-19 14:40  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 12:19  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 11:42  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 11:18  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 11:05  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 11:05  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp:
          digiKam from KDE3 branch : Showfoto : handle properlly the
          curentItem instance when user move to trash the current image
          loaded in editor
          BUG: 149851

2008-03-19 08:21  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-19 08:17  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/setup/setupeditor.cpp,
          /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp:
          digiKam from KDE3 branch: Showfoto: apply patch from Arnd to a
          added 2 new options to set ordering of images when File/Open
          Folder action is used.
          BUG: 147136

2008-03-19 08:00  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp:
          polish

2008-03-19 05:13  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-18 22:19  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-18 18:10  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-18 17:39  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-18 13:13  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-18 12:05  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-18 09:21  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/albumlister.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/albumlister.h:
          clean up : private slotClear() is unsused

2008-03-18 09:14  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.cpp:
          backport commit #786927 from KDE4

2008-03-18 09:04  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.cpp:
          polish

2008-03-18 08:53  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.h:
          digiKam from KDE3 branch : use mouse wheel to move thumbbar
          content.

2008-03-18 08:14  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablebar.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablebar.h:
          polish

2008-03-17 20:38  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-17 19:52  abaecker

        * /branches/extragear/kde3/graphics/digikam/digikam/albummanager.cpp,
          /branches/extragear/kde3/graphics/digikam/digikam/upgradedb_sqlite2tosqlite3.cpp:
          When upgradeDB_Sqlite2ToSqlite3 fails, this could also mean that
          the directory
          with the Album Path is write-protected or does not exist
          (eg moved by the user). A more verbose error message is given
          now.
          
          BUG: 159467
          BUG: 144253

2008-03-17 19:08  abaecker

        * /branches/extragear/kde3/graphics/digikam/NEWS,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp:
          Ensure that the umask setting is respected for both newly created
          files
          and when overwriting files.
          
          CCBUGS: 145252
          TODO:KDE4PORT

2008-03-17 13:50  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.cpp:
          backport commit #786621 from KDE4

2008-03-17 10:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablebar.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/lighttable/lighttablebar.h:
          polish

2008-03-17 10:01  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/thumbbar/thumbbar.h:
          polish

2008-03-16 17:12  gkulzer

        * /branches/extragear/kde3/graphics/digikam/release_digikam_docs.rb:
          update to 0.9.4 release
          documentation has changed its place!

2008-03-15 08:36  cgilles

        * /branches/extragear/kde3/graphics/digikam/configure.in.bot,
          /branches/extragear/kde3/graphics/digikam/configure.in.in:
          compile with old libkexiv2 0.1.6 and old libkipi 0.1.5

2008-03-15 08:34  cgilles

        * /branches/extragear/kde3/graphics/digikam/README: update

2008-03-15 08:33  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/main.cpp:
          compile with old libkexiv2 0.1.6

2008-03-15 08:31  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/main.cpp:
          compile with old libkexiv2 0.1.6 and old libkipi 0.1.5

2008-03-14 14:52  cgilles

        * /branches/extragear/kde3/graphics/digikam/data/themes/Gray: more
          readable color

2008-03-14 13:20  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-14 12:56  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/libs/widgets/metadata/mdkeylistviewitem.cpp:
          better support of color theme scheme

2008-03-14 11:22  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/ratiocrop/imageselectionwidget.h:
          polish

2008-03-14 10:27  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/coreplugin/ratiocrop/imageselectionwidget.h:
          polish

2008-03-14 10:02  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/imagewindow.cpp:
          polish

2008-03-14 09:21  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-14 09:20  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/showfoto/setup/setupeditor.cpp,
          /branches/extragear/kde3/graphics/digikam/showfoto/setup/setupeditor.h,
          /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.cpp,
          /branches/extragear/kde3/graphics/digikam/showfoto/showfotoui.rc,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/editorwindow.h,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/imagewindow.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/imageeditor/editor/imagewindow.h:
          digiKam from KDE3 branch : Showfoto now support Color Theme
          scheme as digiKam core
          
          CCBUGS: 120309
          CCMAIL: digikam-devel@kde.org

2008-03-14 08:55  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/showfoto.h:
          polish

2008-03-14 07:02  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/themeengine/themeengine.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/themeengine/themeengine.h:
          new method to get theme name

2008-03-13 13:29  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr128-action-crop.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr128-action-rotate_cw.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr16-action-crop.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr16-action-rotate_cw.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr22-action-crop.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr22-action-rotate_cw.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr32-action-crop.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr32-action-rotate_cw.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr48-action-crop.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr48-action-rotate_cw.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr64-action-crop.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/cr64-action-rotate_cw.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/crsc-action-crop.svgz,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/crsc-action-rotate_cw.svgz,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi128-action-flip.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi128-action-histogram.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi128-action-resize_image.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi128-action-slideshow.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi16-action-flip.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi16-action-histogram.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi16-action-resize_image.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi16-action-slideshow.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi22-action-flip.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi22-action-histogram.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi22-action-resize_image.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi22-action-slideshow.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi32-action-flip.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi32-action-histogram.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi32-action-resize_image.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi32-action-slideshow.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi48-action-flip.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi48-action-histogram.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi48-action-resize_image.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi48-action-slideshow.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi64-action-flip.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi64-action-histogram.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi64-action-resize_image.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hi64-action-slideshow.png,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hisc-action-flip.svgz,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hisc-action-histogram.svgz,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hisc-action-resize_image.svgz,
          /branches/extragear/kde3/graphics/digikam/showfoto/icons/hisc-action-slideshow.svgz:
          all showfoto action icons are duplicate than data/icons

2008-03-13 13:20  cgilles

        * /branches/extragear/kde3/graphics/digikam/showfoto/showfotoui.rc:
          missing contribute option

2008-03-13 07:22  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/timelinewidget.cpp:
          better support of color scheme theme

2008-03-11 22:43  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/imageproperties/talbumlistview.cpp:
          regression tests. handle properlly 3 states when necessary since
          we use FolderItem here

2008-03-11 19:39  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp:
          fix warnings

2008-03-11 18:08  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-11 18:05  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-11 14:54  cgilles

        * /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframelistview.cpp,
          /branches/extragear/kde3/graphics/digikam/imageplugins/hotpixels/blackframelistview.h:
          better support of Dark color theme

2008-03-11 14:49  cgilles

        * /branches/extragear/kde3/graphics/digikam/utilities/cameragui/camerafolderitem.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/cameragui/camerafolderitem.h,
          /branches/extragear/kde3/graphics/digikam/utilities/cameragui/camerafolderview.cpp,
          /branches/extragear/kde3/graphics/digikam/utilities/cameragui/camerafolderview.h:
          better support of Dark color theme

2008-03-11 14:36  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dialogs/dprogressdlg.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dialogs/dprogressdlg.h:
          better rendering with dark color theme scheme

2008-03-11 10:25  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp:
          backport commit #784433 from KDE4

2008-03-11 08:55  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp:
          use same transfert function to compute auto-gamma lut than
          default one used into dcraw

2008-03-11 05:15  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp:
          polish

2008-03-11 04:55  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp:
          added debug info

2008-03-10 21:17  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-10 21:16  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/Makefile.am,
          /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp:
          digiKam from KDE3 branch : RAW image loader : backport 8 bits
          color depth auto-gamma and auto-white balance adjustements from
          dcraw with 16 bits color depth.
          These auto adjustements are performed only if Color Management is
          not used with image editor.
          
          The color rendering in 16 bits is exactly the same than in 8
          bits.
          
          This is want mean than you can process speedly your RAW exactly
          as JPEG. Just set your usual settings in RAW dedoding and open
          your RAW pictures as well in editor.
          
          This is the same way used by LightZone pro software to process
          RAW file without color management !
          
          This way simplify the task in Raw workflow... and will be
          suitable in 90% of case. Color Management must be used in others
          cases...
          
          BUG: 146393
          CCBUGS: 124814
          CCBUGS: 150457
          CCBUGS: 155074

2008-03-10 13:39  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/filters/bcgmodifier.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dimg/filters/bcgmodifier.h:
          new method to handle image data directly without to use a DImg
          object

2008-03-10 06:49  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/themeengine/themeengine.cpp:
          backup full default palette is better

2008-03-10 06:49  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam/version.h:
          update

2008-03-10 06:47  cgilles

        * /branches/extragear/kde3/graphics/digikam/digikam.lsm: update

2008-03-10 06:47  cgilles

        * /branches/extragear/kde3/graphics/digikam/NEWS: update

2008-03-10 06:46  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.h:
          fix warnings

2008-03-10 05:19  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/themeengine/themeengine.cpp:
          preserve KDE background color with Default theme

2008-03-09 15:22  cgilles

        * /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.cpp,
          /branches/extragear/kde3/graphics/digikam/libs/dimg/loaders/rawloader.h:
          polish

2008-03-09 10:03  gkulzer

        * /branches/extragear/kde3/graphics/digikam/ChangeLog: update to
          0.9.4-beta1 relase

2008-03-09 09:45  gkulzer

        * /branches/extragear/kde3/graphics/digikam/release_digikam.rb,
          /branches/extragear/kde3/graphics/digikam/release_digikam_docs.rb:
          update to 0.9.4-beta1 release

0.9.4-beta1 2008-03-09
-------------------------------------------------------------------------
2008-03-08 08:06  cgilles

	* utilities/setup/cameraselection.cpp,
	  utilities/setup/setupcamera.cpp: better contrast with dark color
	  scheme

2008-03-08 07:57  cgilles

	* libs/widgets/metadata/mdkeylistviewitem.cpp,
	  libs/widgets/metadata/mdkeylistviewitem.h,
	  libs/widgets/metadata/metadatalistview.cpp,
	  libs/widgets/metadata/metadatalistview.h,
	  libs/widgets/metadata/metadatalistviewitem.cpp,
	  libs/widgets/metadata/metadatalistviewitem.h,
	  libs/widgets/metadata/metadatawidget.cpp: backport metadata
	  widget layout from KDE4 : better contrast with dark color scheme
	  theme

2008-03-07 11:58  cgilles

	* imageplugins/superimpose/dirselectwidget.cpp,
	  imageplugins/superimpose/dirselectwidget.h,
	  imageplugins/superimpose/imageeffect_superimpose.cpp,
	  imageplugins/superimpose/imageeffect_superimpose.h,
	  imageplugins/superimpose/imageplugin_superimpose.cpp,
	  imageplugins/superimpose/imageplugin_superimpose.h,
	  imageplugins/superimpose/superimpose.cpp,
	  imageplugins/superimpose/superimpose.h,
	  imageplugins/superimpose/superimposewidget.cpp,
	  imageplugins/superimpose/superimposewidget.h: fix header

2008-03-07 11:53  cgilles

	* imageplugins/adjustcurves/adjustcurves.cpp,
	  imageplugins/adjustcurves/adjustcurves.h,
	  imageplugins/adjustlevels/adjustlevels.cpp,
	  imageplugins/adjustlevels/adjustlevels.h,
	  imageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  imageplugins/antivignetting/imageeffect_antivignetting.h,
	  imageplugins/blurfx/imageeffect_blurfx.cpp,
	  imageplugins/blurfx/imageeffect_blurfx.h,
	  imageplugins/border/imageeffect_border.cpp,
	  imageplugins/border/imageeffect_border.h,
	  imageplugins/channelmixer/channelmixer.cpp,
	  imageplugins/channelmixer/channelmixer.h,
	  imageplugins/charcoal/imageeffect_charcoal.cpp,
	  imageplugins/charcoal/imageeffect_charcoal.h,
	  imageplugins/colorfx/imageeffect_colorfx.cpp,
	  imageplugins/colorfx/imageeffect_colorfx.h,
	  imageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  imageplugins/distortionfx/imageeffect_distortionfx.h,
	  imageplugins/emboss/imageeffect_emboss.cpp,
	  imageplugins/emboss/imageeffect_emboss.h,
	  imageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  imageplugins/filmgrain/imageeffect_filmgrain.h,
	  imageplugins/freerotation/imageeffect_freerotation.cpp,
	  imageplugins/freerotation/imageeffect_freerotation.h,
	  imageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  imageplugins/hotpixels/imageeffect_hotpixels.h,
	  imageplugins/infrared/imageeffect_infrared.cpp,
	  imageplugins/infrared/imageeffect_infrared.h,
	  imageplugins/inpainting/imageeffect_inpainting.cpp,
	  imageplugins/inpainting/imageeffect_inpainting.h,
	  imageplugins/inserttext/imageeffect_inserttext.cpp,
	  imageplugins/inserttext/imageeffect_inserttext.h,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  imageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  imageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  imageplugins/noisereduction/imageeffect_noisereduction.h,
	  imageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  imageplugins/oilpaint/imageeffect_oilpaint.h,
	  imageplugins/perspective/imageeffect_perspective.cpp,
	  imageplugins/perspective/imageeffect_perspective.h,
	  imageplugins/raindrop/imageeffect_raindrop.cpp,
	  imageplugins/raindrop/imageeffect_raindrop.h,
	  imageplugins/restoration/imageeffect_restoration.cpp,
	  imageplugins/restoration/imageeffect_restoration.h,
	  imageplugins/sheartool/imageeffect_sheartool.cpp,
	  imageplugins/sheartool/imageeffect_sheartool.h,
	  imageplugins/superimpose/imageeffect_superimpose.cpp,
	  imageplugins/superimpose/imageeffect_superimpose.h,
	  imageplugins/texture/imageeffect_texture.cpp,
	  imageplugins/texture/imageeffect_texture.h,
	  imageplugins/whitebalance/imageeffect_whitebalance.cpp: fix (c)
	  date

2008-03-07 11:40  cgilles

	* digikam/version.h: update

2008-03-07 11:33  cgilles

	* NEWS: update

2008-03-07 11:30  cgilles

	* digikam.lsm: update

2008-03-07 11:28  cgilles

	* TODO: update

2008-03-07 11:26  cgilles

	* NEWS: update

2008-03-07 11:26  cgilles

	* digikam/digikamui.rc: digiKam from KDE3 branch : sync Album Gui
	  main menu with KDE4. Import and Export option are hosted as main
	  actions.

2008-03-07 11:12  cgilles

	* digikam/digikamapp.cpp: fix i18n

2008-03-07 10:28  cgilles

	* NEWS: update

2008-03-07 10:27  cgilles

	* utilities/cameragui/albumselectdialog.cpp: digiKam from KDE3
	  branch : polish album select dialog layout when using large
	  treeview icons.
	  Note : KDE4 implementation use a different widget to render
	  treeview. This problem do not exist.
	  BUG: 154746

2008-03-07 10:14  cgilles

	* NEWS: update

2008-03-07 10:09  cgilles

	* NEWS: update

2008-03-07 10:04  cgilles

	* NEWS: update

2008-03-07 10:03  cgilles

	* utilities/cameragui/cameracontroller.cpp: digiKam from KDE3
	  branch : CameraGUI: during download from camera, update properlly
	  QFileInfo instance used to check if file exist on target album
	  BUG: 153775

2008-03-07 08:51  cgilles

	* utilities/cameragui/cameracontroller.cpp,
	  utilities/cameragui/cameracontroller.h: backport commit #783150

2008-03-07 07:04  cgilles

	* data/themes/Rose: update

2008-03-07 06:57  cgilles

	* data/themes/Makefile.am, data/themes/Rose: digiKam from KDE3
	  branch : add Rose theme color scheme (for women of course (:=)))

2008-03-06 19:26  cgilles

	* libs/dmetadata/Makefile.am, libs/jpegutils/Makefile.am,
	  utilities/batch/Makefile.am: compile properly with libkdcraw

2008-03-06 12:27  cgilles

	* digikam/digikamapp.cpp, digikam/digikamapp.h,
	  digikam/digikamappprivate.h, digikam/digikamui.rc,
	  utilities/imageeditor/editor/digikamimagewindowui.rc,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow.h,
	  utilities/imageeditor/editor/editorwindowprivate.h,
	  utilities/lighttable/lighttablewindow.cpp,
	  utilities/lighttable/lighttablewindow.h,
	  utilities/lighttable/lighttablewindowprivate.h,
	  utilities/lighttable/lighttablewindowui.rc: new Help/Contribute
	  menu entry

2008-03-06 11:35  cgilles

	* utilities/lighttable/lighttablewindow.cpp: polish

2008-03-06 11:26  cgilles

	* utilities/lighttable/lighttablewindow.cpp,
	  utilities/lighttable/lighttablewindow.h,
	  utilities/lighttable/lighttablewindowprivate.h,
	  utilities/lighttable/lighttablewindowui.rc: to be able to change
	  color theme scheme from light table

2008-03-06 11:16  cgilles

	* NEWS: update

2008-03-06 10:46  cgilles

	* digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/imageeditor/editor/digikamimagewindowui.rc,
	  utilities/imageeditor/editor/imagewindow.cpp,
	  utilities/imageeditor/editor/imagewindow.h: to be able to change
	  color theme scheme from image editor

2008-03-06 10:45  cgilles

	* project/project.kdevelop: update

2008-03-06 10:05  cgilles

	* libs/themeengine/themeengine.cpp, libs/themeengine/themeengine.h,
	  project/project.kdevelop, themedesigner/main.cpp: make Theme
	  designer working again

2008-03-05 20:27  cgilles

	* NEWS: update

2008-03-05 20:24  cgilles

	* digikam/albumiconview.cpp, digikam/folderview.cpp,
	  libs/imageproperties/cameraitempropertiestab.cpp,
	  libs/imageproperties/cameraitempropertiestab.h,
	  libs/imageproperties/imagepropertiessidebarcamgui.cpp,
	  libs/imageproperties/imagepropertiessidebarcamgui.h,
	  libs/imageproperties/imagepropertiessidebardb.cpp,
	  libs/imageproperties/imagepropertiessidebardb.h,
	  libs/imageproperties/imagepropertiestab.cpp,
	  libs/imageproperties/imagepropertiestab.h,
	  libs/themeengine/theme.h, libs/themeengine/themeengine.cpp,
	  libs/themeengine/themeengine.h, themedesigner/mainwindow.cpp,
	  themedesigner/mainwindow.h, themedesigner/themediconview.cpp,
	  utilities/cameragui/cameraiconview.cpp: digiKam from KDE3 branch
	  : full color scheme theme support everywhere in interface "à la
	  Amarok" (albumgui, lighttable, camera interface, editor, image
	  plugins and kipi-plugins)
	  A demo is available here:
	  http://digikam3rdparty.free.fr/Screenshots/fullcolorschemesupport-desserttheme.png
	  CCMAIL: digikam-devel@kde.org
	  BUG: 120309
	  TODO: KDE4PORT

2008-03-05 20:19  cgilles

	* digikam/timelinewidget.cpp: polish

2008-03-05 20:10  cgilles

	* digikam/timelinewidget.cpp, digikam/timelinewidget.h: handle
	  properly color scheme themes

2008-03-05 15:51  cgilles

	* libs/widgets/metadata/metadatalistview.cpp,
	  libs/widgets/metadata/metadatalistview.h: polish

2008-03-05 09:56  cgilles

	* libs/imageproperties/imagedescedittab.cpp,
	  libs/imageproperties/imagedescedittab.h: polish

2008-03-05 09:38  cgilles

	* libs/imageproperties/talbumlistview.cpp,
	  libs/imageproperties/talbumlistview.h: factorize

2008-03-05 09:26  cgilles

	* libs/imageproperties/talbumlistview.h: polish

2008-03-05 09:15  cgilles

	* libs/imageproperties/imagedescedittab.cpp,
	  libs/imageproperties/imagedescedittab.h,
	  libs/imageproperties/talbumlistview.cpp,
	  libs/imageproperties/talbumlistview.h: digiKam from KDE3 branch :
	  important changes here :
	  - using FolderView and FolderItem class to host tag list view
	  from Caption & Tags sidebar tab instead to use QListView
	  directly.
	  - using Color scheme theme to render listview content.
	  - factorization and simplification of code.

2008-03-05 09:08  cgilles

	* digikam/folderview.cpp: polish

2008-03-04 14:29  cgilles

	* digikam/folderview.cpp: polish

2008-03-04 14:19  cgilles

	* libs/imageproperties/talbumlistview.cpp,
	  libs/imageproperties/talbumlistview.h: polish

2008-03-04 14:09  cgilles

	* digikam/imagepreviewview.cpp, digikam/imagepreviewview.h,
	  libs/dimg/Makefile.am, libs/dimg/fastscale.cpp,
	  libs/dimg/fastscale.h, libs/threadimageio/previewtask.cpp,
	  libs/threadimageio/previewtask.h,
	  utilities/cameragui/cameraiconview.cpp: FastScale class is now
	  obsolete

2008-03-04 13:50  cgilles

	* digikam/Makefile.am, digikam/albumiconview.cpp,
	  digikam/cameradragobject.cpp, digikam/cameradragobject.h,
	  digikam/dragobjects.cpp, digikam/dragobjects.h: factorize code :
	  CameraDragObject => DragObject

2008-03-04 11:46  cgilles

	* digikam/datefolderview.cpp, digikam/datefolderview.h: polish

2008-03-04 11:06  cgilles

	* digikam/albumfolderview.cpp: polish

2008-03-04 10:34  cgilles

	* digikam/folderitem.cpp, digikam/folderitem.h,
	  digikam/folderview.cpp, digikam/folderview.h,
	  digikam/tagfilterview.cpp, digikam/tagfilterview.h: backport
	  commit #782018 from KDE4

2008-03-03 20:20  cgilles

	* AUTHORS: update

2008-03-03 20:17  cgilles

	* AUTHORS: update

2008-03-03 20:15  cgilles

	* data/pics/digikam-splash.png, data/pics/digikam-splash.xcf: new
	  digiKam 0.9.4 splashscreen from Michel Pottier
	  CCMAIL: Michel.Pottier@free.fr

2008-03-03 20:14  cgilles

	* showfoto/pics/showfoto-splash.png,
	  showfoto/pics/showfoto-splash.xcf: New Showfoto 0.8.0
	  splashscreen from Frédéric Martinot
	  CCMAIL: fmartinot@gmail.com

2008-03-03 08:00  cgilles

	* utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h:
	  fix increase/decrease icon size actions behaviours

2008-03-01 14:32  mwiesweg

	* digikam/albummanager.cpp: Modify debug message in dir watch code
	  CCBUG: 158565

2008-02-29 15:35  cgilles

	* digikam/digikamapp.cpp: backport commit #780609 from KDE4

2008-02-29 07:07  cgilles

	* NEWS: update

2008-02-29 07:01  cgilles

	* digikam/tagfilterview.cpp, digikam/tagfilterview.h: digiKam from
	  KDE3 branch : Tags Filter : before to remove a tag from tree
	  view, unselect it and all childrens to clean up filter over icon
	  view.
	  BUG: 158558

2008-02-27 13:00  cgilles

	* utilities/cameragui/albumselectdialog.cpp,
	  utilities/cameragui/albumselectdialog.h: fix i18n

2008-02-22 17:52  abaecker

	* NEWS, imageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  imageplugins/whitebalance/imageeffect_whitebalance.h,
	  libs/whitebalance/whitebalance.cpp,
	  libs/whitebalance/whitebalance.h,
	  utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/setup/setupdcraw.cpp, utilities/setup/setupdcraw.h:
	  More flexible WB adjustment during raw decoding
	  (many thanks to Guillaume Castagnino for the patch).
	  Note that a current libkdcraw is needed as this had to be
	  changed.

	  CCBUGS: 142055
	  TODO:KDE4PORT

2008-02-21 19:06  abaecker

	* NEWS,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.h: When
	  using the aspect ratio crop, it is now possible to ensure that
	  the
	  aspect ratio is fulfilled exactly. This is done by only allowing
	  those combinations of width/heights which lead to the correct
	  aspect ratio
	  (thanks to Roberto Castagnola who wrote the patch).

	  CCBUGS: 158174
	  TODO:KDE4PORT

2008-02-20 05:40  abaecker

	* NEWS: Commit 777086 by Marcel fixes [Bug 141037] ("Search using
	  Tag Name does not work"); this has been added to the list in
	  NEWS.

2008-02-19 18:27  mwiesweg

	* kioslave/digikamsearch.cpp: Backport SQL from 0.10 branch, now it
	  is in analogy to the "TAG" search field above.
	  I think this fixes 141037.

	  CCBUG: 141037

2008-02-15 20:51  cgilles

	* utilities/imageeditor/editor/imagewindow.cpp,
	  utilities/imageeditor/editor/imagewindow.h,
	  utilities/lighttable/lighttablewindow.cpp: missing to use Exif
	  autorotate settings with slideshow

2008-02-15 13:35  cgilles

	* digikam/albumiconviewfilter.cpp, libs/widgets/common/Makefile.am,
	  libs/widgets/common/statusled.cpp,
	  libs/widgets/common/statusled.h, project/project.kdevelop:
	  digiKAm from KDE3 branch : new led widget for statusbar

2008-02-15 13:30  cgilles

	* data/pics/Makefile.am, data/pics/indicator-gray.png,
	  data/pics/indicator-green.png, data/pics/indicator-red.png: new
	  pics for digiKam led

2008-02-15 07:26  cgilles

	* libs/thumbbar/thumbbar.cpp, libs/thumbbar/thumbbar.h: backport
	  commit #775200 from KDE4

2008-02-12 11:12  cgilles

	* libs/imageproperties/imagepropertiessidebar.cpp,
	  libs/imageproperties/imagepropertiessidebar.h: polish

2008-02-05 19:17  abaecker

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h:
	  Reduction of duplicated code (patch by Roberto Castagnola)

	  TODO:KDE4PORT

2008-02-05 07:24  cgilles

	* NEWS: update

2008-02-04 19:24  cgilles

	* digikam/timelinewidget.cpp: backport commit #157149 from KDE4 by
	  Marcel to KDE3 branch
	  157149: This _might_ fix this bug, please test...

	  CCBUG: 157149

2008-02-04 12:57  mwiesweg

	* digikam/timelinewidget.cpp: Backport valgrind fixes, as
	  applicable, from trunk

2008-02-04 06:43  cgilles

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.h: digiKam
	  from KDE3 branch : Ratio-Crop tool : sync with KDE4.

	  Do not use QListBox to manage ratio comobox content. Just clear
	  it and re-add new item as well.
	  Roberto, in KDE4 QComboBox content is not drived by QListBox by
	  but a genric QAbstractListView class. It's more complicated
	  to reproduce your QListBox code with QT4. Code from KDE3 and KDE4
	  must be homogenous when it's possible. It's more easy to
	  maintain.

	  Note : if you call
	  ImageEffect_RatioCrop::slotSelectionOrientationChanged() in
	  contructor just after to have created m_ratioCB instance,
	  you don't need to have current code at lines
	  imageffect_ratiocrop.cpp::103-112. This will reduce duplicate
	  code.

	  What do you think about about?

	  CCMAIL: roberto.castagnola@gmail.com
	  CCMAIL: arnd.baecker@web.de

2008-02-03 21:52  cgilles

	* NEWS: update

2008-02-03 19:48  cgilles

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h:
	  restoring destructor. We need it for portability

2008-02-02 20:30  abaecker

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.cpp,
	  imageplugins/coreplugin/ratiocrop/imageselectionwidget.h: When
	  cropping images, fullfill the given aspect ratio as good as
	  possible (patch by Roberto Castagnola).

	  CCBUGS: 128293
	  TODO:KDE4PORT

2008-02-01 17:23  cgilles

	* digikam/albumiconviewfilter.h: compile

2008-02-01 15:28  cgilles

	* digikam/albumiconviewfilter.cpp, digikam/albumlister.cpp,
	  digikam/albumlister.h, digikam/digikamapp.cpp,
	  digikam/digikamview.cpp, digikam/digikamview.h,
	  digikam/tagfilterview.cpp, digikam/tagfilterview.h: digiKam from
	  KDE3 branch : code simplification. No need to check if something
	  is set in TagFilters using complex signals/slots propagation,
	  AlbumLister have already the informations.

2008-02-01 11:53  gkulzer

	* digikam/albumiconviewfilter.cpp: change LED indicator wording
	  i18n

2008-02-01 11:48  cgilles

	* NEWS: update

2008-02-01 11:16  cgilles

	* digikam/albumiconviewfilter.cpp: fix i18n

2008-02-01 11:13  cgilles

	* digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h,
	  digikam/albumlister.cpp, digikam/albumlister.h: digiKam from KDE3
	  branch : color scheme of icon view filters LED report if filters
	  match the query.
	  Gray => no active filter.
	  Green => at least 1 active filter witch match 1 item.
	  Red => at least 1 active filter witch do not match item.

2008-02-01 09:15  cgilles

	* digikam/albumiconviewfilter.cpp: added tooltip over LED to show
	  active filters list.

2008-02-01 07:02  cgilles

	* digikam/albumiconviewfilter.cpp: polish

2008-01-31 21:44  cgilles

	* utilities/imageeditor/editor/editorwindow.cpp: polish

2008-01-31 21:27  abaecker

	* utilities/imageeditor/editor/editorwindow.cpp,
	  utilities/imageeditor/editor/editorwindow.h: When leaving the
	  image editor without saving, but pressing save in the
	  following dialogue, ensure that the original image is not
	  silently overwritten.

	  CCBUGS: 103350
	  TODO:KDE4PORT

2008-01-31 15:41  cgilles

	* digikam/timelinefolderview.cpp: polish

2008-01-31 15:28  cgilles

	* digikam/searchfolderview.cpp, digikam/timelinefolderview.cpp:
	  polish

2008-01-31 14:47  cgilles

	* NEWS: update

2008-01-31 10:19  cgilles

	* digikam/albumfolderview.cpp, digikam/albumfolderview.h,
	  digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h,
	  digikam/digikamapp.cpp, digikam/digikamapp.h,
	  digikam/digikamview.cpp, digikam/digikamview.h,
	  digikam/searchfolderview.cpp, digikam/searchfolderview.h,
	  digikam/tagfilterview.cpp, digikam/tagfilterview.h,
	  digikam/tagfolderview.cpp, digikam/tagfolderview.h,
	  digikam/timelinefolderview.cpp, digikam/timelinefolderview.h,
	  digikam/timelineview.cpp: digiKam from KDE3 branch : Led from
	  icon view filter : handle Tag Filters view (status and reset).
	  CCBUGS: 156847

2008-01-31 08:24  cgilles

	* digikam/albumiconviewfilter.cpp: polish

2008-01-31 08:21  cgilles

	* digikam/albumiconviewfilter.cpp: polish

2008-01-31 07:24  cgilles

	* digikam/albumiconviewfilter.cpp: fix whats-this

2008-01-31 07:17  cgilles

	* digikam/albumiconviewfilter.cpp: digiKam from KDE3 branch : LED
	  from icon view filter : use light green when filters settings are
	  inactive, and light orange when filters are active

2008-01-31 06:29  cgilles

	* digikam/datefolderview.cpp, digikam/datefolderview.h: polish

2008-01-31 04:59  cgilles

	* digikam/datefolderview.cpp: polish

2008-01-31 04:42  cgilles

	* digikam/album.h: polish

2008-01-30 21:35  cgilles

	* digikam/albumiconviewfilter.cpp: polish

2008-01-30 21:18  cgilles

	* digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h:
	  digiKam from KDE3 branch : Icon View Filter : when LED is on,
	  mouse right clic over reset all filters settings

2008-01-30 15:29  cgilles

	* imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h: fix
	  credits

2008-01-30 13:07  cgilles

	* digikam/albumiconviewfilter.cpp, digikam/albumiconviewfilter.h:
	  digiKam from KDE3 branch: add small light in icon view filter to
	  ping user if a filter is currently used
	  CCBUGS: 156847

2008-01-30 07:13  cgilles

	* NEWS: update

2008-01-30 07:08  cgilles

	* digikam/timelinewidget.cpp: sync with KDE4

2008-01-30 07:02  cgilles

	* digikam/datefolderview.cpp, digikam/digikamview.cpp: My Dates ==>
	  My Calendar

2008-01-30 06:52  cgilles

	* digikam/album.cpp, digikam/album.h, digikam/albummanager.cpp,
	  digikam/datefolderview.cpp, digikam/datefolderview.h,
	  kioslave/digikamdates.cpp: digiKam from KDE3 branch : Calendar
	  View : When selecting Year album now show all pictures
	  taken during this year.

	  BUG: 144337
	  CCBUGS: 140743
	  CCBUGS: 126871

2008-01-29 16:23  abaecker

	* NEWS,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.cpp,
	  imageplugins/coreplugin/ratiocrop/imageeffect_ratiocrop.h:
	  Remember orientation setting of a previously cropped photo (patch
	  by Roberto Castagnola)

	  CCBUGS: 146635
	  TODO:KDE4PORT

2008-01-28 10:31  cgilles

	* NEWS: update

2008-01-28 09:50  cgilles

	* libs/greycstoration/CImg.h, libs/greycstoration/greycstoration.h,
	  libs/greycstoration/greycstorationiface.cpp: digiKam from KDE3
	  branch : update internal CImg library to 1.2.7

2008-01-27 17:19  cgilles

	* digikam/timelineview.cpp: polish

2008-01-27 10:01  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-27 09:58  cgilles

	* digikam/timelinewidget.cpp: TimeLine : limit left and right
	  border with highter/lower dates

2008-01-27 09:53  cgilles

	* digikam/timelinewidget.cpp: sync with KDE4

2008-01-26 17:33  gkulzer

	* digikam.lsm, digikam/welcomepageview.cpp: replacing
	  geolocalization with geolocation

2008-01-26 08:39  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-25 15:01  cgilles

	* digikam/timelineview.cpp: polish

2008-01-25 14:58  cgilles

	* digikam/timelineview.cpp: polish

2008-01-25 13:45  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp: TimeLine :
	  refresh cursor info when DateMaps are updated

2008-01-25 13:32  cgilles

	* digikam/timelinewidget.cpp: TimeLine : Another fix about week
	  selection

2008-01-25 12:07  cgilles

	* digikam/timelinewidget.cpp: TimeLine : Another fix about
	  computation of first day of week

2008-01-25 11:28  cgilles

	* digikam/timelinewidget.cpp: typo

2008-01-25 11:23  cgilles

	* digikam/timelinewidget.cpp, digikam/timelinewidget.h: TimeLine :
	  speed up improvement everywhere with selection stuff

2008-01-25 07:08  cgilles

	* digikam/timelinewidget.cpp: TimeLine : better cursor visibility

2008-01-24 22:40  cgilles

	* digikam/timelinewidget.cpp: add selection rectangle

2008-01-24 17:38  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-24 17:05  cgilles

	* digikam/timelinewidget.cpp: cursor follow selection

2008-01-24 15:28  cgilles

	* digikam/timelineview.cpp: polish

2008-01-22 21:11  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-22 20:41  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp,
	  digikam/timelinewidget.h: polish

2008-01-22 17:31  cgilles

	* digikam/timelineview.cpp: polish

2008-01-22 17:23  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-22 12:51  gkulzer

	* utilities/setup/setupidentity.cpp: update of legal information
	  CCMAIL:jrle1@twcny.rr.com

2008-01-22 11:21  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp: TimeLine :
	  remember cursor position between sessions

2008-01-22 09:09  cgilles

	* digikam/timelinewidget.cpp: TimeLine : Another try to fix first
	  day of week computation. Week decade sound like better now.
	  Regressive tests require

2008-01-21 20:44  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-21 15:13  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-18 19:59  cgilles

	* digikam/timelinewidget.cpp: Timeline : fix scroolbar <->
	  histogram behaviours

2008-01-18 12:33  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-18 12:29  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp: polish

2008-01-18 12:08  cgilles

	* digikam/digikamview.cpp, digikam/timelineview.cpp,
	  digikam/timelineview.h: TimeLine : Fix iconview contents
	  restoration when user change left sidebar tab focus

2008-01-18 11:22  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp: disable
	  debug messages

2008-01-18 11:16  cgilles

	* digikam/timelineview.cpp, digikam/timelineview.h: TimeLine : Fix
	  Save selection widget behaviours

2008-01-17 22:18  cgilles

	* digikam/timelineview.cpp, digikam/timelineview.h,
	  digikam/timelinewidget.cpp, digikam/timelinewidget.h: polish API

2008-01-17 22:02  cgilles

	* digikam/timelineview.cpp, digikam/timelineview.h,
	  digikam/timelinewidget.cpp, digikam/timelinewidget.h: code
	  simplification

2008-01-17 21:55  cgilles

	* digikam/timelinewidget.cpp: TimeLine : fix how selection are
	  dispatched over all Date Stat Maps when Time Unit = Days

2008-01-17 21:43  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp: TimeLine :
	  fix how cursor position is preserved when user change Time Unit

2008-01-17 15:40  cgilles

	* digikam/timelinewidget.cpp: TimeLine : fix count of weeks shared
	  between 2 years decade (December/january)

2008-01-17 13:24  cgilles

	* digikam/timelinewidget.cpp: code dimplification

2008-01-16 15:43  cgilles

	* digikam/timelineview.cpp: add whats-this

2008-01-16 15:16  cgilles

	* digikam/timelineview.cpp, digikam/timelinewidget.cpp,
	  digikam/timelinewidget.h: TimeLine : improve cursor information
	  layout and contents. More readable with a small sidebar size

2008-01-16 11:52  cgilles

	* digikam/timelineview.cpp: remove "Total" count

2008-01-16 11:31  cgilles

	* digikam/welcomepageview.cpp: add Timeline as new major feature

2008-01-16 11:29  cgilles

	* NEWS: update

2008-01-16 11:27  cgilles

	* digikam/digikamview.cpp: digiKam from KDE3 branch : I'm happy to
	  said than the new Time-Line tool to perform Date Search around
	  whole albums collection
	  is now available for testing with digiKam 0.9.4-svn.
	  A screenshot of this new tool in action can be seen here :

	  http://bugs.kde.org/attachment.cgi?id=23060&action=view

	  Marcel,

	  KDE4 port still todo before to close this file. I will backport
	  all Time-Line widgets to KDE4 as well.
	  What about the new digiKam Search framework for KDE4 ?

	  CCBUGS: 146760
	  TODO : KDE4PORT
	  CCMAIL: digikam-devel@kde.org
	  CCMAIL: marcel.wiesweg@gmx.de

2008-01-16 11:20  cgilles

	* digikam/searchfolderview.cpp: polish

2008-01-16 11:11  cgilles

	* digikam/searchfolderview.cpp: polish

2008-01-16 11:05  cgilles

	* digikam/timelineview.cpp: fix i18n

2008-01-16 11:04  cgilles

	* digikam/timelineview.cpp: polish

2008-01-16 10:33  cgilles

	* digikam/timelinewidget.cpp, digikam/timelinewidget.h: TimeLine :
	  Fix how Year selection Map is updated accordingly with selection
	  from Day Selection Map

2008-01-16 10:16  cgilles

	* digikam/timelinewidget.cpp, digikam/timelinewidget.h: TimeLine :
	  Fix how Month selection Map is updated accordingly with selection
	  from Day Selection Map

2008-01-16 09:59  cgilles

	* digikam/timelinewidget.cpp: polish

2008-01-16 09:29  cgilles

	* digikam/timelinewidget.cpp, digikam/timelinewidget.h: TimeLine :
	  Fix how Week selection Map is updated accordingly with selection
	  from Day Selection Map

2008-01-16 07:57  cgilles

	* digikam/timelineview.cpp, digikam/timelineview.h: TimeLine : take
